From 2b76ef2adba24c2a42c54ca369b990ee3a9aff84 Mon Sep 17 00:00:00 2001
From: Tim Daly <daly@axiom-developer.org>
Date: Wed, 7 Jan 2015 21:48:37 -0500
Subject: src/input/* review and improve test cases

src/input/charlwood.input.pamphlet
src/input/cmds.input.pamphlet
src/input/cohen1.input
src/input/derham2.input.pamphlet
src/input/dop.input.pamphlet
src/input/en.input.pamphlet
src/input/grpthry.input.pamphlet
src/input/guess.input.pamphlet
src/input/i2e.input.pamphlet
src/input/liska.input.pamphlet
src/input/numericgamma.input.pamphlet
src/input/overload.input.pamphlet
src/input/setcmd.input.pamphlet
src/input/test.input.pamphlet
src/input/unittest1.input.pamphlet
src/input/unittest2.input.pamphlet
---
 changelog                             |    2 +
 patch                                 |   27 +-
 src/axiom-website/patches.html        |    2 +
 src/input/charlwood.input.pamphlet    |   57 +-
 src/input/cmds.input.pamphlet         |  105 ++-
 src/input/cohen1.input                |   16 +-
 src/input/derham2.input.pamphlet      |    8 +-
 src/input/dop.input.pamphlet          | 1248 ++----------------------
 src/input/en.input.pamphlet           | 1744 +--------------------------------
 src/input/grpthry.input.pamphlet      |   19 +-
 src/input/guess.input.pamphlet        |  796 +++++++---------
 src/input/i2e.input.pamphlet          |    9 +-
 src/input/liska.input.pamphlet        |    2 +-
 src/input/numericgamma.input.pamphlet |    8 +-
 src/input/overload.input.pamphlet     |   79 +-
 src/input/setcmd.input.pamphlet       |    5 +-
 src/input/test.input.pamphlet         |    2 +
 src/input/unittest1.input.pamphlet    |    9 +-
 src/input/unittest2.input.pamphlet    |   20 +-
 19 files changed, 629 insertions(+), 3529 deletions(-)

diff --git a/changelog b/changelog
index 6385438..aecf603 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20150107 tpd src/axiom-website/patches.html 20150107.07.tpd.patch
+20150107 tpd src/input/* review and improve test cases
 20150107 tpd src/axiom-website/patches.html 20150107.06.tpd.patch
 20150107 tpd buglist: bug 7295: guessRat : (1 . arbitrary) cannot be coerced
 20150107 tpd src/axiom-website/patches.html 20150107.05.tpd.patch
diff --git a/patch b/patch
index c29fe05..2a5fbc8 100644
--- a/patch
+++ b/patch
@@ -1,11 +1,20 @@
-buglist: bug 7295: guessRat : (1 . arbitrary) cannot be coerced
+src/input/* review and improve test cases
+
+src/input/charlwood.input.pamphlet
+src/input/cmds.input.pamphlet
+src/input/cohen1.input
+src/input/derham2.input.pamphlet
+src/input/dop.input.pamphlet
+src/input/en.input.pamphlet
+src/input/grpthry.input.pamphlet
+src/input/guess.input.pamphlet
+src/input/i2e.input.pamphlet
+src/input/liska.input.pamphlet
+src/input/numericgamma.input.pamphlet
+src/input/overload.input.pamphlet
+src/input/setcmd.input.pamphlet
+src/input/test.input.pamphlet
+src/input/unittest1.input.pamphlet
+src/input/unittest2.input.pamphlet
 
-t1:=guessRat(q)([1,q,q^2], [])
---R 
---R 
---R   >> Error detected within library code:
---R   (1 . arbitrary) cannot be coerced to mode (NonNegativeInteger)
---R
---R   Continuing to read the file...
---R
 
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index eb1651a..b119d05 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4934,6 +4934,8 @@ bug 7293: )trace EXPR )math<br/>
 buglist: bug 7294: GuessOption: displayAsGF not set<br/>
 <a href="patches/20150107.06.tpd.patch">20150107.06.tpd.patch</a>
 buglist: bug 7295: guessRat : (1 . arbitrary) cannot be coerced<br/>
+<a href="patches/20150107.07.tpd.patch">20150107.07.tpd.patch</a>
+src/input/* review and improve test cases<br/>
  </body>
 </html>
 
diff --git a/src/input/charlwood.input.pamphlet b/src/input/charlwood.input.pamphlet
index 8a16ed9..bc19938 100644
--- a/src/input/charlwood.input.pamphlet
+++ b/src/input/charlwood.input.pamphlet
@@ -6640,45 +6640,38 @@ r0048:= sqrt(x)/2+(1+x)*atan(sqrt(1+x)-sqrt(x))
 --S 238 of 250
 a0048:= integrate(t0048,x)
 --R 
+--R 
+--R   >> Error detected within library code:
+--R   failed - cannot handle that integrand
+--R
+--R   Continuing to read the file...
 --R
---R   (207)
---R                                           +-----+    +-+
---R            +-----+             +-+       \|x + 1  - \|x      +-+ +-----+
---R   ((x + 1)\|x + 1  + (- x - 1)\|x )atan(----------------) + \|x \|x + 1  - x
---R                                          +-+ +-----+
---R                                         \|x \|x + 1  - x
---R   --------------------------------------------------------------------------
---R                                  +-----+     +-+
---R                                2\|x + 1  - 2\|x
---R                                         Type: Union(Expression(Integer),...)
 --E 238
 
+\end{chunk}
+Note that the above integral sometimes succeeds as
+\begin{verbatim}
+ 
+
+   (207)
+                                         +-----+    +-+
+            +-----+           +-+       \|x + 1  - \|x      +-+ +-----+
+   ((x + 1)\|x + 1  + (x + 1)\|x )atan(----------------) + \|x \|x + 1  + x
+                                        +-+ +-----+
+                                       \|x \|x + 1  - x
+   ------------------------------------------------------------------------
+                                 +-----+     +-+
+                               2\|x + 1  + 2\|x
+                                         Type: Union(Expression(Integer),...)
+\end{verbatim}
+\begin{chunk}{*}
+
 --S 239 of 250
-m0048:= a0048-r0048
---R 
---R
---R                                                          +-----+    +-+
---R                          +-----+    +-+                 \|x + 1  - \|x
---R          (- 2x - 2)atan(\|x + 1  - \|x ) + (x + 1)atan(----------------)
---R                                                         +-+ +-----+
---R                                                        \|x \|x + 1  - x
---I   (208)  ---------------------------------------------------------------
---R                                         2
---R                                                    Type: Expression(Integer)
+--m0048:= a0048-r0048
 --E 239
 
 --S 240 of 250
-d0048:= D(m0048,x)
---R 
---R
---R                                            +-----+    +-+
---R                   +-----+    +-+          \|x + 1  - \|x
---R          - 2atan(\|x + 1  - \|x ) + atan(----------------)
---R                                           +-+ +-----+
---R                                          \|x \|x + 1  - x
---I   (209)  -------------------------------------------------
---R                                  2
---R                                                    Type: Expression(Integer)
+--d0048:= D(m0048,x)
 --E 240
 
 
diff --git a/src/input/cmds.input.pamphlet b/src/input/cmds.input.pamphlet
index 96e7411..b33f511 100644
--- a/src/input/cmds.input.pamphlet
+++ b/src/input/cmds.input.pamphlet
@@ -98,8 +98,19 @@
 --R AHYP     ArcHyperbolicFunctionCategory
 --R ALAGG    AssociationListAggregate     ALGEBRA  Algebra
 --R AMR      AbelianMonoidRing            ARR2CAT  TwoDimensionalArrayCategory
+--R ATADDVA  AdditiveValuationAttribute   ATAPPRO  ApproximateAttribute
+--R ATARBEX  ArbitraryExponentAttribute   ATARBPR  ArbitraryPrecisionAttribute
+--R ATCANCL  CanonicalClosedAttribute     ATCANON  CanonicalAttribute
+--R ATCENRL  CentralAttribute             ATCS     CommutativeStarAttribute
+--R ATCUNOR  CanonicalUnitNormalAttribute ATFINAG  FiniteAggregateAttribute
+--R ATJACID  JacobiIdentityAttribute      ATLR     LazyRepresentationAttribute
+--R ATLUNIT  LeftUnitaryAttribute
+--R ATMULVA  MultiplicativeValuationAttribute
+--R ATNOTHR  NotherianAttribute           ATNULSQ  NullSquareAttribute
+--R ATNZDIV  NoZeroDivisorsAttribute      ATPOSET  PartiallyOrderedSetAttribute
 --R ATRIG    ArcTrigonometricFunctionCategory
---R ATTREG   AttributeRegistry            BASTYPE  BasicType
+--R ATSHMUT  ShallowlyMutableAttribute    ATTREG   AttributeRegistry
+--R ATUNIKN  UnitsKnownAttribute          BASTYPE  BasicType
 --R BGAGG    BagAggregate                 BLMETCT  BlowUpMethodCategory
 --R BMODULE  BiModule                     BRAGG    BinaryRecursiveAggregate
 --R BTAGG    BitAggregate                 BTCAT    BinaryTreeCategory
@@ -107,11 +118,12 @@
 --R CFCAT    CombinatorialFunctionCategory
 --R CHARNZ   CharacteristicNonZero        CHARZ    CharacteristicZero
 --R CLAGG    Collection                   COMBOPC  CombinatorialOpsCategory
---R COMPCAT  ComplexCategory              COMRING  CommutativeRing
---R DIAGG    Dictionary                   DIFEXT   DifferentialExtension
---R DIFRING  DifferentialRing             DIOPS    DictionaryOperations
---R DIRPCAT  DirectProductCategory        DIVCAT   DivisorCategory
---R DIVRING  DivisionRing                 DLAGG    DoublyLinkedAggregate
+--R COMPAR   Comparable                   COMPCAT  ComplexCategory
+--R COMRING  CommutativeRing              DIAGG    Dictionary
+--R DIFEXT   DifferentialExtension        DIFRING  DifferentialRing
+--R DIOPS    DictionaryOperations         DIRPCAT  DirectProductCategory
+--R DIVCAT   DivisorCategory              DIVRING  DivisionRing
+--R DLAGG    DoublyLinkedAggregate
 --R DPOLCAT  DifferentialPolynomialCategory
 --R DQAGG    DequeueAggregate             DSTRCAT  DesingTreeCategory
 --R DVARCAT  DifferentialVariableCategory ELAGG    ExtensibleLinearAggregate
@@ -151,8 +163,8 @@
 --R LMODULE  LeftModule                   LNAGG    LinearAggregate
 --R LOCPOWC  LocalPowerSeriesCategory
 --R LODOCAT  LinearOrdinaryDifferentialOperatorCategory
---R LOGIC    Logic                        LSAGG    ListAggregate
---R LZSTAGG  LazyStreamAggregate
+--R LOGIC    Logic                        LORER    LeftOreRing
+--R LSAGG    ListAggregate                LZSTAGG  LazyStreamAggregate
 --R MAGCDOC  ModularAlgebraicGcdOperations
 --R MATCAT   MatrixCategory               MDAGG    MultiDictionary
 --R MLO      MonogenicLinearOperator      MODULE   Module
@@ -274,29 +286,29 @@
 --R BTOURN   BinaryTournament             BTREE    BinaryTree
 --R CARD     CardinalNumber               CARTEN   CartesianTensor
 --R CCLASS   CharacterClass               CDFMAT   ComplexDoubleFloatMatrix
---R CDFVEC   ComplexDoubleFloatVector     CHAR     Character
---R CLAGG-   Collection&                  CLIF     CliffordAlgebra
---R COLOR    Color                        COMM     Commutator
---R COMPCAT- ComplexCategory&             COMPLEX  Complex
---R COMPPROP SubSpaceComponentProperty    CONTFRAC ContinuedFraction
---R D01AJFA  d01ajfAnnaType               D01AKFA  d01akfAnnaType
---R D01ALFA  d01alfAnnaType               D01AMFA  d01amfAnnaType
---R D01ANFA  d01anfAnnaType               D01APFA  d01apfAnnaType
---R D01AQFA  d01aqfAnnaType               D01ASFA  d01asfAnnaType
---R D01FCFA  d01fcfAnnaType               D01GBFA  d01gbfAnnaType
---R D01TRNS  d01TransformFunctionType     D02BBFA  d02bbfAnnaType
---R D02BHFA  d02bhfAnnaType               D02CJFA  d02cjfAnnaType
---R D02EJFA  d02ejfAnnaType               D03EEFA  d03eefAnnaType
---R D03FAFA  d03fafAnnaType               DBASE    Database
---R DECIMAL  DecimalExpansion             DEQUEUE  Dequeue
---R DERHAM   DeRhamComplex                DFLOAT   DoubleFloat
---R DFMAT    DoubleFloatMatrix            DFVEC    DoubleFloatVector
---R DHMATRIX DenavitHartenbergMatrix      DIAGG-   Dictionary&
---R DIFEXT-  DifferentialExtension&       DIFRING- DifferentialRing&
---R DIOPS-   DictionaryOperations&        DIRPCAT- DirectProductCategory&
---R DIRPROD  DirectProduct                DIRRING  DirichletRing
---R DIV      Divisor                      DIVRING- DivisionRing&
---R DLIST    DataList
+--R CDFVEC   ComplexDoubleFloatVector     CELL     Cell
+--R CHAR     Character                    CLAGG-   Collection&
+--R CLIF     CliffordAlgebra              COLOR    Color
+--R COMM     Commutator                   COMPCAT- ComplexCategory&
+--R COMPLEX  Complex                      COMPPROP SubSpaceComponentProperty
+--R CONTFRAC ContinuedFraction            D01AJFA  d01ajfAnnaType
+--R D01AKFA  d01akfAnnaType               D01ALFA  d01alfAnnaType
+--R D01AMFA  d01amfAnnaType               D01ANFA  d01anfAnnaType
+--R D01APFA  d01apfAnnaType               D01AQFA  d01aqfAnnaType
+--R D01ASFA  d01asfAnnaType               D01FCFA  d01fcfAnnaType
+--R D01GBFA  d01gbfAnnaType               D01TRNS  d01TransformFunctionType
+--R D02BBFA  d02bbfAnnaType               D02BHFA  d02bhfAnnaType
+--R D02CJFA  d02cjfAnnaType               D02EJFA  d02ejfAnnaType
+--R D03EEFA  d03eefAnnaType               D03FAFA  d03fafAnnaType
+--R DBASE    Database                     DECIMAL  DecimalExpansion
+--R DEQUEUE  Dequeue                      DERHAM   DeRhamComplex
+--R DFLOAT   DoubleFloat                  DFMAT    DoubleFloatMatrix
+--R DFVEC    DoubleFloatVector            DHMATRIX DenavitHartenbergMatrix
+--R DIAGG-   Dictionary&                  DIFEXT-  DifferentialExtension&
+--R DIFRING- DifferentialRing&            DIOPS-   DictionaryOperations&
+--R DIRPCAT- DirectProductCategory&       DIRPROD  DirectProduct
+--R DIRRING  DirichletRing                DIV      Divisor
+--R DIVRING- DivisionRing&                DLIST    DataList
 --R DMP      DistributedMultivariatePolynomial
 --R DPMM     DirectProductMatrixModule    DPMO     DirectProductModule
 --R DPOLCAT- DifferentialPolynomialCategory&
@@ -334,7 +346,8 @@
 --R FFX      FiniteFieldExtension         FGROUP   FreeGroup
 --R FIELD-   Field&                       FILE     File
 --R FINAALG- FiniteRankNonAssociativeAlgebra&
---R FINRALG- FiniteRankAlgebra&           FLAGG-   FiniteLinearAggregate&
+--R FINITE-  Finite&                      FINRALG- FiniteRankAlgebra&
+--R FLAGG-   FiniteLinearAggregate&
 --R FLINEXP- FullyLinearlyExplicitRingOver&
 --R FLOAT    Float                        FM       FreeModule
 --R FM1      FreeModule1                  FMONOID  FreeMonoid
@@ -482,14 +495,16 @@
 --R RSETCAT- RegularTriangularSetCategory&
 --R RULE     RewriteRule                  RULECOLD RuleCalled
 --R RULESET  Ruleset                      SAE      SimpleAlgebraicExtension
---R SAOS     SingletonAsOrderedSet        SD       StochasticDifferential
+--R SAOS     SingletonAsOrderedSet        SCELL    SimpleCell
+--R SD       StochasticDifferential
 --R SDPOL    SequentialDifferentialPolynomial
 --R SDVAR    SequentialDifferentialVariable
 --R SEG      Segment                      SEGBIND  SegmentBinding
---R SET      Set                          SETAGG-  SetAggregate&
---R SETCAT-  SetCategory&                 SETMN    SetOfMIntegersInOneToN
---R SEX      SExpression                  SEXOF    SExpressionOf
---R SFORT    SimpleFortranProgram         SGROUP-  SemiGroup&
+--R SEM      SparseEchelonMatrix          SET      Set
+--R SETAGG-  SetAggregate&                SETCAT-  SetCategory&
+--R SETMN    SetOfMIntegersInOneToN       SEX      SExpression
+--R SEXOF    SExpressionOf                SFORT    SimpleFortranProgram
+--R SGROUP-  SemiGroup&
 --R SHDP     SplitHomogeneousDirectProduct
 --R SINT     SingleInteger                SMATCAT- SquareMatrixCategory&
 --R SMP      SparseMultivariatePolynomial
@@ -562,6 +577,8 @@
 --R BEZOUT   BezoutMatrix                 BLAS1    BlasLevelOne
 --R BLUPPACK BlowUpPackage                BOP1     BasicOperatorFunctions1
 --R BOUNDZRO BoundIntegerRoots            BRILL    BrillhartTests
+--R CAD      CylindricalAlgebraicDecompositionPackage
+--R CADU     CylindricalAlgebraicDecompositionUtilities
 --R CARTEN2  CartesianTensorFunctions2    CDEN     CommonDenominator
 --R CHARPOL  CharacteristicPolynomialPackage
 --R CHVAR    ChangeOfVariable
@@ -653,13 +670,13 @@
 --R GENUPS   GenerateUnivariatePowerSeries
 --R GHENSEL  GeneralHenselPackage         GOSPER   GosperSummationMethod
 --R GPAFF    GeneralPackageForAlgebraicFunctionField
---R GRAY     GrayCode                     GRDEF    GraphicsDefaults
---R GROEBSOL GroebnerSolve                GUESS    Guess
---R GUESSAN  GuessAlgebraicNumber         GUESSF   GuessFinite
---R GUESSF1  GuessFiniteFunctions         GUESSINT GuessInteger
---R GUESSP   GuessPolynomial              GUESSUP  GuessUnivariatePolynomial
---R HB       HallBasis                    HEUGCD   HeuGcd
---R IALGFACT InnerAlgFactor
+--R GRAPHVIZ Graphviz                     GRAY     GrayCode
+--R GRDEF    GraphicsDefaults             GROEBSOL GroebnerSolve
+--R GUESS    Guess                        GUESSAN  GuessAlgebraicNumber
+--R GUESSF   GuessFinite                  GUESSF1  GuessFiniteFunctions
+--R GUESSINT GuessInteger                 GUESSP   GuessPolynomial
+--R GUESSUP  GuessUnivariatePolynomial    HB       HallBasis
+--R HEUGCD   HeuGcd                       IALGFACT InnerAlgFactor
 --R IBACHIN  ChineseRemainderToolsForIntegralBases
 --R IBATOOL  IntegralBasisTools           IBPTOOLS IntegralBasisPolynomialTools
 --R ICDEN    InnerCommonDenominator       IDECOMP  IdealDecompositionPackage
diff --git a/src/input/cohen1.input b/src/input/cohen1.input
index b2733bc..48d735d 100644
--- a/src/input/cohen1.input
+++ b/src/input/cohen1.input
@@ -1,13 +1,13 @@
 --allfact
-u:UP(x,PF(19)) :=3*x**4+2*x**2+15*x+18
-v:UP(x,INT):= (4*x**3+2*x**2+1)*(12*x**5-x**3+12)
-w:MPOLY([x,y,z],INT) :=(x**2-y**2-z**2)*(x**2+y**2+z**2)*(z*y+3*z)
-f:MPOLY([x,y,z],FRAC INT) :=(4/9*x**2-1/16)*(x**3/27+125)
-g:DMP([x,y],FRAC POLY INT):=a**2*x**2/b**2 -c**2*y**2/d**2
-r:FRAC POLY INT:= (a**3/b**3-c**3/(b+1)**3)*(a*d+a/c)
-p:UP(x,SAEaa) :=(x**3+aa**2*x+1)*(aa*x**2+aa*x+aa)**2
+u:UP(x,PF(19)) :=3*x^4+2*x^2+15*x+18
+v:UP(x,INT):= (4*x^3+2*x^2+1)*(12*x^5-x^3+12)
+w:MPOLY([x,y,z],INT) :=(x^2-y^2-z^2)*(x^2+y^2+z^2)*(z*y+3*z)
+f:MPOLY([x,y,z],FRAC INT) :=(4/9*x^2-1/16)*(x^3/27+125)
+g:DMP([x,y],FRAC POLY INT):=a^2*x^2/b^2 -c^2*y^2/d^2
+r:FRAC POLY INT:= (a^3/b^3-c^3/(b+1)^3)*(a*d+a/c)
+p:UP(x,SAEaa) :=(x^3+aa^2*x+1)*(aa*x^2+aa*x+aa)^2
 
 --arith
-u := (x+1)**6
+u := (x+1)^6
 - b d + a c + (a d + b c)e
                           1
diff --git a/src/input/derham2.input.pamphlet b/src/input/derham2.input.pamphlet
index d487d73..4ef3bb8 100644
--- a/src/input/derham2.input.pamphlet
+++ b/src/input/derham2.input.pamphlet
@@ -606,7 +606,7 @@ L:=diagonalMatrix([1,-1,-1,-1])
 hodgeStar(dt,L)
 --R 
 --R
---R   (56)  - dx dy dz
+--R   (56)  dx dy dz
 --R                                       Type: DeRhamComplex(Integer,[t,x,y,z])
 --E 56
 
@@ -614,7 +614,7 @@ hodgeStar(dt,L)
 hodgeStar(dx,L)
 --R 
 --R
---R   (57)  - dt dy dz
+--R   (57)  dt dy dz
 --R                                       Type: DeRhamComplex(Integer,[t,x,y,z])
 --E 57
 
@@ -622,7 +622,7 @@ hodgeStar(dx,L)
 hodgeStar(dy,L)
 --R 
 --R
---R   (58)  dt dx dz
+--R   (58)  - dt dx dz
 --R                                       Type: DeRhamComplex(Integer,[t,x,y,z])
 --E 58
 
@@ -630,7 +630,7 @@ hodgeStar(dy,L)
 hodgeStar(dz,L)
 --R 
 --R
---R   (59)  - dt dx dy
+--R   (59)  dt dx dy
 --R                                       Type: DeRhamComplex(Integer,[t,x,y,z])
 --E 59
 
diff --git a/src/input/dop.input.pamphlet b/src/input/dop.input.pamphlet
index b0995db..1e150d1 100644
--- a/src/input/dop.input.pamphlet
+++ b/src/input/dop.input.pamphlet
@@ -1054,6 +1054,15 @@
 --R
 --RExamples of map from DeRhamComplex
 --R
+--Rder := DeRhamComplex(Integer,[x,y,z]) 
+--Rf:BOP:=operator('f) 
+--Rg:BOP:=operator('g) 
+--Rh:BOP:=operator('h) 
+--Rsigma:der:=f(x,y,z)*dx + g(x,y,z)*dy + h(x,y,z)*dz 
+--RR := Expression(Integer) 
+--RT(x:R):R == x^2 
+--Rmap(T,sigma)
+--R
 --R
 --RExamples of map from DirectProductFunctions2
 --R
@@ -1366,13 +1375,16 @@
 )d op ncols
 --R 
 --R
---RThere are 2 exposed functions called ncols :
+--RThere are 3 exposed functions called ncols :
 --R   [1] D -> NonNegativeInteger from D
 --R            if D has ARR2CAT(D2,D3,D4) and D2 has TYPE and D3 has FLAGG
 --R            (D2) and D4 has FLAGG(D2)
 --R   [2] D -> NonNegativeInteger from D
 --R            if D has RMATCAT(D2,D3,D4,D5,D6) and D4 has RING and D5 has
 --R            DIRPCAT(D3,D4) and D6 has DIRPCAT(D2,D4)
+--R   [3] SparseEchelonMatrix(D2,D3) -> NonNegativeInteger
+--R            from SparseEchelonMatrix(D2,D3) if D2 has ORDSET and D3 has
+--R            RING
 --R
 --RExamples of ncols from TwoDimensionalArrayCategory
 --R
@@ -1382,6 +1394,9 @@
 --R
 --RExamples of ncols from RectangularMatrixCategory
 --R
+--R
+--RExamples of ncols from SparseEchelonMatrix
+--R
 --E 24
 
 --S 25 of 127
@@ -3112,13 +3127,16 @@
 )d op nrows
 --R 
 --R
---RThere are 2 exposed functions called nrows :
+--RThere are 3 exposed functions called nrows :
 --R   [1] D -> NonNegativeInteger from D
 --R            if D has ARR2CAT(D2,D3,D4) and D2 has TYPE and D3 has FLAGG
 --R            (D2) and D4 has FLAGG(D2)
 --R   [2] D -> NonNegativeInteger from D
 --R            if D has RMATCAT(D2,D3,D4,D5,D6) and D4 has RING and D5 has
 --R            DIRPCAT(D3,D4) and D6 has DIRPCAT(D2,D4)
+--R   [3] SparseEchelonMatrix(D2,D3) -> NonNegativeInteger
+--R            from SparseEchelonMatrix(D2,D3) if D2 has ORDSET and D3 has
+--R            RING
 --R
 --RExamples of nrows from TwoDimensionalArrayCategory
 --R
@@ -3128,19 +3146,26 @@
 --R
 --RExamples of nrows from RectangularMatrixCategory
 --R
+--R
+--RExamples of nrows from SparseEchelonMatrix
+--R
 --E 65
 
 --S 66 of 127
 )d op row
 --R 
 --R
---RThere are 2 exposed functions called row :
+--RThere are 3 exposed functions called row :
 --R   [1] (D,Integer) -> D1 from D
 --R            if D has ARR2CAT(D3,D1,D4) and D3 has TYPE and D4 has FLAGG
 --R            (D3) and D1 has FLAGG(D3)
 --R   [2] (D,Integer) -> D1 from D
 --R            if D has RMATCAT(D3,D4,D5,D1,D6) and D5 has RING and D6 has
 --R            DIRPCAT(D3,D5) and D1 has DIRPCAT(D4,D5)
+--R   [3] (SparseEchelonMatrix(D3,D4),Integer) -> Record(Indices: List(D3)
+--R            ,Entries: List(D4))
+--R            from SparseEchelonMatrix(D3,D4) if D3 has ORDSET and D4 has
+--R            RING
 --R
 --RExamples of row from TwoDimensionalArrayCategory
 --R
@@ -3150,6 +3175,9 @@
 --R
 --RExamples of row from RectangularMatrixCategory
 --R
+--R
+--RExamples of row from SparseEchelonMatrix
+--R
 --E 66
 
 --S 67 of 127
@@ -3188,1130 +3216,7 @@
 --E 68
 
 --S 69 of 127
-)d op coerce
---R 
---R
---RThere are 194 exposed functions called coerce :
---R   [1] List D2 -> D from D if D2 has FIELD and D has AFSPCAT D2
---R   [2] D -> List D2 from D if D has AFSPCAT D2 and D2 has FIELD
---R   [3] D1 -> D from D if D has ALGEBRA D1 and D1 has COMRING
---R   [4] Vector D2 -> AlgebraGivenByStructuralConstants(D2,D3,D4,D5)
---R            from AlgebraGivenByStructuralConstants(D2,D3,D4,D5)
---R            if D2 has FIELD and D5: VECTOR MATRIX D2 and D3: PI and D4
---R            : LIST SYMBOL
---R   [5] SparseMultivariatePolynomial(Integer,Kernel AlgebraicNumber) -> 
---R            AlgebraicNumber
---R            from AlgebraicNumber
---R   [6] D2 -> Any from AnyFunctions1 D2 if D2 has TYPE
---R   [7] Vector FortranExpression([construct,QUOTEJINT,QUOTEX,QUOTEELAM],
---R            [construct],MachineFloat) -> Asp10 D2
---R            from Asp10 D2 if D2: SYMBOL
---R   [8] Vector FortranExpression([construct],[construct,QUOTEXC],
---R            MachineFloat) -> Asp19 D2
---R            from Asp19 D2 if D2: SYMBOL
---R   [9] FortranExpression([construct,QUOTEX],[construct],MachineFloat)
---R             -> Asp1 D2
---R            from Asp1 D2 if D2: SYMBOL
---R   [10] Matrix FortranExpression([construct],[construct,QUOTEX,QUOTE
---R            HESS],MachineFloat) -> Asp20 D2
---R            from Asp20 D2 if D2: SYMBOL
---R   [11] FortranExpression([construct],[construct,QUOTEXC],MachineFloat)
---R             -> Asp24 D2
---R            from Asp24 D2 if D2: SYMBOL
---R   [12] Vector FortranExpression([construct,QUOTEX],[construct,QUOTEY],
---R            MachineFloat) -> Asp31 D2
---R            from Asp31 D2 if D2: SYMBOL
---R   [13] Vector FortranExpression([construct],[construct,QUOTEX],
---R            MachineFloat) -> Asp35 D2
---R            from Asp35 D2 if D2: SYMBOL
---R   [14] Vector FortranExpression([construct,QUOTEX,QUOTEEPS],[construct
---R            ,QUOTEY],MachineFloat) -> Asp41(D2,D3,D4)
---R            from Asp41(D2,D3,D4) if D2: SYMBOL and D3: SYMBOL and D4: 
---R            SYMBOL
---R   [15] Vector FortranExpression([construct,QUOTEEPS],[construct,QUOTE
---R            YA,QUOTEYB],MachineFloat) -> Asp42(D2,D3,D4)
---R            from Asp42(D2,D3,D4) if D2: SYMBOL and D3: SYMBOL and D4: 
---R            SYMBOL
---R   [16] FortranExpression([construct],[construct,QUOTEX],MachineFloat)
---R             -> Asp49 D2
---R            from Asp49 D2 if D2: SYMBOL
---R   [17] FortranExpression([construct],[construct,QUOTEX],MachineFloat)
---R             -> Asp4 D2
---R            from Asp4 D2 if D2: SYMBOL
---R   [18] Vector FortranExpression([construct],[construct,QUOTEXC],
---R            MachineFloat) -> Asp50 D2
---R            from Asp50 D2 if D2: SYMBOL
---R   [19] Vector FortranExpression([construct],[construct,QUOTEX],
---R            MachineFloat) -> Asp55 D2
---R            from Asp55 D2 if D2: SYMBOL
---R   [20] Vector FortranExpression([construct],[construct,QUOTEX],
---R            MachineFloat) -> Asp6 D2
---R            from Asp6 D2 if D2: SYMBOL
---R   [21] Vector FortranExpression([construct,QUOTEX,QUOTEY],[construct],
---R            MachineFloat) -> Asp73 D2
---R            from Asp73 D2 if D2: SYMBOL
---R   [22] Matrix FortranExpression([construct,QUOTEX,QUOTEY],[construct],
---R            MachineFloat) -> Asp74 D2
---R            from Asp74 D2 if D2: SYMBOL
---R   [23] Matrix FortranExpression([construct,QUOTEX],[construct],
---R            MachineFloat) -> Asp77 D2
---R            from Asp77 D2 if D2: SYMBOL
---R   [24] Vector FortranExpression([construct,QUOTEX],[construct],
---R            MachineFloat) -> Asp78 D2
---R            from Asp78 D2 if D2: SYMBOL
---R   [25] Vector FortranExpression([construct,QUOTEX],[construct,QUOTEY],
---R            MachineFloat) -> Asp7 D2
---R            from Asp7 D2 if D2: SYMBOL
---R   [26] Matrix FortranExpression([construct,QUOTEXL,QUOTEXR,QUOTEELAM],
---R            [construct],MachineFloat) -> Asp80 D2
---R            from Asp80 D2 if D2: SYMBOL
---R   [27] FortranExpression([construct,QUOTEX],[construct,QUOTEY],
---R            MachineFloat) -> Asp9 D2
---R            from Asp9 D2 if D2: SYMBOL
---R   [28] ArrayStack D2 -> OutputForm from ArrayStack D2
---R            if D2 has SETCAT and D2 has SETCAT
---R   [29] BinaryExpansion -> RadixExpansion 2 from BinaryExpansion
---R   [30] BinaryExpansion -> Fraction Integer from BinaryExpansion
---R   [31] List Integer -> D from D if D has BLMETCT
---R   [32] List CartesianTensor(D2,D3,D4) -> CartesianTensor(D2,D3,D4)
---R            from CartesianTensor(D2,D3,D4)
---R            if D2: INT and D3: NNI and D4 has COMRING
---R   [33] List D4 -> CartesianTensor(D2,D3,D4) from CartesianTensor(D2,D3
---R            ,D4)
---R            if D4 has COMRING and D2: INT and D3: NNI
---R   [34] SquareMatrix(D3,D4) -> CartesianTensor(D2,D3,D4)
---R            from CartesianTensor(D2,D3,D4)
---R            if D3: NNI and D4 has COMRING and D2: INT
---R   [35] DirectProduct(D3,D4) -> CartesianTensor(D2,D3,D4)
---R            from CartesianTensor(D2,D3,D4)
---R            if D3: NNI and D4 has COMRING and D2: INT
---R   [36] List D2 -> Database D2 from Database D2
---R            if D2 has OrderedSet with 
---R               ?.? : (%,Symbol) -> String
---R               display : % -> Void
---R               fullDisplay : % -> Void
---R   [37] DecimalExpansion -> RadixExpansion 10 from DecimalExpansion
---R   [38] DecimalExpansion -> Fraction Integer from DecimalExpansion
---R   [39] Dequeue D2 -> OutputForm from Dequeue D2
---R            if D2 has SETCAT and D2 has SETCAT
---R   [40] DirichletRing D2 -> Stream D2 from DirichletRing D2 if D2 has 
---R            RING
---R   [41] Stream D2 -> DirichletRing D2 from DirichletRing D2 if D2 has 
---R            RING
---R   [42] DirichletRing D2 -> (PositiveInteger -> D2) from DirichletRing 
---R            D2
---R            if D2 has RING
---R   [43] (PositiveInteger -> D2) -> DirichletRing D2 from DirichletRing 
---R            D2
---R            if D2 has RING
---R   [44] DataList D2 -> List D2 from DataList D2 if D2 has ORDSET
---R   [45] List D2 -> DataList D2 from DataList D2 if D2 has ORDSET
---R   [46] SegmentBinding Expression D3 -> SegmentBinding Float
---R            from DrawNumericHack D3
---R            if D3 has Join(OrderedSet,IntegralDomain,ConvertibleTo 
---R            Float)
---R   [47] D1 -> D from D if D has DVARCAT D1 and D1 has ORDSET
---R   [48] FortranCode -> OutputForm from FortranCode
---R   [49] FortranExpression(D2,D3,D4) -> Expression D4
---R            from FortranExpression(D2,D3,D4)
---R            if D2: LIST SYMBOL and D3: LIST SYMBOL and D4 has FMTC
---R   [50] D2 -> D1 from FiniteFieldHomomorphisms(D2,D3,D1)
---R            if D3 has FFIELDC and D1 has FAXF D3 and D2 has FAXF D3
---R   [51] D2 -> D1 from FiniteFieldHomomorphisms(D1,D3,D2)
---R            if D3 has FFIELDC and D1 has FAXF D3 and D2 has FAXF D3
---R   [52] D -> XRecursivePolynomial(D2,D3) from D
---R            if D has FLALG(D2,D3) and D2 has ORDSET and D3 has COMRING
---R            
---R   [53] D -> XDistributedPolynomial(D2,D3) from D
---R            if D has FLALG(D2,D3) and D2 has ORDSET and D3 has COMRING
---R            
---R   [54] D1 -> D from D
---R            if D has FLALG(D1,D2) and D1 has ORDSET and D2 has COMRING
---R            
---R   [55] Record(localSymbols: SymbolTable,code: List FortranCode) -> D 
---R            from D
---R            if D has FMC
---R   [56] FortranCode -> D from D if D has FMC
---R   [57] List FortranCode -> D from D if D has FMC
---R   [58] Matrix MachineFloat -> D from D if D has FMC
---R   [59] Record(localSymbols: SymbolTable,code: List FortranCode) -> D 
---R            from D
---R            if D has FMFUN
---R   [60] FortranCode -> D from D if D has FMFUN
---R   [61] List FortranCode -> D from D if D has FMFUN
---R   [62] D -> String from D if D has FNCAT
---R   [63] String -> D from D if D has FNCAT
---R   [64] D2 -> ScriptFormulaFormat from ScriptFormulaFormat1 D2 if D2 
---R            has SETCAT
---R   [65] OutputForm -> ScriptFormulaFormat from ScriptFormulaFormat
---R   [66] Record(localSymbols: SymbolTable,code: List FortranCode) -> D 
---R            from D
---R            if D has FORTFN
---R   [67] FortranCode -> D from D if D has FORTFN
---R   [68] List FortranCode -> D from D if D has FORTFN
---R   [69] Equation Expression Complex Float -> FortranProgram(D2,D3,D4,D5
---R            )
---R            from FortranProgram(D2,D3,D4,D5)
---R            if D2: SYMBOL and D3: Union(fst: FortranScalarType,void: 
---R            void) and D4: LIST SYMBOL and D5: SYMTAB
---R   [70] Equation Expression Float -> FortranProgram(D2,D3,D4,D5)
---R            from FortranProgram(D2,D3,D4,D5)
---R            if D2: SYMBOL and D3: Union(fst: FortranScalarType,void: 
---R            void) and D4: LIST SYMBOL and D5: SYMTAB
---R   [71] Equation Expression Integer -> FortranProgram(D2,D3,D4,D5)
---R            from FortranProgram(D2,D3,D4,D5)
---R            if D2: SYMBOL and D3: Union(fst: FortranScalarType,void: 
---R            void) and D4: LIST SYMBOL and D5: SYMTAB
---R   [72] Expression Complex Float -> FortranProgram(D2,D3,D4,D5)
---R            from FortranProgram(D2,D3,D4,D5)
---R            if D2: SYMBOL and D3: Union(fst: FortranScalarType,void: 
---R            void) and D4: LIST SYMBOL and D5: SYMTAB
---R   [73] Expression Float -> FortranProgram(D2,D3,D4,D5)
---R            from FortranProgram(D2,D3,D4,D5)
---R            if D2: SYMBOL and D3: Union(fst: FortranScalarType,void: 
---R            void) and D4: LIST SYMBOL and D5: SYMTAB
---R   [74] Expression Integer -> FortranProgram(D2,D3,D4,D5)
---R            from FortranProgram(D2,D3,D4,D5)
---R            if D2: SYMBOL and D3: Union(fst: FortranScalarType,void: 
---R            void) and D4: LIST SYMBOL and D5: SYMTAB
---R   [75] Equation Expression MachineComplex -> FortranProgram(D2,D3,D4,
---R            D5)
---R            from FortranProgram(D2,D3,D4,D5)
---R            if D2: SYMBOL and D3: Union(fst: FortranScalarType,void: 
---R            void) and D4: LIST SYMBOL and D5: SYMTAB
---R   [76] Equation Expression MachineFloat -> FortranProgram(D2,D3,D4,D5)
---R            from FortranProgram(D2,D3,D4,D5)
---R            if D2: SYMBOL and D3: Union(fst: FortranScalarType,void: 
---R            void) and D4: LIST SYMBOL and D5: SYMTAB
---R   [77] Equation Expression MachineInteger -> FortranProgram(D2,D3,D4,
---R            D5)
---R            from FortranProgram(D2,D3,D4,D5)
---R            if D2: SYMBOL and D3: Union(fst: FortranScalarType,void: 
---R            void) and D4: LIST SYMBOL and D5: SYMTAB
---R   [78] Expression MachineComplex -> FortranProgram(D2,D3,D4,D5)
---R            from FortranProgram(D2,D3,D4,D5)
---R            if D2: SYMBOL and D3: Union(fst: FortranScalarType,void: 
---R            void) and D4: LIST SYMBOL and D5: SYMTAB
---R   [79] Expression MachineFloat -> FortranProgram(D2,D3,D4,D5)
---R            from FortranProgram(D2,D3,D4,D5)
---R            if D2: SYMBOL and D3: Union(fst: FortranScalarType,void: 
---R            void) and D4: LIST SYMBOL and D5: SYMTAB
---R   [80] Expression MachineInteger -> FortranProgram(D2,D3,D4,D5)
---R            from FortranProgram(D2,D3,D4,D5)
---R            if D2: SYMBOL and D3: Union(fst: FortranScalarType,void: 
---R            void) and D4: LIST SYMBOL and D5: SYMTAB
---R   [81] Record(localSymbols: SymbolTable,code: List FortranCode) -> 
---R            FortranProgram(D2,D3,D4,D5)
---R            from FortranProgram(D2,D3,D4,D5)
---R            if D2: SYMBOL and D3: Union(fst: FortranScalarType,void: 
---R            void) and D4: LIST SYMBOL and D5: SYMTAB
---R   [82] List FortranCode -> FortranProgram(D2,D3,D4,D5)
---R            from FortranProgram(D2,D3,D4,D5)
---R            if D2: SYMBOL and D3: Union(fst: FortranScalarType,void: 
---R            void) and D4: LIST SYMBOL and D5: SYMTAB
---R   [83] FortranCode -> FortranProgram(D2,D3,D4,D5)
---R            from FortranProgram(D2,D3,D4,D5)
---R            if D2: SYMBOL and D3: Union(fst: FortranScalarType,void: 
---R            void) and D4: LIST SYMBOL and D5: SYMTAB
---R   [84] FourierComponent D3 -> FourierSeries(D2,D3) from FourierSeries(
---R            D2,D3)
---R            if D3 has Join(OrderedSet,AbelianGroup) and D2 has Join(
---R            CommutativeRing,Algebra Fraction Integer)
---R   [85] D1 -> FourierSeries(D1,D2) from FourierSeries(D1,D2)
---R            if D1 has Join(CommutativeRing,Algebra Fraction Integer) 
---R            and D2 has Join(OrderedSet,AbelianGroup)
---R   [86] Fraction Polynomial Fraction D2 -> D from D
---R            if D2 has INTDOM and D2 has ORDSET and D has FS D2
---R   [87] Polynomial Fraction D2 -> D from D
---R            if D2 has INTDOM and D2 has ORDSET and D has FS D2
---R   [88] Fraction D2 -> D from D
---R            if D2 has INTDOM and D2 has ORDSET and D has FS D2
---R   [89] SparseMultivariatePolynomial(D2,Kernel D) -> D from D
---R            if D2 has RING and D2 has ORDSET and D has FS D2
---R   [90] FortranScalarType -> SExpression from FortranScalarType
---R   [91] FortranScalarType -> Symbol from FortranScalarType
---R   [92] Symbol -> FortranScalarType from FortranScalarType
---R   [93] String -> FortranScalarType from FortranScalarType
---R   [94] FortranScalarType -> FortranType from FortranType
---R   [95] FortranType -> OutputForm from FortranType
---R   [96] Record(localSymbols: SymbolTable,code: List FortranCode) -> D 
---R            from D
---R            if D has FVC
---R   [97] FortranCode -> D from D if D has FVC
---R   [98] List FortranCode -> D from D if D has FVC
---R   [99] Vector MachineFloat -> D from D if D has FVC
---R   [100] Record(localSymbols: SymbolTable,code: List FortranCode) -> D 
---R            from D
---R            if D has FVFUN
---R   [101] FortranCode -> D from D if D has FVFUN
---R   [102] List FortranCode -> D from D if D has FVFUN
---R   [103] UnivariatePuiseuxSeries(D2,D3,D4) -> 
---R            GeneralUnivariatePowerSeries(D2,D3,D4)
---R            from GeneralUnivariatePowerSeries(D2,D3,D4)
---R            if D2 has RING and D3: SYMBOL and D4: D2
---R   [104] Variable D3 -> GeneralUnivariatePowerSeries(D2,D3,D4)
---R            from GeneralUnivariatePowerSeries(D2,D3,D4)
---R            if D3: SYMBOL and D2 has RING and D4: D2
---R   [105] Heap D2 -> OutputForm from Heap D2 if D2 has SETCAT and D2 has
---R            ORDSET
---R   [106] HexadecimalExpansion -> RadixExpansion 16 from 
---R            HexadecimalExpansion
---R   [107] HexadecimalExpansion -> Fraction Integer from 
---R            HexadecimalExpansion
---R   [108] OutputForm -> String from HTMLFormat
---R   [109] String -> IndexCard from IndexCard
---R   [110] List D5 -> PolynomialIdeals(D2,D3,D4,D5)
---R            from PolynomialIdeals(D2,D3,D4,D5)
---R            if D5 has POLYCAT(D2,D3,D4) and D2 has FIELD and D3 has 
---R            OAMONS and D4 has ORDSET
---R   [111] D1 -> AssociatedJordanAlgebra(D2,D1)
---R            from AssociatedJordanAlgebra(D2,D1)
---R            if D2 has COMRING and D1 has NAALG D2
---R   [112] D -> D1 from D if D has KOERCE D1 and D1 has TYPE
---R   [113] D1 -> D from D if D has LALG D1 and D1 has RING
---R   [114] D1 -> AssociatedLieAlgebra(D2,D1) from AssociatedLieAlgebra(D2
---R            ,D1)
---R            if D2 has COMRING and D1 has NAALG D2
---R   [115] D -> Stream Record(k: Integer,c: D2) from D
---R            if D has LOCPOWC D2 and D2 has FIELD
---R   [116] Stream Record(k: Integer,c: D2) -> D from D
---R            if D2 has FIELD and D has LOCPOWC D2
---R   [117] ThreeDimensionalMatrix D2 -> PrimitiveArray PrimitiveArray 
---R            PrimitiveArray D2
---R            from ThreeDimensionalMatrix D2 if D2 has SETCAT
---R   [118] PrimitiveArray PrimitiveArray PrimitiveArray D2 -> 
---R            ThreeDimensionalMatrix D2
---R            from ThreeDimensionalMatrix D2 if D2 has SETCAT
---R   [119] D2 -> (() -> D2) from MappingPackage1 D2 if D2 has SETCAT
---R   [120] D1 -> D from D
---R            if D2 has RING and D has MATCAT(D2,D3,D1) and D3 has FLAGG 
---R            D2 and D1 has FLAGG D2
---R   [121] MachineComplex -> Complex Float from MachineComplex
---R   [122] Complex MachineInteger -> MachineComplex from MachineComplex
---R         
---R   [123] Complex MachineFloat -> MachineComplex from MachineComplex
---R   [124] Complex Integer -> MachineComplex from MachineComplex
---R   [125] Complex Float -> MachineComplex from MachineComplex
---R   [126] MachineInteger -> MachineFloat from MachineFloat
---R   [127] MachineFloat -> Float from MachineFloat
---R   [128] Expression Integer -> Expression MachineInteger from 
---R            MachineInteger
---R   [129] OutputForm -> String from MathMLFormat
---R   [130] Fraction MyUnivariatePolynomial(D2,D3) -> MyExpression(D2,D3)
---R            from MyExpression(D2,D3)
---R            if D2: SYMBOL and D3 has Join(Ring,OrderedSet,
---R            IntegralDomain)
---R   [131] Polynomial D3 -> MyUnivariatePolynomial(D2,D3)
---R            from MyUnivariatePolynomial(D2,D3) if D3 has RING and D2: 
---R            SYMBOL
---R   [132] Variable D2 -> MyUnivariatePolynomial(D2,D3)
---R            from MyUnivariatePolynomial(D2,D3) if D2: SYMBOL and D3 has
---R            RING
---R   [133] D1 -> MyUnivariatePolynomial(D2,D1) from 
---R            MyUnivariatePolynomial(D2,D1)
---R            if D2: SYMBOL and D1 has RING
---R   [134] Integer -> D from D if D has NASRING
---R   [135] Union(nia: Record(var: Symbol,fn: Expression DoubleFloat,range
---R            : Segment OrderedCompletion DoubleFloat,abserr: DoubleFloat,
---R            relerr: DoubleFloat),mdnia: Record(fn: Expression DoubleFloat,
---R            range: List Segment OrderedCompletion DoubleFloat,abserr: 
---R            DoubleFloat,relerr: DoubleFloat)) -> NumericalIntegrationProblem
---R            from NumericalIntegrationProblem
---R   [136] Record(fn: Expression DoubleFloat,range: List Segment 
---R            OrderedCompletion DoubleFloat,abserr: DoubleFloat,relerr: 
---R            DoubleFloat) -> NumericalIntegrationProblem
---R            from NumericalIntegrationProblem
---R   [137] Record(var: Symbol,fn: Expression DoubleFloat,range: Segment 
---R            OrderedCompletion DoubleFloat,abserr: DoubleFloat,relerr: 
---R            DoubleFloat) -> NumericalIntegrationProblem
---R            from NumericalIntegrationProblem
---R   [138] NumericalIntegrationProblem -> OutputForm
---R            from NumericalIntegrationProblem
---R   [139] D2 -> None from NoneFunctions1 D2 if D2 has TYPE
---R   [140] Record(xinit: DoubleFloat,xend: DoubleFloat,fn: Vector 
---R            Expression DoubleFloat,yinit: List DoubleFloat,intvals: List 
---R            DoubleFloat,g: Expression DoubleFloat,abserr: DoubleFloat,relerr
---R            : DoubleFloat) -> NumericalODEProblem
---R            from NumericalODEProblem
---R   [141] NumericalODEProblem -> OutputForm from NumericalODEProblem
---R   [142] OrdinaryDifferentialRing(D2,D1,D3) -> D1
---R            from OrdinaryDifferentialRing(D2,D1,D3)
---R            if D1 has PDRING D2 and D2 has SETCAT and D3: D2
---R   [143] D1 -> OrdinaryDifferentialRing(D2,D1,D3)
---R            from OrdinaryDifferentialRing(D2,D1,D3)
---R            if D2 has SETCAT and D3: D2 and D1 has PDRING D2
---R   [144] Symbol -> OpenMathErrorKind from OpenMathErrorKind
---R   [145] Union(noa: Record(fn: Expression DoubleFloat,init: List 
---R            DoubleFloat,lb: List OrderedCompletion DoubleFloat,cf: List 
---R            Expression DoubleFloat,ub: List OrderedCompletion DoubleFloat),
---R            lsa: Record(lfn: List Expression DoubleFloat,init: List 
---R            DoubleFloat)) -> NumericalOptimizationProblem
---R            from NumericalOptimizationProblem
---R   [146] Record(lfn: List Expression DoubleFloat,init: List DoubleFloat
---R            ) -> NumericalOptimizationProblem
---R            from NumericalOptimizationProblem
---R   [147] Record(fn: Expression DoubleFloat,init: List DoubleFloat,lb: 
---R            List OrderedCompletion DoubleFloat,cf: List Expression 
---R            DoubleFloat,ub: List OrderedCompletion DoubleFloat) -> 
---R            NumericalOptimizationProblem
---R            from NumericalOptimizationProblem
---R   [148] NumericalOptimizationProblem -> OutputForm
---R            from NumericalOptimizationProblem
---R   [149] Integer -> OrdSetInts from OrdSetInts
---R   [150] Color -> Palette from Palette
---R   [151] Polynomial AlgebraicNumber -> Expression Integer
---R            from PolynomialAN2Expression
---R   [152] Fraction Polynomial AlgebraicNumber -> Expression Integer
---R            from PolynomialAN2Expression
---R   [153] Record(pde: List Expression DoubleFloat,constraints: List 
---R            Record(start: DoubleFloat,finish: DoubleFloat,grid: 
---R            NonNegativeInteger,boundaryType: Integer,dStart: Matrix 
---R            DoubleFloat,dFinish: Matrix DoubleFloat),f: List List Expression 
---R            DoubleFloat,st: String,tol: DoubleFloat) -> NumericalPDEProblem
---R            from NumericalPDEProblem
---R   [154] NumericalPDEProblem -> OutputForm from NumericalPDEProblem
---R   [155] PendantTree D2 -> Tree D2 from PendantTree D2 if D2 has SETCAT
---R            
---R   [156] List Permutation D2 -> PermutationGroup D2 from 
---R            PermutationGroup D2
---R            if D2 has SETCAT
---R   [157] PermutationGroup D2 -> List Permutation D2 from 
---R            PermutationGroup D2
---R            if D2 has SETCAT
---R   [158] List D2 -> Permutation D2 from Permutation D2 if D2 has SETCAT
---R            
---R   [159] List List D2 -> Permutation D2 from Permutation D2 if D2 has 
---R            SETCAT
---R   [160] Fraction Factored D2 -> PartialFraction D2 from 
---R            PartialFraction D2
---R            if D2 has EUCDOM
---R   [161] PartialFraction D2 -> Fraction D2 from PartialFraction D2
---R            if D2 has EUCDOM
---R   [162] Pi -> Expression D3 from PiCoercions D3
---R            if D3 has Join(OrderedSet,IntegralDomain)
---R   [163] List D2 -> D from D if D2 has FIELD and D has PRSPCAT D2
---R   [164] D -> List D2 from D if D has PRSPCAT D2 and D2 has FIELD
---R   [165] Queue D2 -> OutputForm from Queue D2
---R            if D2 has SETCAT and D2 has SETCAT
---R   [166] RadixExpansion D2 -> Fraction Integer from RadixExpansion D2 
---R            if D2: INT
---R   [167] D2 -> Void from ResolveLatticeCompletion D2 if D2 has TYPE
---R   [168] Exit -> D1 from ResolveLatticeCompletion D1 if D1 has TYPE
---R   [169] D1 -> D from D if D has RETRACT D1 and D1 has TYPE
---R   [170] D2 -> Fraction Polynomial D2 from RationalFunction D2 if D2 
---R            has INTDOM
---R   [171] Integer -> D from D if D has RING
---R   [172] D -> OutputForm from D if D has SPACEC D2 and D2 has RING
---R   [173] Character -> D from D if D has SRAGG
---R   [174] Stack D2 -> OutputForm from Stack D2
---R            if D2 has SETCAT and D2 has SETCAT
---R   [175] List D2 -> Stream D2 from Stream D2 if D2 has TYPE
---R   [176] Symbol -> Switch from Switch
---R   [177] String -> Symbol from Symbol
---R   [178] SymbolTable -> Table(Symbol,FortranType) from SymbolTable
---R   [179] Tableau D2 -> OutputForm from Tableau D2 if D2 has SETCAT
---R   [180] D2 -> TexFormat from TexFormat1 D2 if D2 has SETCAT
---R   [181] OutputForm -> TexFormat from TexFormat
---R   [182] Polynomial D2 -> TaylorSeries D2 from TaylorSeries D2 if D2 
---R            has RING
---R   [183] Symbol -> TaylorSeries D2 from TaylorSeries D2 if D2 has RING
---R            
---R   [184] Variable QUOTE x -> UnivariateFormalPowerSeries D2
---R            from UnivariateFormalPowerSeries D2 if D2 has RING
---R   [185] UnivariatePolynomial(QUOTE x,D2) -> 
---R            UnivariateFormalPowerSeries D2
---R            from UnivariateFormalPowerSeries D2 if D2 has RING
---R   [186] D1 -> D from D
---R            if D2 has RING and D has ULSCCAT(D2,D1) and D1 has UTSCAT 
---R            D2
---R   [187] Segment D2 -> UniversalSegment D2 from UniversalSegment D2
---R            if D2 has TYPE
---R   [188] Variable D2 -> UnivariatePolynomial(D2,D3)
---R            from UnivariatePolynomial(D2,D3) if D2: SYMBOL and D3 has 
---R            RING
---R   [189] D1 -> D from D
---R            if D2 has RING and D has UPXSCCA(D2,D1) and D1 has ULSCAT 
---R            D2
---R   [190] Variable D3 -> UnivariateTaylorSeriesCZero(D2,D3)
---R            from UnivariateTaylorSeriesCZero(D2,D3)
---R            if D3: SYMBOL and D2 has RING
---R   [191] UnivariatePolynomial(D3,D2) -> UnivariateTaylorSeriesCZero(D2,
---R            D3)
---R            from UnivariateTaylorSeriesCZero(D2,D3)
---R            if D2 has RING and D3: SYMBOL
---R   [192] Void -> OutputForm from Void
---R   [193] D1 -> D from D if D has XALG D1 and D1 has RING
---R   [194] D1 -> D from D
---R            if D has XFALG(D1,D2) and D1 has ORDSET and D2 has RING
---R
---RThere are 50 unexposed functions called coerce :
---R   [1] Vector Matrix D3 -> Vector Matrix Fraction Polynomial D3
---R            from CoerceVectorMatrixPackage D3 if D3 has COMRING
---R   [2] List Integer -> ExtAlgBasis from ExtAlgBasis
---R   [3] EuclideanModularRing(D2,D1,D3,D4,D5,D6) -> D1
---R            from EuclideanModularRing(D2,D1,D3,D4,D5,D6)
---R            if D1 has UPOLYC D2 and D2 has COMRING and D3 has ABELMON 
---R            and D4: ((D1,D3) -> D1) and D5: ((D3,D3) -> Union(D3,
---R            "failed")) and D6: ((D1,D1,D3) -> Union(D1,"failed"))
---R   [4] UnivariatePuiseuxSeries(D3,D4,D5) -> ExponentialExpansion(D2,D3,
---R            D4,D5)
---R            from ExponentialExpansion(D2,D3,D4,D5)
---R            if D3 has Join(AlgebraicallyClosedField,
---R            TranscendentalFunctionCategory,FunctionSpace D2) and D4: 
---R            SYMBOL and D5: D3 and D2 has Join(OrderedSet,RetractableTo 
---R            Integer,LinearlyExplicitRingOver Integer,GcdDomain)
---R   [5] Vector Fraction Polynomial D2 -> GenericNonAssociativeAlgebra(D2
---R            ,D3,D4,D5)
---R            from GenericNonAssociativeAlgebra(D2,D3,D4,D5)
---R            if D2 has COMRING and D5: VECTOR MATRIX D2 and D3: PI and 
---R            D4: LIST SYMBOL
---R   [6] List List Point DoubleFloat -> GraphImage from GraphImage
---R   [7] GraphImage -> OutputForm from GraphImage
---R   [8] SparseMultivariatePolynomial(Integer,Kernel InnerAlgebraicNumber
---R            ) -> InnerAlgebraicNumber
---R            from InnerAlgebraicNumber
---R   [9] LieExponentials(D2,D3,D4) -> XPBWPolynomial(D2,D3)
---R            from LieExponentials(D2,D3,D4)
---R            if D2 has ORDSET and D3 has Join(CommutativeRing,Module 
---R            Fraction Integer) and D4: PI
---R   [10] LieExponentials(D2,D3,D4) -> XDistributedPolynomial(D2,D3)
---R            from LieExponentials(D2,D3,D4)
---R            if D2 has ORDSET and D3 has Join(CommutativeRing,Module 
---R            Fraction Integer) and D4: PI
---R   [11] LyndonWord D2 -> Magma D2 from LyndonWord D2 if D2 has ORDSET
---R         
---R   [12] LyndonWord D2 -> OrderedFreeMonoid D2 from LyndonWord D2
---R            if D2 has ORDSET
---R   [13] Magma D2 -> OrderedFreeMonoid D2 from Magma D2 if D2 has ORDSET
---R            
---R   [14] D1 -> MakeCachableSet D1 from MakeCachableSet D1 if D1 has 
---R            SETCAT
---R   [15] ModularField(D1,D2,D3,D4,D5) -> D1 from ModularField(D1,D2,D3,
---R            D4,D5)
---R            if D1 has COMRING and D2 has ABELMON and D3: ((D1,D2) -> D1
---R            ) and D4: ((D2,D2) -> Union(D2,"failed")) and D5: ((D1,D1,
---R            D2) -> Union(D1,"failed"))
---R   [16] D1 -> ModMonic(D2,D1) from ModMonic(D2,D1)
---R            if D2 has RING and D1 has UPOLYC D2
---R   [17] ModuleMonomial(D2,D3,D4) -> Record(index: D2,exponent: D3)
---R            from ModuleMonomial(D2,D3,D4)
---R            if D2 has ORDSET and D3 has SETCAT and D4: ((Record(index: 
---R            D2,exponent: D3),Record(index: D2,exponent: D3)) -> Boolean
---R            )
---R   [18] Record(index: D2,exponent: D3) -> ModuleMonomial(D2,D3,D4)
---R            from ModuleMonomial(D2,D3,D4)
---R            if D2 has ORDSET and D3 has SETCAT and D4: ((Record(index: 
---R            D2,exponent: D3),Record(index: D2,exponent: D3)) -> Boolean
---R            )
---R   [19] ModularRing(D1,D2,D3,D4,D5) -> D1 from ModularRing(D1,D2,D3,D4,
---R            D5)
---R            if D1 has COMRING and D2 has ABELMON and D3: ((D1,D2) -> D1
---R            ) and D4: ((D2,D2) -> Union(D2,"failed")) and D5: ((D1,D1,
---R            D2) -> Union(D1,"failed"))
---R   [20] List Record(coef: D2,monom: D3) -> MonoidRing(D2,D3)
---R            from MonoidRing(D2,D3) if D2 has RING and D3 has MONOID
---R   [21] Variable D2 -> UnivariateSkewPolynomial(D2,D3,D4,D5)
---R            from UnivariateSkewPolynomial(D2,D3,D4,D5)
---R            if D2: SYMBOL and D3 has RING and D4: AUTOMOR D3 and D5: (
---R            D3 -> D3)
---R   [22] Polynomial D2 -> OrdinaryWeightedPolynomials(D2,D3,D4,D5)
---R            from OrdinaryWeightedPolynomials(D2,D3,D4,D5)
---R            if D2 has RING and D3: LIST SYMBOL and D4: LIST NNI and D5
---R            : NNI
---R   [23] OrdinaryWeightedPolynomials(D2,D3,D4,D5) -> Polynomial D2
---R            from OrdinaryWeightedPolynomials(D2,D3,D4,D5)
---R            if D2 has RING and D3: LIST SYMBOL and D4: LIST NNI and D5
---R            : NNI
---R   [24] D1 -> PoincareBirkhoffWittLyndonBasis D1
---R            from PoincareBirkhoffWittLyndonBasis D1 if D1 has ORDSET
---R         
---R   [25] PoincareBirkhoffWittLyndonBasis D2 -> OrderedFreeMonoid D2
---R            from PoincareBirkhoffWittLyndonBasis D2 if D2 has ORDSET
---R         
---R   [26] Partition -> List Integer from Partition
---R   [27] D1 -> ResidueRing(D2,D3,D4,D1,D5) from ResidueRing(D2,D3,D4,D1,
---R            D5)
---R            if D2 has FIELD and D3 has OAMONS and D4 has ORDSET and D1 
---R            has POLYCAT(D2,D3,D4) and D5: LIST D1
---R   [28] RectangularMatrix(D2,D3,D4) -> Matrix D4
---R            from RectangularMatrix(D2,D3,D4)
---R            if D2: NNI and D3: NNI and D4 has RING
---R   [29] D1 -> SparseMultivariateTaylorSeries(D2,D3,D1)
---R            from SparseMultivariateTaylorSeries(D2,D3,D1)
---R            if D2 has RING and D3 has ORDSET and D1 has POLYCAT(D2,INDE
---R            D3,D3)
---R   [30] D1 -> SparseMultivariateTaylorSeries(D2,D1,D3)
---R            from SparseMultivariateTaylorSeries(D2,D1,D3)
---R            if D2 has RING and D1 has ORDSET and D3 has POLYCAT(D2,INDE
---R            D1,D1)
---R   [31] SquareMatrix(D2,D3) -> Matrix D3 from SquareMatrix(D2,D3)
---R            if D2: NNI and D3 has RING
---R   [32] D2 -> Stream D2 from StreamTaylorSeriesOperations D2 if D2 has 
---R            RING
---R   [33] Variable D3 -> SparseUnivariateLaurentSeries(D2,D3,D4)
---R            from SparseUnivariateLaurentSeries(D2,D3,D4)
---R            if D3: SYMBOL and D2 has RING and D4: D2
---R   [34] Variable D3 -> SparseUnivariatePuiseuxSeries(D2,D3,D4)
---R            from SparseUnivariatePuiseuxSeries(D2,D3,D4)
---R            if D3: SYMBOL and D2 has RING and D4: D2
---R   [35] Variable D3 -> SparseUnivariateTaylorSeries(D2,D3,D4)
---R            from SparseUnivariateTaylorSeries(D2,D3,D4)
---R            if D3: SYMBOL and D2 has RING and D4: D2
---R   [36] UnivariatePolynomial(D3,D2) -> SparseUnivariateTaylorSeries(D2,
---R            D3,D4)
---R            from SparseUnivariateTaylorSeries(D2,D3,D4)
---R            if D2 has RING and D3: SYMBOL and D4: D2
---R   [37] PrimitiveArray D2 -> Tuple D2 from Tuple D2 if D2 has TYPE
---R   [38] Variable D3 -> UnivariateLaurentSeries(D2,D3,D4)
---R            from UnivariateLaurentSeries(D2,D3,D4)
---R            if D3: SYMBOL and D2 has RING and D4: D2
---R   [39] Variable D3 -> UnivariatePuiseuxSeries(D2,D3,D4)
---R            from UnivariatePuiseuxSeries(D2,D3,D4)
---R            if D3: SYMBOL and D2 has RING and D4: D2
---R   [40] Variable D3 -> UnivariateTaylorSeries(D2,D3,D4)
---R            from UnivariateTaylorSeries(D2,D3,D4)
---R            if D3: SYMBOL and D2 has RING and D4: D2
---R   [41] UnivariatePolynomial(D3,D2) -> UnivariateTaylorSeries(D2,D3,D4)
---R            from UnivariateTaylorSeries(D2,D3,D4)
---R            if D2 has RING and D3: SYMBOL and D4: D2
---R   [42] Variable D2 -> Symbol from Variable D2 if D2: SYMBOL
---R   [43] TwoDimensionalViewport -> OutputForm from 
---R            TwoDimensionalViewport
---R   [44] GraphImage -> TwoDimensionalViewport from ViewportPackage
---R   [45] D1 -> WeightedPolynomials(D2,D3,D4,D1,D5,D6,D7)
---R            from WeightedPolynomials(D2,D3,D4,D1,D5,D6,D7)
---R            if D2 has RING and D3 has ORDSET and D4 has OAMONS and D5: 
---R            LIST D3 and D1 has POLYCAT(D2,D4,D3) and D6: LIST NNI and 
---R            D7: NNI
---R   [46] WeightedPolynomials(D2,D3,D4,D1,D5,D6,D7) -> D1
---R            from WeightedPolynomials(D2,D3,D4,D1,D5,D6,D7)
---R            if D1 has POLYCAT(D2,D4,D3) and D2 has RING and D3 has 
---R            ORDSET and D4 has OAMONS and D5: LIST D3 and D6: LIST NNI 
---R            and D7: NNI
---R   [47] XPBWPolynomial(D2,D3) -> XRecursivePolynomial(D2,D3)
---R            from XPBWPolynomial(D2,D3) if D2 has ORDSET and D3 has 
---R            COMRING
---R   [48] XPBWPolynomial(D2,D3) -> XDistributedPolynomial(D2,D3)
---R            from XPBWPolynomial(D2,D3) if D2 has ORDSET and D3 has 
---R            COMRING
---R   [49] LiePolynomial(D2,D3) -> XPBWPolynomial(D2,D3)
---R            from XPBWPolynomial(D2,D3) if D2 has ORDSET and D3 has 
---R            COMRING
---R   [50] D1 -> XPolynomialRing(D2,D1) from XPolynomialRing(D2,D1)
---R            if D2 has RING and D1 has ORDMON
---R
---RExamples of coerce from AffineSpaceCategory
---R
---R
---RExamples of coerce from Algebra
---R
---R
---RExamples of coerce from AlgebraGivenByStructuralConstants
---R
---R
---RExamples of coerce from AlgebraicNumber
---R
---R
---RExamples of coerce from AnyFunctions1
---R
---R
---RExamples of coerce from Asp10
---R
---R
---RExamples of coerce from Asp19
---R
---R
---RExamples of coerce from Asp1
---R
---R
---RExamples of coerce from Asp20
---R
---R
---RExamples of coerce from Asp24
---R
---R
---RExamples of coerce from Asp31
---R
---R
---RExamples of coerce from Asp35
---R
---R
---RExamples of coerce from Asp41
---R
---R
---RExamples of coerce from Asp42
---R
---R
---RExamples of coerce from Asp49
---R
---R
---RExamples of coerce from Asp4
---R
---R
---RExamples of coerce from Asp50
---R
---R
---RExamples of coerce from Asp55
---R
---R
---RExamples of coerce from Asp6
---R
---R
---RExamples of coerce from Asp73
---R
---R
---RExamples of coerce from Asp74
---R
---R
---RExamples of coerce from Asp77
---R
---R
---RExamples of coerce from Asp78
---R
---R
---RExamples of coerce from Asp7
---R
---R
---RExamples of coerce from Asp80
---R
---R
---RExamples of coerce from Asp9
---R
---R
---RExamples of coerce from ArrayStack
---R
---Ra:ArrayStack INT:= arrayStack [1,2,3,4,5] 
---Rcoerce a
---R
---R
---RExamples of coerce from BinaryExpansion
---R
---R
---RExamples of coerce from BlowUpMethodCategory
---R
---R
---RExamples of coerce from CartesianTensor
---R
---Rv:=[2,3] 
---Rtv:CartesianTensor(1,2,Integer):=v 
---Rtm:CartesianTensor(1,2,Integer):=[tv,tv]
---R
---Rv:=[2,3] 
---Rtv:CartesianTensor(1,2,Integer):=v
---R
---Rv:SquareMatrix(2,Integer):=[[1,2],[3,4]] 
---Rtv:CartesianTensor(1,2,Integer):=v
---R
---Rv:DirectProduct(2,Integer):=directProduct [3,4] 
---Rtv:CartesianTensor(1,2,Integer):=v
---R
---R
---RExamples of coerce from CoerceVectorMatrixPackage
---R
---R
---RExamples of coerce from Database
---R
---R
---RExamples of coerce from DecimalExpansion
---R
---R
---RExamples of coerce from Dequeue
---R
---Ra:Dequeue INT:= dequeue [1,2,3,4,5] 
---Rcoerce a
---R
---R
---RExamples of coerce from DirichletRing
---R
---R
---RExamples of coerce from DataList
---R
---R
---RExamples of coerce from DrawNumericHack
---R
---R
---RExamples of coerce from DifferentialVariableCategory
---R
---R
---RExamples of coerce from ExtAlgBasis
---R
---R
---RExamples of coerce from EuclideanModularRing
---R
---R
---RExamples of coerce from ExponentialExpansion
---R
---R
---RExamples of coerce from FortranCode
---R
---R
---RExamples of coerce from FortranExpression
---R
---R
---RExamples of coerce from FiniteFieldHomomorphisms
---R
---R
---RExamples of coerce from FreeLieAlgebra
---R
---R
---RExamples of coerce from FortranMatrixCategory
---R
---R
---RExamples of coerce from FortranMatrixFunctionCategory
---R
---R
---RExamples of coerce from FileNameCategory
---R
---R
---RExamples of coerce from ScriptFormulaFormat1
---R
---R
---RExamples of coerce from ScriptFormulaFormat
---R
---R
---RExamples of coerce from FortranFunctionCategory
---R
---R
---RExamples of coerce from FortranProgram
---R
---R
---RExamples of coerce from FourierSeries
---R
---R
---RExamples of coerce from FunctionSpace
---R
---R
---RExamples of coerce from FortranScalarType
---R
---R
---RExamples of coerce from FortranType
---R
---R
---RExamples of coerce from FortranVectorCategory
---R
---R
---RExamples of coerce from FortranVectorFunctionCategory
---R
---R
---RExamples of coerce from GenericNonAssociativeAlgebra
---R
---R
---RExamples of coerce from GraphImage
---R
---R
---RExamples of coerce from GeneralUnivariatePowerSeries
---R
---R
---RExamples of coerce from Heap
---R
---Ra:Heap INT:= heap [1,2,3,4,5] 
---Rcoerce a
---R
---R
---RExamples of coerce from HexadecimalExpansion
---R
---R
---RExamples of coerce from HTMLFormat
---R
---Rcoerce(sqrt(3+x)::OutputForm)$HTMLFORM
---R
---R
---RExamples of coerce from InnerAlgebraicNumber
---R
---R
---RExamples of coerce from IndexCard
---R
---R
---RExamples of coerce from PolynomialIdeals
---R
---R
---RExamples of coerce from AssociatedJordanAlgebra
---R
---R
---RExamples of coerce from CoercibleTo
---R
---R
---RExamples of coerce from LeftAlgebra
---R
---R
---RExamples of coerce from LieExponentials
---R
---R
---RExamples of coerce from AssociatedLieAlgebra
---R
---R
---RExamples of coerce from LocalPowerSeriesCategory
---R
---R
---RExamples of coerce from LyndonWord
---R
---R
---RExamples of coerce from ThreeDimensionalMatrix
---R
---R
---RExamples of coerce from Magma
---R
---R
---RExamples of coerce from MappingPackage1
---R
---R
---RExamples of coerce from MatrixCategory
---R
---Rcoerce([1,2,3])@Matrix(INT)
---R
---R
---RExamples of coerce from MachineComplex
---R
---R
---RExamples of coerce from MachineFloat
---R
---R
---RExamples of coerce from MachineInteger
---R
---R
---RExamples of coerce from MakeCachableSet
---R
---R
---RExamples of coerce from MathMLFormat
---R
---R
---RExamples of coerce from ModularField
---R
---R
---RExamples of coerce from ModMonic
---R
---R
---RExamples of coerce from ModuleMonomial
---R
---R
---RExamples of coerce from ModularRing
---R
---R
---RExamples of coerce from MonoidRing
---R
---R
---RExamples of coerce from MyExpression
---R
---R
---RExamples of coerce from MyUnivariatePolynomial
---R
---R
---RExamples of coerce from NonAssociativeRing
---R
---R
---RExamples of coerce from NumericalIntegrationProblem
---R
---R
---RExamples of coerce from NoneFunctions1
---R
---R
---RExamples of coerce from NumericalODEProblem
---R
---R
---RExamples of coerce from OrdinaryDifferentialRing
---R
---R
---RExamples of coerce from OpenMathErrorKind
---R
---R
---RExamples of coerce from NumericalOptimizationProblem
---R
---R
---RExamples of coerce from UnivariateSkewPolynomial
---R
---R
---RExamples of coerce from OrdSetInts
---R
---R
---RExamples of coerce from OrdinaryWeightedPolynomials
---R
---R
---RExamples of coerce from Palette
---R
---R
---RExamples of coerce from PolynomialAN2Expression
---R
---R
---RExamples of coerce from PoincareBirkhoffWittLyndonBasis
---R
---R
---RExamples of coerce from NumericalPDEProblem
---R
---R
---RExamples of coerce from PendantTree
---R
---Rt1:=ptree([1,2,3]) 
---Rt2:=ptree(t1,ptree([1,2,3])) 
---Rt2::Tree List PositiveInteger
---R
---R
---RExamples of coerce from PermutationGroup
---R
---R
---RExamples of coerce from Permutation
---R
---R
---RExamples of coerce from PartialFraction
---R
---R(13/74)::PFR(INT)
---R
---Ra:=(13/74)::PFR(INT) 
---Ra::FRAC(INT)
---R
---R
---RExamples of coerce from PiCoercions
---R
---R
---RExamples of coerce from ProjectiveSpaceCategory
---R
---R
---RExamples of coerce from Partition
---R
---R
---RExamples of coerce from Queue
---R
---Ra:Queue INT:= queue [1,2,3,4,5] 
---Rcoerce a
---R
---R
---RExamples of coerce from RadixExpansion
---R
---R
---RExamples of coerce from ResolveLatticeCompletion
---R
---R
---RExamples of coerce from ResidueRing
---R
---R
---RExamples of coerce from RetractableTo
---R
---R
---RExamples of coerce from RationalFunction
---R
---R
---RExamples of coerce from Ring
---R
---R
---RExamples of coerce from RectangularMatrix
---R
---R
---RExamples of coerce from SparseMultivariateTaylorSeries
---R
---R
---RExamples of coerce from ThreeSpaceCategory
---R
---R
---RExamples of coerce from SquareMatrix
---R
---R
---RExamples of coerce from StringAggregate
---R
---R
---RExamples of coerce from Stack
---R
---Ra:Stack INT:= stack [1,2,3,4,5] 
---Rcoerce a
---R
---R
---RExamples of coerce from Stream
---R
---Rm:=[1,2,3,4,5,6,7,8,9,10,11,12] 
---Rcoerce(m)@Stream(Integer) 
---Rm::Stream(Integer)
---R
---R
---RExamples of coerce from StreamTaylorSeriesOperations
---R
---R
---RExamples of coerce from SparseUnivariateLaurentSeries
---R
---R
---RExamples of coerce from SparseUnivariatePuiseuxSeries
---R
---R
---RExamples of coerce from SparseUnivariateTaylorSeries
---R
---R
---RExamples of coerce from Switch
---R
---R
---RExamples of coerce from Symbol
---R
---R
---RExamples of coerce from SymbolTable
---R
---R
---RExamples of coerce from Tableau
---R
---R
---RExamples of coerce from TexFormat1
---R
---R
---RExamples of coerce from TexFormat
---R
---R
---RExamples of coerce from TaylorSeries
---R
---R
---RExamples of coerce from Tuple
---R
---Rt1:PrimitiveArray(Integer):= [i for i in 1..10] 
---Rt2:=coerce(t1)$Tuple(Integer)
---R
---R
---RExamples of coerce from UnivariateFormalPowerSeries
---R
---R
---RExamples of coerce from UnivariateLaurentSeriesConstructorCategory
---R
---R
---RExamples of coerce from UnivariateLaurentSeries
---R
---R
---RExamples of coerce from UniversalSegment
---R
---R
---RExamples of coerce from UnivariatePolynomial
---R
---R
---RExamples of coerce from UnivariatePuiseuxSeriesConstructorCategory
---R
---R
---RExamples of coerce from UnivariatePuiseuxSeries
---R
---R
---RExamples of coerce from UnivariateTaylorSeries
---R
---R
---RExamples of coerce from UnivariateTaylorSeriesCZero
---R
---R
---RExamples of coerce from Variable
---R
---R
---RExamples of coerce from TwoDimensionalViewport
---R
---R
---RExamples of coerce from ViewportPackage
---R
---R
---RExamples of coerce from Void
---R
---R
---RExamples of coerce from WeightedPolynomials
---R
---R
---RExamples of coerce from XAlgebra
---R
---R
---RExamples of coerce from XFreeAlgebra
---R
---R
---RExamples of coerce from XPBWPolynomial
---R
---R
---RExamples of coerce from XPolynomialRing
---R
+--)d op coerce
 --E 69
 
 --S 70 of 127
@@ -4492,10 +3397,17 @@
 )d op setRow!
 --R 
 --R
---RThere is one exposed function called setRow! :
+--RThere are 3 exposed functions called setRow! :
 --R   [1] (D,Integer,D2) -> D from D
 --R            if D has ARR2CAT(D3,D2,D4) and D3 has TYPE and D2 has FLAGG
 --R            (D3) and D4 has FLAGG(D3)
+--R   [2] (SparseEchelonMatrix(D5,D6),Integer,List(D5),List(D6)) -> Void
+--R            from SparseEchelonMatrix(D5,D6) if D5 has ORDSET and D6 has
+--R            RING
+--R   [3] (SparseEchelonMatrix(D4,D5),Integer,Record(Indices: List(D4),
+--R            Entries: List(D5))) -> Void
+--R            from SparseEchelonMatrix(D4,D5) if D4 has ORDSET and D5 has
+--R            RING
 --R
 --RExamples of setRow! from TwoDimensionalArrayCategory
 --R
@@ -4505,6 +3417,9 @@
 --Rarow:=construct([1,2,3,4]::List(INT))$T2 
 --RsetRow!(arr,1,arow)$T1
 --R
+--R
+--RExamples of setRow! from SparseEchelonMatrix
+--R
 --E 76
 
 --S 77 of 127
@@ -4595,6 +3510,10 @@
 --R
 --RExamples of gcd from PolynomialGcdPackage
 --R
+--Rp1:=(x+1)*(x+6) 
+--Rp2:=(x+1)*(x-6) 
+--Rgcd(p1,p2)
+--R
 --R
 --RExamples of gcd from PositiveInteger
 --R
@@ -4825,7 +3744,7 @@
 )d op *
 --R 
 --R
---RThere are 37 exposed functions called * :
+--RThere are 39 exposed functions called * :
 --R   [1] (Integer,D) -> D from D if D has ABELGRP
 --R   [2] (NonNegativeInteger,D) -> D from D if D has ABELMON
 --R   [3] (PositiveInteger,D) -> D from D if D has ABELSG
@@ -4899,22 +3818,30 @@
 --R            if D3 has FIELD and D4 has LOCPOWC(D3) and D has PLACESC(D3
 --R            ,D4)
 --R   [29] (D,D1) -> D from D if D has RMODULE(D1) and D1 has RNG
---R   [30] (D,D) -> D from D if D has SGROUP
---R   [31] (D1,D) -> D1 from D
+--R   [30] (Matrix(Fraction(D3)),SparseEchelonMatrix(D2,D3)) -> 
+--R            SparseEchelonMatrix(D2,D3)
+--R            from SparseEchelonMatrix(D2,D3)
+--R            if D3 has INTDOM and D3 has RING and D2 has ORDSET
+--R   [31] (Matrix(D3),SparseEchelonMatrix(D2,D3)) -> SparseEchelonMatrix(
+--R            D2,D3)
+--R            from SparseEchelonMatrix(D2,D3) if D3 has RING and D2 has 
+--R            ORDSET
+--R   [32] (D,D) -> D from D if D has SGROUP
+--R   [33] (D1,D) -> D1 from D
 --R            if D has SMATCAT(D2,D3,D1,D4) and D3 has RING and D1 has 
 --R            DIRPCAT(D2,D3) and D4 has DIRPCAT(D2,D3)
---R   [32] (D,D1) -> D1 from D
+--R   [34] (D,D1) -> D1 from D
 --R            if D has SMATCAT(D2,D3,D4,D1) and D3 has RING and D4 has 
 --R            DIRPCAT(D2,D3) and D1 has DIRPCAT(D2,D3)
---R   [33] (D,D1) -> D from D
+--R   [35] (D,D1) -> D from D
 --R            if D has VECTCAT(D1) and D1 has TYPE and D1 has MONOID
---R   [34] (D1,D) -> D from D
+--R   [36] (D1,D) -> D from D
 --R            if D has VECTCAT(D1) and D1 has TYPE and D1 has MONOID
---R   [35] (Integer,D) -> D from D
+--R   [37] (Integer,D) -> D from D
 --R            if D has VECTCAT(D2) and D2 has TYPE and D2 has ABELGRP
---R   [36] (D1,D) -> D from D
+--R   [38] (D1,D) -> D from D
 --R            if D has XFALG(D1,D2) and D1 has ORDSET and D2 has RING
---R   [37] (D,D1) -> D from D
+--R   [39] (D,D1) -> D from D
 --R            if D has XFALG(D2,D1) and D2 has ORDSET and D1 has RING
 --R
 --RThere are 23 unexposed functions called * :
@@ -4999,6 +3926,8 @@
 --R
 --RExamples of * from DenavitHartenbergMatrix
 --R
+--Rrotatex(30)*point([1,2,3])
+--R
 --R
 --RExamples of * from DirectProductCategory
 --R
@@ -5108,6 +4037,9 @@
 --RExamples of * from RightModule
 --R
 --R
+--RExamples of * from SparseEchelonMatrix
+--R
+--R
 --RExamples of * from SemiGroup
 --R
 --R
@@ -6140,7 +5072,7 @@
 )d op new
 --R 
 --R
---RThere are 7 exposed functions called new :
+--RThere are 8 exposed functions called new :
 --R   [1] (NonNegativeInteger,NonNegativeInteger,D2) -> D from D
 --R            if D2 has TYPE and D has ARR2CAT(D2,D3,D4) and D3 has FLAGG
 --R            (D2) and D4 has FLAGG(D2)
@@ -6148,9 +5080,12 @@
 --R   [3]  -> ScriptFormulaFormat from ScriptFormulaFormat
 --R   [4] (NonNegativeInteger,D2) -> D from D if D has LNAGG(D2) and D2 
 --R            has TYPE
---R   [5] Symbol -> Symbol from Symbol
---R   [6]  -> Symbol from Symbol
---R   [7]  -> TexFormat from TexFormat
+--R   [5] (List(D3),Integer) -> SparseEchelonMatrix(D3,D4)
+--R            from SparseEchelonMatrix(D3,D4) if D3 has ORDSET and D4 has
+--R            RING
+--R   [6] Symbol -> Symbol from Symbol
+--R   [7]  -> Symbol from Symbol
+--R   [8]  -> TexFormat from TexFormat
 --R
 --RThere are 4 unexposed functions called new :
 --R   [1]  -> SubSpaceComponentProperty from SubSpaceComponentProperty
@@ -6185,6 +5120,9 @@
 --RExamples of new from PatternMatchResult
 --R
 --R
+--RExamples of new from SparseEchelonMatrix
+--R
+--R
 --RExamples of new from SubSpace
 --R
 --R
@@ -6326,7 +5264,7 @@
 )d op elt
 --R 
 --R
---RThere are 50 exposed functions called elt :
+--RThere are 51 exposed functions called elt :
 --R   [1] (D,Integer) -> D1 from D if D has AFSPCAT(D1) and D1 has FIELD
 --R         
 --R   [2] (D,Integer,Integer,D1) -> D1 from D
@@ -6425,25 +5363,28 @@
 --R            OrderedSet,ConvertibleTo(Pattern(D3))) and D1 has Join(
 --R            FunctionSpace(D4),PatternMatchable(D3),ConvertibleTo(
 --R            Pattern(D3)))
---R   [41] (D,List(Integer)) -> D from D
+--R   [41] (SparseEchelonMatrix(D3,D1),Integer,D3) -> D1
+--R            from SparseEchelonMatrix(D3,D1) if D1 has RING and D3 has 
+--R            ORDSET
+--R   [42] (D,List(Integer)) -> D from D
 --R            if D has SEXCAT(D2,D3,D4,D5,D6) and D2 has SETCAT and D3 
 --R            has SETCAT and D4 has SETCAT and D5 has SETCAT and D6 has 
 --R            SETCAT
---R   [42] (D,Integer) -> D from D
+--R   [43] (D,Integer) -> D from D
 --R            if D has SEXCAT(D2,D3,D4,D5,D6) and D2 has SETCAT and D3 
 --R            has SETCAT and D4 has SETCAT and D5 has SETCAT and D6 has 
 --R            SETCAT
---R   [43] (D,D) -> D from D if D has SRAGG
---R   [44] (Symbol,List(OutputForm)) -> Symbol from Symbol
---R   [45] (Fraction(D),D1) -> D1 from D
+--R   [44] (D,D) -> D from D if D has SRAGG
+--R   [45] (Symbol,List(OutputForm)) -> Symbol from Symbol
+--R   [46] (Fraction(D),D1) -> D1 from D
 --R            if D has UPOLYC(D1) and D1 has RING and D1 has FIELD
---R   [46] (Fraction(D),Fraction(D)) -> Fraction(D) from D
+--R   [47] (Fraction(D),Fraction(D)) -> Fraction(D) from D
 --R            if D has UPOLYC(D2) and D2 has RING and D2 has INTDOM
---R   [47] (D,D2) -> D1 from D
+--R   [48] (D,D2) -> D1 from D
 --R            if D has UPSCAT(D1,D2) and D2 has OAMON and D1 has RING
---R   [48] (D,last) -> D1 from D if D has URAGG(D1) and D1 has TYPE
---R   [49] (D,rest) -> D from D if D has URAGG(D2) and D2 has TYPE
---R   [50] (D,first) -> D1 from D if D has URAGG(D1) and D1 has TYPE
+--R   [49] (D,last) -> D1 from D if D has URAGG(D1) and D1 has TYPE
+--R   [50] (D,rest) -> D from D if D has URAGG(D2) and D2 has TYPE
+--R   [51] (D,first) -> D1 from D if D has URAGG(D1) and D1 has TYPE
 --R
 --RThere are 4 unexposed functions called elt :
 --R   [1] (EuclideanModularRing(D2,D1,D3,D4,D5,D6),D1) -> D1
@@ -6592,6 +5533,9 @@
 --RExamples of elt from Ruleset
 --R
 --R
+--RExamples of elt from SparseEchelonMatrix
+--R
+--R
 --RExamples of elt from SExpressionCategory
 --R
 --R
diff --git a/src/input/en.input.pamphlet b/src/input/en.input.pamphlet
index 3b309a4..6be195b 100644
--- a/src/input/en.input.pamphlet
+++ b/src/input/en.input.pamphlet
@@ -20,6 +20,7 @@ Dover Publications, Inc. New York 1965. pp245-248
 
 \begin{chunk}{*}
 )set break resume
+)sys rm -f en.output
 )spool en.output
 )set message test on
 )set message auto off
@@ -31,13 +32,13 @@ $E_2$ with an argument range of 0.01 to 0.50.
 The handbook tabulates these values using this function.
 \begin{chunk}{*}
 
---S 1 of 7
+--S 1 of 6
 f(x)==En(2,x)-x*log(x)
 --R 
 --R                                                                   Type: Void
 --E 1
 
---S 2 of 7
+--S 2 of 6
 t2:List List Fraction Integer:=[[machineFraction (x::DFLOAT) for x in line]_
  for line in _
 [[0.01,0.9957222,f(0.01),f(0.01)-0.9957222],_
@@ -406,7 +407,7 @@ The actual table values from above are:
 \end{verbatim}
 \begin{chunk}{*}
 
---S 3 of 7
+--S 3 of 6
 t3:List List Fraction Integer:=[[machineFraction (x::DFLOAT) for x in line]_
  for line in _
 [[0.50,0.3266439,En(2,0.50),En(2,0.50)-0.3266439],_
@@ -1487,7 +1488,7 @@ $E_3$ with an argument range of 0.01 to 2.00.
 
 \begin{chunk}{*}
 
---S 4 of 7
+--S 4 of 6
 t4:List List Fraction Integer:=[[machineFraction (x::DFLOAT) for x in line]_
  for line in _
 [[0.01,0.4902766,En(3,0.01),En(3,0.01)-0.4902766],_
@@ -2926,7 +2927,7 @@ $E_4$ with an argument range of 0.01 to 2.00.
 
 \begin{chunk}{*}
 
---S 5 of 7
+--S 5 of 6
 t5:List List Fraction Integer:=[[machineFraction (x::DFLOAT) for x in line]_
  for line in _
 [[0.01,0.3283824,En(4,0.01),En(4,0.01)-0.3283824],_
@@ -4369,7 +4370,7 @@ $E_10$ with an argument range of 0.01 to 2.00.
 
 \begin{chunk}{*}
 
---S 6 of 7
+--S 6 of 6
 t6:List List Fraction Integer:=[[machineFraction (x::DFLOAT) for x in line]_
  for line in _
 [[0.01,0.1098682,En(10,0.01),En(10,0.01)-0.1098682],_
@@ -5313,6 +5314,9 @@ t6:List List Fraction Integer:=[[machineFraction (x::DFLOAT) for x in line]_
 --R                                          Type: List(List(Fraction(Integer)))
 --E 6
 
+)spool
+)lisp (bye)
+
 \end{chunk}
 
 The actual table values from above are:
@@ -5919,1735 +5923,7 @@ The actual table values from above are:
                         -1.4863599701736563E-8]]
 \end{verbatim}
 
-This table expresses the value of 
-$E_20$ with an argument range of 0.01 to 2.00.
-
-\begin{chunk}{*}
 
---S 7 of 7
-t7:List List Fraction Integer:=[[machineFraction (x::DFLOAT) for x in line]_
- for line in _
-[[0.01,0.0520790,En(20,0.01),En(20,0.01)-0.0520790],_
-[0.02,0.0515321,En(20,0.02),En(20,0.02)-0.0515321],_
-[0.03,0.0509911,En(20,0.03),En(20,0.03)-0.0509911],_
-[0.04,0.0504558,En(20,0.04),En(20,0.04)-0.0504558],_
-[0.05,0.0499260,En(20,0.05),En(20,0.05)-0.0499260],_
-[0.06,0.0494019,En(20,0.06),En(20,0.06)-0.0494019],_
-[0.07,0.0488833,En(20,0.07),En(20,0.07)-0.0488833],_
-[0.08,0.0483702,En(20,0.08),En(20,0.08)-0.0483702],_
-[0.09,0.0478624,En(20,0.09),En(20,0.09)-0.0478624],_
-[0.10,0.0473600,En(20,0.10),En(20,0.10)-0.0473600],_
-[0.11,0.0468629,En(20,0.11),En(20,0.11)-0.0468629],_
-[0.12,0.0463710,En(20,0.12),En(20,0.12)-0.0463710],_
-[0.13,0.0458843,En(20,0.13),En(20,0.13)-0.0458843],_
-[0.14,0.0454027,En(20,0.14),En(20,0.14)-0.0454027],_
-[0.15,0.0449262,En(20,0.15),En(20,0.15)-0.0449262],_
-[0.16,0.0444547,En(20,0.16),En(20,0.16)-0.0444547],_
-[0.17,0.0439882,En(20,0.17),En(20,0.17)-0.0439882],_
-[0.18,0.0435266,En(20,0.18),En(20,0.18)-0.0435266],_
-[0.19,0.0430698,En(20,0.19),En(20,0.19)-0.0430698],_
-[0.20,0.0426179,En(20,0.20),En(20,0.20)-0.0426179],_
-[0.21,0.0421707,En(20,0.21),En(20,0.21)-0.0421707],_
-[0.22,0.0417282,En(20,0.22),En(20,0.22)-0.0417282],_
-[0.23,0.0412903,En(20,0.23),En(20,0.23)-0.0412903],_
-[0.24,0.0408571,En(20,0.24),En(20,0.24)-0.0408571],_
-[0.25,0.0404285,En(20,0.25),En(20,0.25)-0.0404285],_
-[0.26,0.0400043,En(20,0.26),En(20,0.26)-0.0400043],_
-[0.27,0.0395846,En(20,0.27),En(20,0.27)-0.0395846],_
-[0.28,0.0391693,En(20,0.28),En(20,0.28)-0.0391693],_
-[0.29,0.0387584,En(20,0.29),En(20,0.29)-0.0387584],_
-[0.30,0.0383518,En(20,0.30),En(20,0.30)-0.0383518],_
-[0.31,0.0379495,En(20,0.31),En(20,0.31)-0.0379495],_
-[0.32,0.0375515,En(20,0.32),En(20,0.32)-0.0375515],_
-[0.33,0.0371576,En(20,0.33),En(20,0.33)-0.0371576],_
-[0.34,0.0367678,En(20,0.34),En(20,0.34)-0.0367678],_
-[0.35,0.0363822,En(20,0.35),En(20,0.35)-0.0363822],_
-[0.36,0.0360006,En(20,0.36),En(20,0.36)-0.0360006],_
-[0.37,0.0356231,En(20,0.37),En(20,0.37)-0.0356231],_
-[0.38,0.0352495,En(20,0.38),En(20,0.38)-0.0352495],_
-[0.39,0.0348798,En(20,0.39),En(20,0.39)-0.0348798],_
-[0.40,0.0345140,En(20,0.40),En(20,0.40)-0.0345140],_
-[0.41,0.0341521,En(20,0.41),En(20,0.41)-0.0341521],_
-[0.42,0.0337939,En(20,0.42),En(20,0.42)-0.0337939],_
-[0.43,0.0334396,En(20,0.43),En(20,0.43)-0.0334396],_
-[0.44,0.0330889,En(20,0.44),En(20,0.44)-0.0330889],_
-[0.45,0.0327420,En(20,0.45),En(20,0.45)-0.0327420],_
-[0.46,0.0323987,En(20,0.46),En(20,0.46)-0.0323987],_
-[0.47,0.0320590,En(20,0.47),En(20,0.47)-0.0320590],_
-[0.48,0.0317229,En(20,0.48),En(20,0.48)-0.0317229],_
-[0.49,0.0313903,En(20,0.49),En(20,0.49)-0.0313903],_
-[0.50,0.0310612,En(20,0.50),En(20,0.50)-0.0310612],_
-[0.51,0.0307356,En(20,0.51),En(20,0.51)-0.0307356],_
-[0.52,0.0304134,En(20,0.52),En(20,0.52)-0.0304134],_
-[0.53,0.0300946,En(20,0.53),En(20,0.53)-0.0300946],_
-[0.54,0.0297791,En(20,0.54),En(20,0.54)-0.0297791],_
-[0.55,0.0294670,En(20,0.55),En(20,0.55)-0.0294670],_
-[0.56,0.0291581,En(20,0.56),En(20,0.56)-0.0291581],_
-[0.57,0.0288525,En(20,0.57),En(20,0.57)-0.0288525],_
-[0.58,0.0285501,En(20,0.58),En(20,0.58)-0.0285501],_
-[0.59,0.0282508,En(20,0.59),En(20,0.59)-0.0282508],_
-[0.60,0.0279548,En(20,0.60),En(20,0.60)-0.0279548],_
-[0.61,0.0276618,En(20,0.61),En(20,0.61)-0.0276618],_
-[0.62,0.0273719,En(20,0.62),En(20,0.62)-0.0273719],_
-[0.63,0.0270850,En(20,0.63),En(20,0.63)-0.0270850],_
-[0.64,0.0268012,En(20,0.64),En(20,0.64)-0.0268012],_
-[0.65,0.0265204,En(20,0.65),En(20,0.65)-0.0265204],_
-[0.66,0.0262425,En(20,0.66),En(20,0.66)-0.0262425],_
-[0.67,0.0259675,En(20,0.67),En(20,0.67)-0.0259675],_
-[0.68,0.0256954,En(20,0.68),En(20,0.68)-0.0256954],_
-[0.69,0.0254262,En(20,0.69),En(20,0.69)-0.0254262],_
-[0.70,0.0251598,En(20,0.70),En(20,0.70)-0.0251598],_
-[0.71,0.0248962,En(20,0.71),En(20,0.71)-0.0248962],_
-[0.72,0.0246353,En(20,0.72),En(20,0.72)-0.0246353],_
-[0.73,0.0243772,En(20,0.73),En(20,0.73)-0.0243772],_
-[0.74,0.0241219,En(20,0.74),En(20,0.74)-0.0241219],_
-[0.75,0.0238692,En(20,0.75),En(20,0.75)-0.0238692],_
-[0.76,0.0236191,En(20,0.76),En(20,0.76)-0.0236191],_
-[0.77,0.0233717,En(20,0.77),En(20,0.77)-0.0233717],_
-[0.78,0.0231269,En(20,0.78),En(20,0.78)-0.0231269],_
-[0.79,0.0228846,En(20,0.79),En(20,0.79)-0.0228846],_
-[0.80,0.0226449,En(20,0.80),En(20,0.80)-0.0226449],_
-[0.81,0.0224078,En(20,0.81),En(20,0.81)-0.0224078],_
-[0.82,0.0221731,En(20,0.82),En(20,0.82)-0.0221731],_
-[0.83,0.0219408,En(20,0.83),En(20,0.83)-0.0219408],_
-[0.84,0.0217111,En(20,0.84),En(20,0.84)-0.0217111],_
-[0.85,0.0214837,En(20,0.85),En(20,0.85)-0.0214837],_
-[0.86,0.0212587,En(20,0.86),En(20,0.86)-0.0212587],_
-[0.87,0.0210361,En(20,0.87),En(20,0.87)-0.0210361],_
-[0.88,0.0208158,En(20,0.88),En(20,0.88)-0.0208158],_
-[0.89,0.0205978,En(20,0.89),En(20,0.89)-0.0205978],_
-[0.90,0.0203821,En(20,0.90),En(20,0.90)-0.0203821],_
-[0.91,0.0201687,En(20,0.91),En(20,0.91)-0.0201687],_
-[0.92,0.0199575,En(20,0.92),En(20,0.92)-0.0199575],_
-[0.93,0.0197486,En(20,0.93),En(20,0.93)-0.0197486],_
-[0.94,0.0195418,En(20,0.94),En(20,0.94)-0.0195418],_
-[0.95,0.0193372,En(20,0.95),En(20,0.95)-0.0193372],_
-[0.96,0.0191347,En(20,0.96),En(20,0.96)-0.0191347],_
-[0.97,0.0189344,En(20,0.97),En(20,0.97)-0.0189344],_
-[0.98,0.0187362,En(20,0.98),En(20,0.98)-0.0187362],_
-[0.99,0.0185401,En(20,0.99),En(20,0.99)-0.0185401],_
-[1.00,0.0183460,En(20,1.00),En(20,1.00)-0.0183460],_
-[1.01,0.0181539,En(20,1.01),En(20,1.01)-0.0181539],_
-[1.02,0.0179639,En(20,1.02),En(20,1.02)-0.0179639],_
-[1.03,0.0177759,En(20,1.03),En(20,1.03)-0.0177759],_
-[1.04,0.0175898,En(20,1.04),En(20,1.04)-0.0175898],_
-[1.05,0.0174057,En(20,1.05),En(20,1.05)-0.0174057],_
-[1.06,0.0172235,En(20,1.06),En(20,1.06)-0.0172235],_
-[1.07,0.0170433,En(20,1.07),En(20,1.07)-0.0170433],_
-[1.08,0.0168649,En(20,1.08),En(20,1.08)-0.0168649],_
-[1.09,0.0166884,En(20,1.09),En(20,1.09)-0.0166884],_
-[1.10,0.0165137,En(20,1.10),En(20,1.10)-0.0165137],_
-[1.11,0.0163409,En(20,1.11),En(20,1.11)-0.0163409],_
-[1.12,0.0161699,En(20,1.12),En(20,1.12)-0.0161699],_
-[1.13,0.0160007,En(20,1.13),En(20,1.13)-0.0160007],_
-[1.14,0.0158333,En(20,1.14),En(20,1.14)-0.0158333],_
-[1.15,0.0156676,En(20,1.15),En(20,1.15)-0.0156676],_
-[1.16,0.0155037,En(20,1.16),En(20,1.16)-0.0155037],_
-[1.17,0.0153414,En(20,1.17),En(20,1.17)-0.0153414],_
-[1.18,0.0151809,En(20,1.18),En(20,1.18)-0.0151809],_
-[1.19,0.0150221,En(20,1.19),En(20,1.19)-0.0150221],_
-[1.20,0.0148649,En(20,1.20),En(20,1.20)-0.0148649],_
-[1.21,0.0147094,En(20,1.21),En(20,1.21)-0.0147094],_
-[1.22,0.0145555,En(20,1.22),En(20,1.22)-0.0145555],_
-[1.23,0.0144032,En(20,1.23),En(20,1.23)-0.0144032],_
-[1.24,0.0142526,En(20,1.24),En(20,1.24)-0.0142526],_
-[1.25,0.0141035,En(20,1.25),En(20,1.25)-0.0141035],_
-[1.26,0.0139559,En(20,1.26),En(20,1.26)-0.0139559],_
-[1.27,0.0138100,En(20,1.27),En(20,1.27)-0.0138100],_
-[1.28,0.0136655,En(20,1.28),En(20,1.28)-0.0136655],_
-[1.29,0.0135226,En(20,1.29),En(20,1.29)-0.0135226],_
-[1.30,0.0133811,En(20,1.30),En(20,1.30)-0.0133811],_
-[1.31,0.0132412,En(20,1.31),En(20,1.31)-0.0132412],_
-[1.32,0.0131027,En(20,1.32),En(20,1.32)-0.0131027],_
-[1.33,0.0129657,En(20,1.33),En(20,1.33)-0.0129657],_
-[1.34,0.0128301,En(20,1.34),En(20,1.34)-0.0128301],_
-[1.35,0.0126959,En(20,1.35),En(20,1.35)-0.0126959],_
-[1.36,0.0125631,En(20,1.36),En(20,1.36)-0.0125631],_
-[1.37,0.0124317,En(20,1.37),En(20,1.37)-0.0124317],_
-[1.38,0.0123017,En(20,1.38),En(20,1.38)-0.0123017],_
-[1.39,0.0121731,En(20,1.39),En(20,1.39)-0.0121731],_
-[1.40,0.0120458,En(20,1.40),En(20,1.40)-0.0120458],_
-[1.41,0.0119198,En(20,1.41),En(20,1.41)-0.0119198],_
-[1.42,0.0117952,En(20,1.42),En(20,1.42)-0.0117952],_
-[1.43,0.0116719,En(20,1.43),En(20,1.43)-0.0116719],_
-[1.44,0.0115499,En(20,1.44),En(20,1.44)-0.0115499],_
-[1.45,0.0114291,En(20,1.45),En(20,1.45)-0.0114291],_
-[1.46,0.0113096,En(20,1.46),En(20,1.46)-0.0113096],_
-[1.47,0.0111914,En(20,1.47),En(20,1.47)-0.0111914],_
-[1.48,0.0110744,En(20,1.48),En(20,1.48)-0.0110744],_
-[1.49,0.0109586,En(20,1.49),En(20,1.49)-0.0109586],_
-[1.50,0.0108440,En(20,1.50),En(20,1.50)-0.0108440],_
-[1.51,0.0107307,En(20,1.51),En(20,1.51)-0.0107307],_
-[1.52,0.0106185,En(20,1.52),En(20,1.52)-0.0106185],_
-[1.53,0.0105075,En(20,1.53),En(20,1.53)-0.0105075],_
-[1.54,0.0103977,En(20,1.54),En(20,1.54)-0.0103977],_
-[1.55,0.0102890,En(20,1.55),En(20,1.55)-0.0102890],_
-[1.56,0.0101815,En(20,1.56),En(20,1.56)-0.0101815],_
-[1.57,0.0100750,En(20,1.57),En(20,1.57)-0.0100750],_
-[1.58,0.0099697,En(20,1.58),En(20,1.58)-0.0099697],_
-[1.59,0.0098656,En(20,1.59),En(20,1.59)-0.0098656],_
-[1.60,0.0097624,En(20,1.60),En(20,1.60)-0.0097624],_
-[1.61,0.0096604,En(20,1.61),En(20,1.61)-0.0096604],_
-[1.62,0.0095595,En(20,1.62),En(20,1.62)-0.0095595],_
-[1.63,0.0094596,En(20,1.63),En(20,1.63)-0.0094596],_
-[1.64,0.0093607,En(20,1.64),En(20,1.64)-0.0093607],_
-[1.65,0.0092629,En(20,1.65),En(20,1.65)-0.0092629],_
-[1.66,0.0091661,En(20,1.66),En(20,1.66)-0.0091661],_
-[1.67,0.0090703,En(20,1.67),En(20,1.67)-0.0090703],_
-[1.68,0.0089756,En(20,1.68),En(20,1.68)-0.0089756],_
-[1.69,0.0088818,En(20,1.69),En(20,1.69)-0.0088818],_
-[1.70,0.0087890,En(20,1.70),En(20,1.70)-0.0087890],_
-[1.71,0.0086972,En(20,1.71),En(20,1.71)-0.0086972],_
-[1.72,0.0086063,En(20,1.72),En(20,1.72)-0.0086063],_
-[1.73,0.0085164,En(20,1.73),En(20,1.73)-0.0085164],_
-[1.74,0.0084274,En(20,1.74),En(20,1.74)-0.0084274],_
-[1.75,0.0083394,En(20,1.75),En(20,1.75)-0.0083394],_
-[1.76,0.0082522,En(20,1.76),En(20,1.76)-0.0082522],_
-[1.77,0.0081660,En(20,1.77),En(20,1.77)-0.0081660],_
-[1.78,0.0080807,En(20,1.78),En(20,1.78)-0.0080807],_
-[1.79,0.0079963,En(20,1.79),En(20,1.79)-0.0079963],_
-[1.80,0.0079128,En(20,1.80),En(20,1.80)-0.0079128],_
-[1.81,0.0078302,En(20,1.81),En(20,1.81)-0.0078302],_
-[1.82,0.0077484,En(20,1.82),En(20,1.82)-0.0077484],_
-[1.83,0.0076674,En(20,1.83),En(20,1.83)-0.0076674],_
-[1.84,0.0075874,En(20,1.84),En(20,1.84)-0.0075874],_
-[1.85,0.0075081,En(20,1.85),En(20,1.85)-0.0075081],_
-[1.86,0.0074297,En(20,1.86),En(20,1.86)-0.0074297],_
-[1.87,0.0073521,En(20,1.87),En(20,1.87)-0.0073521],_
-[1.88,0.0072753,En(20,1.88),En(20,1.88)-0.0072753],_
-[1.89,0.0071993,En(20,1.89),En(20,1.89)-0.0071993],_
-[1.90,0.0071242,En(20,1.90),En(20,1.90)-0.0071242],_
-[1.91,0.0070498,En(20,1.91),En(20,1.91)-0.0070498],_
-[1.92,0.0069762,En(20,1.92),En(20,1.92)-0.0069762],_
-[1.93,0.0069033,En(20,1.93),En(20,1.93)-0.0069033],_
-[1.94,0.0068312,En(20,1.94),En(20,1.94)-0.0068312],_
-[1.95,0.0067599,En(20,1.95),En(20,1.95)-0.0067599],_
-[1.96,0.0066893,En(20,1.96),En(20,1.96)-0.0066893],_
-[1.97,0.0066195,En(20,1.97),En(20,1.97)-0.0066195],_
-[1.98,0.0065504,En(20,1.98),En(20,1.98)-0.0065504],_
-[1.99,0.0064820,En(20,1.99),En(20,1.99)-0.0064820],_
-[2.00,0.0064143,En(20,2.00),En(20,2.00)-0.0064143]]]
---R 
---R
---R   (7)
---R   [
---R       2882303761517117    7505374879802497    7505368276348765
---R     [------------------, ------------------, ------------------,
---R      288230376151711744  144115188075855872  144115188075855872
---R            1650863433
---R      - -----------------]
---R        36028797018963968
---R     ,
---R      2882303761517117   1856639570860953  3713282719478931     3577757025
---R    [------------------,-----------------,-----------------,-----------------],
---R     144115188075855872 36028797018963968 72057594037927936 72057594037927936
---R      1080863910568919  3674295983347387  7348592522194013       555499239
---R    [-----------------,-----------------,------------------,------------------],
---R     36028797018963968 72057594037927936 144115188075855872 144115188075855872
---R
---R       2882303761517117   908930888314721    7271440755736501
---R     [-----------------, -----------------, ------------------,
---R      72057594037927936  18014398509481984  144115188075855872
---R            6350781267
---R      - ------------------]
---R        144115188075855872
---R     ,
---R      7205759403792793   1798773719968795  7195101462304363      6582429183
---R    [------------------,-----------------,------------------,------------------]
---R     144115188075855872 36028797018963968 144115188075855872 144115188075855872
---R     ,
---R      1080863910568919  444972756862789  3559783028332517     973430205
---R    [-----------------,----------------,-----------------,-----------------],
---R     18014398509481984 9007199254740992 72057594037927936 72057594037927936
---R      5044031582654955  7044825973268485   7044826044653627       35692571
---R    [-----------------,------------------,------------------,-----------------],
---R     72057594037927936 144115188075855872 144115188075855872 72057594037927936
---R      2882303761517117  6970880470266763   435679563887669       7448064059
---R    [-----------------,------------------,----------------,- ------------------]
---R     36028797018963968 144115188075855872 9007199254740992   144115188075855872
---R     ,
---R
---R       3242591731706757   1724424694440461   6897698674382441
---R     [-----------------, -----------------, ------------------,
---R      36028797018963968  36028797018963968  144115188075855872
---R             103379403
---R      - ------------------]
---R        144115188075855872
---R     ,
---R      7205759403792793  3412647653636267  426580923403191       266410739
---R    [-----------------,-----------------,----------------,- -----------------],
---R     72057594037927936 72057594037927936 9007199254740992   72057594037927936
---R      990791918021509  3376827823640013  211051661966107       1232182301
---R    [----------------,-----------------,----------------,- -----------------],
---R     9007199254740992 72057594037927936 4503599627370496   72057594037927936
---R     1080863910568919  835345673283189   1670691461650435     115084057
---R    [----------------,-----------------,-----------------,-----------------],
---R     9007199254740992 18014398509481984 36028797018963968 36028797018963968
---R      4683743612465315  6612624524228993   3306312398868059      273507125
---R    [-----------------,------------------,-----------------,------------------],
---R     36028797018963968 144115188075855872 72057594037927936 144115188075855872
---R      5044031582654955  6543218649651661   6543222153035051      1751691695
---R    [-----------------,------------------,------------------,-----------------],
---R     36028797018963968 144115188075855872 144115188075855872 72057594037927936
---R      5404319552844595  1618636940633379  3237275056402795     1175136037
---R    [-----------------,-----------------,-----------------,-----------------],
---R     36028797018963968 36028797018963968 72057594037927936 72057594037927936
---R      2882303761517117  3203298725677875  3203300480027585     877174855
---R    [-----------------,-----------------,-----------------,-----------------],
---R     18014398509481984 72057594037927936 72057594037927936 36028797018963968
---R
---R       3062447746611937   6339367716118363    6339367059610941
---R     [-----------------, ------------------, ------------------,
---R      18014398509481984  144115188075855872  144115188075855872
---R            328253711
---R      - -----------------]
---R        72057594037927936
---R     ,
---R      3242591731706757  1568211036325637  196026276789017       822013501
---R    [-----------------,-----------------,----------------,- -----------------],
---R     18014398509481984 36028797018963968 4503599627370496   36028797018963968
---R      6845471433603153  6207012327389497   6207014878830203      1275720353
---R    [-----------------,------------------,------------------,-----------------],
---R     36028797018963968 144115188075855872 144115188075855872 72057594037927936
---R
---R       7205759403792793   6141886673898017    3070940864726013
---R     [-----------------, ------------------, -----------------,
---R      36028797018963968  144115188075855872  72057594037927936
---R            4944445991
---R      - ------------------]
---R        144115188075855872
---R     ,
---R
---R       7566047373982433   6077438361790495    3038717046300227
---R     [-----------------, ------------------, -----------------,
---R      36028797018963968  144115188075855872  72057594037927936
---R            4269190041
---R      - ------------------]
---R        144115188075855872
---R     ,
---R      990791918021509  375854211941683  3006832364658857       1330874607
---R    [----------------,----------------,-----------------,- -----------------],
---R     4503599627370496 9007199254740992 72057594037927936   72057594037927936
---R      517913957147607  5950559350208511   5950566477376213      3563583851
---R    [----------------,------------------,------------------,-----------------],
---R     2251799813685248 144115188075855872 144115188075855872 72057594037927936
---R     1080863910568919  2944064325367025  736016531307719      1799863851
---R    [----------------,-----------------,-----------------,-----------------],
---R     4503599627370496 72057594037927936 18014398509481984 72057594037927936
---R     1  5826360881124739   5826355037365493        2921879623
---R    [-,------------------,------------------,- -----------------],
---R     4 144115188075855872 144115188075855872   72057594037927936
---R      4683743612465315  5765227218342961   5765227901184551      341420795
---R    [-----------------,------------------,------------------,-----------------],
---R     18014398509481984 144115188075855872 144115188075855872 72057594037927936
---R      4863887597560135  1426185518476881  2852371989265575     952311813
---R    [-----------------,-----------------,-----------------,-----------------],
---R     18014398509481984 36028797018963968 72057594037927936 72057594037927936
---R      5044031582654955  5644891036299621   2822448239375115     5442450609
---R    [-----------------,------------------,-----------------,------------------],
---R     18014398509481984 144115188075855872 72057594037927936 144115188075855872
---R      5224175567749775  1396418526379813  2792839341572711     2288813085
---R    [-----------------,-----------------,-----------------,-----------------],
---R     18014398509481984 36028797018963968 72057594037927936 72057594037927936
---R      5404319552844595  5527076870047609   5527083944213301      1768541423
---R    [-----------------,------------------,------------------,-----------------],
---R     18014398509481984 144115188075855872 144115188075855872 36028797018963968
---R      5584463537939415  1367274832471173  5469105684885827      6355001135
---R    [-----------------,-----------------,------------------,------------------],
---R     18014398509481984 36028797018963968 144115188075855872 144115188075855872
---R     2882303761517117  5411741485030501   5411737397780889        1021812403
---R    [----------------,------------------,------------------,- -----------------]
---R     9007199254740992 144115188075855872 144115188075855872   36028797018963968
---R     ,
---R     2972375754064527  2677487256223711  5354972644460849        1867986573
---R    [----------------,-----------------,------------------,- ------------------]
---R     9007199254740992 72057594037927936 144115188075855872   144115188075855872
---R     ,
---R     3062447746611937  5298798412135453   2649402527349517     6642563581
---R    [----------------,------------------,-----------------,------------------],
---R     9007199254740992 144115188075855872 72057594037927936 144115188075855872
---R     3152519739159347  5243227595613403   5243228325754049      365070323
---R    [----------------,------------------,------------------,-----------------],
---R     9007199254740992 144115188075855872 144115188075855872 72057594037927936
---R     3242591731706757  648529154980457   2594118110825931     1490904103
---R    [----------------,-----------------,-----------------,-----------------],
---R     9007199254740992 18014398509481984 72057594037927936 72057594037927936
---R     3332663724254167  5133829756345021   5133822572475557        897983683
---R    [----------------,------------------,------------------,- -----------------]
---R     9007199254740992 144115188075855872 144115188075855872   18014398509481984
---R     ,
---R
---R       6845471433603153   5079988322079881    2539990636831335
---R     [-----------------, ------------------, -----------------,
---R      18014398509481984  144115188075855872  72057594037927936
---R            7048417211
---R      - ------------------]
---R        144115188075855872
---R     ,
---R
---R       7025615418697973   5026708937048237    2513353142655027
---R     [-----------------, ------------------, -----------------,
---R      18014398509481984  144115188075855872  72057594037927936
---R            2651738183
---R      - ------------------]
---R        144115188075855872
---R     ,
---R      7205759403792793  4973991601250089   1243497907871539      30236067
---R    [-----------------,------------------,-----------------,------------------],
---R     18014398509481984 144115188075855872 36028797018963968 144115188075855872
---R      7385903388887613  4921836314685437   76903615617979        4915134781
---R    [-----------------,------------------,----------------,- ------------------]
---R     18014398509481984 144115188075855872 2251799813685248   144115188075855872
---R     ,
---R      7566047373982433  4870214254316665   4870219739481359      2742582347
---R    [-----------------,------------------,------------------,-----------------],
---R     18014398509481984 144115188075855872 144115188075855872 72057594037927936
---R
---R       7746191359077253   2409577121590695   4819150863208301
---R     [-----------------, -----------------, ------------------,
---R      18014398509481984  72057594037927936  144115188075855872
---R            3379973089
---R      - ------------------]
---R        144115188075855872
---R     ,
---R      990791918021509  4768613046723187   1192154760988739     5997231769
---R    [----------------,------------------,-----------------,------------------],
---R     2251799813685248 144115188075855872 36028797018963968 144115188075855872
---R     2026619832316723  589827435997459   4718618615586477         872393195
---R    [----------------,-----------------,------------------,- ------------------]
---R     4503599627370496 18014398509481984 144115188075855872   144115188075855872
---R     ,
---R      517913957147607  4669144743913231   583642996495615         771948311
---R    [----------------,------------------,-----------------,- ------------------]
---R     1125899906842624 144115188075855872 18014398509481984   144115188075855872
---R     ,
---R     2116691824864133  4620188814523863   4620189566311337      375893737
---R    [----------------,------------------,------------------,-----------------],
---R     4503599627370496 144115188075855872 144115188075855872 72057594037927936
---R     1080863910568919  285734481238223  4571749910574687        1789236881
---R    [----------------,----------------,------------------,- ------------------],
---R     2251799813685248 9007199254740992 144115188075855872   144115188075855872
---R     2206763817411543  2261909494128769  4523819574807495       586549957
---R    [----------------,-----------------,------------------,------------------],
---R     4503599627370496 72057594037927936 144115188075855872 144115188075855872
---R     1  2238195339930887  4476393186548175      2506686401
---R    [-,-----------------,------------------,------------------],
---R     2 72057594037927936 144115188075855872 144115188075855872
---R     4593671619917905  8858933549248551   8858930860419895        168051791
---R    [----------------,------------------,------------------,- -----------------]
---R     9007199254740992 288230376151711744 288230376151711744   18014398509481984
---R     ,
---R     4683743612465315  8766065722052469   8560607512649        3629099893
---R    [----------------,------------------,---------------,- ------------------],
---R     9007199254740992 288230376151711744 281474976710656   288230376151711744
---R     4773815605012725  1084272234766913  8674169663405655        8214729649
---R    [----------------,-----------------,------------------,- ------------------]
---R     9007199254740992 36028797018963968 288230376151711744   288230376151711744
---R     ,
---R     4863887597560135  8583241194459439   8583243274651287      260023981
---R    [----------------,------------------,------------------,-----------------],
---R     9007199254740992 288230376151711744 288230376151711744 36028797018963968
---R     4953959590107545  8493284494062489   530829546159483        11755510761
---R    [----------------,------------------,-----------------,- ------------------]
---R     9007199254740992 288230376151711744 18014398509481984   288230376151711744
---R     ,
---R
---R      5044031582654955   4202125065434613    8404247974801057
---R     [----------------, ------------------, ------------------,
---R      9007199254740992  144115188075855872  288230376151711744
---R            2156068169
---R      - ------------------]
---R        288230376151711744
---R     ,
---R     5134103575202365  8316166927917263   2079039752444813       7918138011
---R    [----------------,------------------,-----------------,- ------------------]
---R     9007199254740992 288230376151711744 72057594037927936   288230376151711744
---R     ,
---R     5224175567749775  8229006062168985   8228995975418509        2521687619
---R    [----------------,------------------,------------------,- -----------------]
---R     9007199254740992 288230376151711744 288230376151711744   72057594037927936
---R     ,
---R     5314247560297185  4071369355293389   2035687277020413     5198747437
---R    [----------------,------------------,-----------------,------------------],
---R     9007199254740992 144115188075855872 72057594037927936 144115188075855872
---R     5404319552844595  8057422519245871   503588046715783        13771793343
---R    [----------------,------------------,-----------------,- ------------------]
---R     9007199254740992 288230376151711744 18014398509481984   288230376151711744
---R     ,
---R
---R      5494391545392005   7972971019033419    7972965335438253
---R     [----------------, ------------------, ------------------,
---R      9007199254740992  288230376151711744  288230376151711744
---R            2841797583
---R      - ------------------]
---R        144115188075855872
---R     ,
---R     5584463537939415  3944706516493519   3944704707541567        113059497
---R    [----------------,------------------,------------------,- ----------------],
---R     9007199254740992 144115188075855872 144115188075855872   9007199254740992
---R      709316941310853  975839967258639   7806731629494243      11891425131
---R    [----------------,-----------------,------------------,------------------],
---R     1125899906842624 36028797018963968 288230376151711744 288230376151711744
---R     2882303761517117  965614994664657   7724922720778403      2763461147
---R    [----------------,-----------------,------------------,------------------],
---R     4503599627370496 36028797018963968 288230376151711744 288230376151711744
---R     1463669878895411  238874527115433  7643973528990551        11338703305
---R    [----------------,----------------,------------------,- ------------------],
---R     2251799813685248 9007199254740992 288230376151711744   288230376151711744
---R
---R      2972375754064527   7563885646161295    3781937495546659
---R     [----------------, ------------------, ------------------,
---R      4503599627370496  288230376151711744  144115188075855872
---R            10655067977
---R      - ------------------]
---R        288230376151711744
---R     ,
---R     377176468792279  3742311146359787   467788633745481        2076395939
---R    [---------------,------------------,-----------------,- ------------------],
---R     562949953421312 144115188075855872 18014398509481984   144115188075855872
---R
---R      3062447746611937   7406194807368693    7406194103194703
---R     [----------------, ------------------, ------------------,
---R      4503599627370496  288230376151711744  288230376151711744
---R             352086995
---R      - ------------------]
---R        144115188075855872
---R     ,
---R
---R      1553741871442821   7328603190108653    7328594102447907
---R     [----------------, ------------------, ------------------,
---R      2251799813685248  288230376151711744  288230376151711744
---R            4543830373
---R      - ------------------]
---R        144115188075855872
---R     ,
---R
---R      3152519739159347   7251818617901837    7251809452096699
---R     [----------------, ------------------, ------------------,
---R      4503599627370496  288230376151711744  288230376151711744
---R            4582902569
---R      - ------------------]
---R        144115188075855872
---R     ,
---R      799388933858263  7175841090748245   1793957889605051       9532328041
---R    [----------------,------------------,-----------------,- ------------------]
---R     1125899906842624 288230376151711744 72057594037927936   288230376151711744
---R     ,
---R     3242591731706757  887580223201283   7100651918591697      10132981433
---R    [----------------,-----------------,------------------,------------------],
---R     4503599627370496 36028797018963968 288230376151711744 288230376151711744
---R     1643813863990231  7026249525525507   1756565529928361     12594187937
---R    [----------------,------------------,-----------------,------------------],
---R     2251799813685248 288230376151711744 72057594037927936 288230376151711744
---R
---R      3332663724254167   6952664310493975    3476326918930911
---R     [----------------, ------------------, ------------------,
---R      4503599627370496  288230376151711744  144115188075855872
---R            10472632153
---R      - ------------------]
---R        288230376151711744
---R     ,
---R     3  6879828494440437   6879818837142637        1207162225
---R    [-,------------------,------------------,- -----------------],
---R     4 288230376151711744 288230376151711744   36028797018963968
---R     6845471433603153  3403871038682447   6807748968756503      6891391609
---R    [----------------,------------------,------------------,------------------],
---R     9007199254740992 144115188075855872 288230376151711744 288230376151711744
---R     6935543426150563  6736433882304961   842054521259275      2287769239
---R    [----------------,------------------,-----------------,------------------],
---R     9007199254740992 288230376151711744 36028797018963968 288230376151711744
---R
---R      7025615418697973   3332937543111511    6665872463721885
---R     [----------------, ------------------, ------------------,
---R      9007199254740992  144115188075855872  288230376151711744
---R            2622501137
---R      - ------------------]
---R        288230376151711744
---R     ,
---R     7115687411245383  3298018433040731   3298024978338033      3272648651
---R    [----------------,------------------,------------------,-----------------],
---R     9007199254740992 144115188075855872 144115188075855872 72057594037927936
---R     7205759403792793  6526948044917897   1631740209842053     12794450315
---R    [----------------,------------------,-----------------,------------------],
---R     9007199254740992 288230376151711744 72057594037927936 288230376151711744
---R     7295831396340203  3229304311366163   3229298692399463        1404741675
---R    [----------------,------------------,------------------,- -----------------]
---R     9007199254740992 144115188075855872 144115188075855872   36028797018963968
---R     ,
---R     7385903388887613  6390960953449519   6390951947661551        140715437
---R    [----------------,------------------,------------------,- ----------------],
---R     9007199254740992 288230376151711744 288230376151711744   4503599627370496
---R     7475975381435023  6324005037069477   6324016963475123      5963202823
---R    [----------------,------------------,------------------,------------------],
---R     9007199254740992 288230376151711744 288230376151711744 144115188075855872
---R     7566047373982433  1564449629916857  782223118465821        3392985215
---R    [----------------,-----------------,-----------------,- -----------------],
---R     9007199254740992 72057594037927936 36028797018963968   72057594037927936
---R
---R      7656119366529843   6192254932130529    3096124247511021
---R     [----------------, ------------------, ------------------,
---R      9007199254740992  288230376151711744  144115188075855872
---R            6437108487
---R      - ------------------]
---R        288230376151711744
---R     ,
---R     7746191359077253  3063701548748197   1531850069561829       1409624539
---R    [----------------,------------------,-----------------,- ------------------]
---R     9007199254740992 144115188075855872 72057594037927936   144115188075855872
---R     ,
---R
---R      7836263351624663   6063243015765023    3031616523868557
---R     [----------------, ------------------, ------------------,
---R      9007199254740992  288230376151711744  144115188075855872
---R            9968027909
---R      - ------------------]
---R        288230376151711744
---R     ,
---R
---R       990791918021509   5999745863898801    2999869815226649
---R     [----------------, ------------------, ------------------,
---R      1125899906842624  288230376151711744  144115188075855872
---R            6233445503
---R      - ------------------]
---R        288230376151711744
---R     ,
---R     4008203668359741  23191061101163   2968456464585907       643637043
---R    [----------------,----------------,------------------,------------------],
---R     4503599627370496 1125899906842624 144115188075855872 144115188075855872
---R     2026619832316723  5874740349761803   5874745921678315      174122391
---R    [----------------,------------------,------------------,----------------],
---R     2251799813685248 288230376151711744 288230376151711744 9007199254740992
---R     4098275660907151  1453307996872757  5813231659972327         327518701
---R    [----------------,-----------------,------------------,- ------------------]
---R     4503599627370496 72057594037927936 288230376151711744   288230376151711744
---R     ,
---R     517913957147607  5752357732047787   5752363269479927      1384358035
---R    [---------------,------------------,------------------,-----------------],
---R     562949953421312 288230376151711744 288230376151711744 72057594037927936
---R     4188347653454561  2846073203234847   2846066974137395        1557274363
---R    [----------------,------------------,------------------,- -----------------]
---R     4503599627370496 144115188075855872 144115188075855872   36028797018963968
---R     ,
---R     2116691824864133  352033772792595   5632536966307539        3398373981
---R    [----------------,-----------------,------------------,- ------------------]
---R     2251799813685248 18014398509481984 288230376151711744   288230376151711744
---R     ,
---R     4278419646001971  348348026857555   1393391416160829       691269391
---R    [----------------,-----------------,-----------------,- -----------------],
---R     4503599627370496 18014398509481984 72057594037927936   72057594037927936
---R     1080863910568919  2757600889275079   5515213454707457      11676157299
---R    [----------------,------------------,------------------,------------------],
---R     1125899906842624 144115188075855872 288230376151711744 288230376151711744
---R     4368491638549381  2728734617103485   5457473817539223      4583332253
---R    [----------------,------------------,------------------,------------------],
---R     4503599627370496 144115188075855872 288230376151711744 288230376151711744
---R     2206763817411543  5400341973653701   675042537881683        1670600237
---R    [----------------,------------------,-----------------,- ------------------]
---R     2251799813685248 288230376151711744 36028797018963968   288230376151711744
---R     ,
---R
---R      4458563631096791   2671909998445175    5343806529310155
---R     [----------------, ------------------, ------------------,
---R      4503599627370496  144115188075855872  288230376151711744
---R            13467580195
---R      - ------------------]
---R        288230376151711744
---R     ,
---R        5287874480879303   2643933090895859        8299087585
---R    [1,------------------,------------------,- ------------------],
---R       288230376151711744 144115188075855872   288230376151711744
---R     568579452955525  5232505425620559   5232513012688027      1896766867
---R    [---------------,------------------,------------------,-----------------],
---R     562949953421312 288230376151711744 288230376151711744 72057594037927936
---R
---R      4593671619917905   2588870827075867    5177740840189037
---R     [----------------, ------------------, ------------------,
---R      4503599627370496  144115188075855872  288230376151711744
---R             813962697
---R      - ------------------]
---R        288230376151711744
---R     ,
---R     2319353808095805  1280888585858803  2561771773892475        5397825131
---R    [----------------,-----------------,------------------,- ------------------]
---R     2251799813685248 72057594037927936 144115188075855872   144115188075855872
---R     ,
---R     4683743612465315  5069914670433379   5069915083573821       206570221
---R    [----------------,------------------,------------------,------------------],
---R     4503599627370496 288230376151711744 288230376151711744 144115188075855872
---R
---R      1182194902184755   5016851458183849    5016849459576551
---R     [----------------, ------------------, ------------------,
---R      1125899906842624  288230376151711744  288230376151711744
---R             999303649
---R      - ------------------]
---R        144115188075855872
---R     ,
---R     4773815605012725  4964335883649007   620542593882395      4867410153
---R    [----------------,------------------,-----------------,------------------],
---R     4503599627370496 288230376151711744 36028797018963968 288230376151711744
---R     2409425800643215  1228099192466617  4912383095862291        13674004177
---R    [----------------,-----------------,------------------,- ------------------]
---R     2251799813685248 72057594037927936 288230376151711744   288230376151711744
---R     ,
---R     4863887597560135  4860976470761003   4860970693737835        90265987
---R    [----------------,------------------,------------------,- ----------------],
---R     4503599627370496 288230376151711744 288230376151711744   4503599627370496
---R     306807724614615  2405051904685113   1202524451423159       3001838795
---R    [---------------,------------------,-----------------,- ------------------],
---R     281474976710656 144115188075855872 72057594037927936   144115188075855872
---R     4953959590107545  2379874981328261   2379879376669587      2197670663
---R    [----------------,------------------,------------------,-----------------],
---R     4503599627370496 144115188075855872 144115188075855872 72057594037927936
---R     2499497793190625  2354971876828753   4709947918253153      4164595647
---R    [----------------,------------------,------------------,------------------],
---R     2251799813685248 144115188075855872 288230376151711744 288230376151711744
---R     5044031582654955  4660656359335563   582582467667243      3382002381
---R    [----------------,------------------,-----------------,------------------],
---R     4503599627370496 288230376151711744 36028797018963968 288230376151711744
---R     1272266894732165  2305943889845347   4611888722195781       942505087
---R    [----------------,------------------,------------------,------------------],
---R     1125899906842624 144115188075855872 288230376151711744 288230376151711744
---R     5134103575202365  4563638014722897   4563629418505649        268631789
---R    [----------------,------------------,------------------,- ----------------],
---R     4503599627370496 288230376151711744 288230376151711744   9007199254740992
---R
---R      2589569785738035   2257939120697279    4515876445407799
---R     [----------------, ------------------, ------------------,
---R      2251799813685248  144115188075855872  288230376151711744
---R            1795986759
---R      - ------------------]
---R        288230376151711744
---R     ,
---R     5224175567749775  4468637282743293   4468624474894813        400245265
---R    [----------------,------------------,------------------,- ----------------],
---R     4503599627370496 288230376151711744 288230376151711744   9007199254740992
---R     658651445502935  8843714985387741   552733529401143      21485030547
---R    [---------------,------------------,-----------------,------------------],
---R     562949953421312 576460752303423488 36028797018963968 576460752303423488
---R     5314247560297185  8751193034643041   8751205020494137      1498231387
---R    [----------------,------------------,------------------,-----------------],
---R     4503599627370496 576460752303423488 576460752303423488 72057594037927936
---R
---R      2679641778285445   8659651067177257    4329822138968985
---R     [----------------, ------------------, ------------------,
---R      2251799813685248  576460752303423488  288230376151711744
---R            6789239287
---R      - ------------------]
---R        576460752303423488
---R     ,
---R     5404319552844595  8569031436915159   8569044029631969      6296358405
---R    [----------------,------------------,------------------,------------------],
---R     4503599627370496 576460752303423488 576460752303423488 288230376151711744
---R     1362338887279575  8479391789931977   4239697085132627      2380333277
---R    [----------------,------------------,------------------,------------------],
---R     1125899906842624 576460752303423488 288230376151711744 576460752303423488
---R     5494391545392005  262208577504765   8390684701191725      10221039245
---R    [----------------,-----------------,------------------,------------------],
---R     4503599627370496 18014398509481984 576460752303423488 576460752303423488
---R     2769713770832855  8302879507576669   4151452864650025      26221723381
---R    [----------------,------------------,------------------,------------------],
---R     2251799813685248 576460752303423488 288230376151711744 576460752303423488
---R
---R      5584463537939415   8216064518279773    8216047465895673
---R     [----------------, ------------------, ------------------,
---R      4503599627370496  576460752303423488  576460752303423488
---R            4263096025
---R      - ------------------]
---R        144115188075855872
---R     ,
---R     5  8130114220111333   4065050112797359        13994516615
---R    [-,------------------,------------------,- ------------------],
---R     4 576460752303423488 288230376151711744   576460752303423488
---R     709316941310853  8045028613071347   4022527212614831      25812158315
---R    [---------------,------------------,------------------,------------------],
---R     562949953421312 576460752303423488 288230376151711744 576460752303423488
---R     5719571526760529  3980461494655139   3980450291383315        700204489
---R    [----------------,------------------,------------------,- -----------------]
---R     4503599627370496 288230376151711744 288230376151711744   18014398509481984
---R     ,
---R     2882303761517117  7877624410602433   3938814658117119      4905631805
---R    [----------------,------------------,------------------,------------------],
---R     2251799813685248 576460752303423488 288230376151711744 576460752303423488
---R
---R      5809643519307939   3897624084549137    7795231342663787
---R     [----------------, ------------------, ------------------,
---R      4503599627370496  288230376151711744  576460752303423488
---R            16826434487
---R      - ------------------]
---R        576460752303423488
---R     ,
---R     1463669878895411  1928419743161835   7713697477040771      18504393431
---R    [----------------,------------------,------------------,------------------],
---R     1125899906842624 144115188075855872 576460752303423488 576460752303423488
---R     5899715511855349  7633032113400091   7633018631267491        1685266575
---R    [----------------,------------------,------------------,- -----------------]
---R     4503599627370496 576460752303423488 576460752303423488   72057594037927936
---R     ,
---R
---R      2972375754064527   3776596149603033    7553185813136739
---R     [----------------, ------------------, ------------------,
---R      2251799813685248  288230376151711744  576460752303423488
---R            6486069327
---R      - ------------------]
---R        576460752303423488
---R     ,
---R
---R      5989787504402759   7474217176140497    1868547531329093
---R     [----------------, ------------------, ------------------,
---R      4503599627370496  576460752303423488  144115188075855872
---R            27050824125
---R      - ------------------]
---R        576460752303423488
---R     ,
---R     377176468792279  7396049098128153   7396022764344687        13166891733
---R    [---------------,------------------,------------------,- ------------------]
---R     281474976710656 576460752303423488 576460752303423488   288230376151711744
---R     ,
---R
---R      6079859496950169   3659344032584517    7318675019636483
---R     [----------------, ------------------, ------------------,
---R      4503599627370496  288230376151711744  576460752303423488
---R            13045532551
---R      - ------------------]
---R        576460752303423488
---R     ,
---R     3062447746611937  7242134077263139   7242138272499685      2097618273
---R    [----------------,------------------,------------------,------------------],
---R     2251799813685248 576460752303423488 576460752303423488 288230376151711744
---R     6169931489497579  7166387134410469   1791600998790605      16860751951
---R    [----------------,------------------,------------------,------------------],
---R     4503599627370496 576460752303423488 144115188075855872 576460752303423488
---R     1553741871442821  443215452288189   443216484363153      258018741
---R    [----------------,-----------------,-----------------,----------------],
---R     1125899906842624 36028797018963968 36028797018963968 9007199254740992
---R
---R      6260003482044989   1754328595966201    3508654593817403
---R     [----------------, ------------------, ------------------,
---R      4503599627370496  144115188075855872  288230376151711744
---R            2598114999
---R      - ------------------]
---R        288230376151711744
---R     ,
---R     3152519739159347  3471965465048289   3471966023944797      139724127
---R    [----------------,------------------,------------------,-----------------],
---R     2251799813685248 288230376151711744 288230376151711744 72057594037927936
---R     6350075474592399  6871296875306347   3435662078479879      27281653411
---R    [----------------,------------------,------------------,------------------],
---R     4503599627370496 576460752303423488 288230376151711744 576460752303423488
---R     799388933858263  1699867466392335   424967339214925      1890467365
---R    [---------------,------------------,-----------------,------------------],
---R     562949953421312 144115188075855872 36028797018963968 144115188075855872
---R     6440147467139809  841049031851291   420523991076017        1049699257
---R    [----------------,-----------------,-----------------,- -----------------],
---R     4503599627370496 72057594037927936 36028797018963968   72057594037927936
---R
---R      3242591731706757   3329032021514655    6658035528574981
---R     [----------------, ------------------, ------------------,
---R      2251799813685248  288230376151711744  576460752303423488
---R            28514454329
---R      - ------------------]
---R        576460752303423488
---R     ,
---R     6530219459687219  6588427584151057   411776537956111        2976853281
---R    [----------------,------------------,-----------------,- ------------------]
---R     4503599627370496 576460752303423488 36028797018963968   576460752303423488
---R     ,
---R     1643813863990231  3259770262125399   6519543341783843      2817533045
---R    [----------------,------------------,------------------,------------------],
---R     1125899906842624 288230376151711744 576460752303423488 576460752303423488
---R     6620291452234629  6451402863328533   201605751942949        18801154165
---R    [----------------,------------------,-----------------,- ------------------]
---R     4503599627370496 576460752303423488 18014398509481984   576460752303423488
---R     ,
---R
---R      3332663724254167   6383956955309033    6383939179487509
---R     [----------------, ------------------, ------------------,
---R      2251799813685248  576460752303423488  576460752303423488
---R            4443955381
---R      - ------------------]
---R        144115188075855872
---R     ,
---R     6710363444782039  789650350024037   789650148095319        100964359
---R    [----------------,-----------------,-----------------,- -----------------],
---R     4503599627370496 72057594037927936 72057594037927936   36028797018963968
---R     3  1562785099494581   3125581324106579      11125117417
---R    [-,------------------,------------------,------------------],
---R     2 144115188075855872 288230376151711744 288230376151711744
---R     850054429666181  3092913697371173   6185816218389607        11176352739
---R    [---------------,------------------,------------------,- ------------------]
---R     562949953421312 288230376151711744 576460752303423488   576460752303423488
---R     ,
---R     6845471433603153  3060574249166951   6121154621349937      6123016035
---R    [----------------,------------------,------------------,------------------],
---R     4503599627370496 288230376151711744 576460752303423488 576460752303423488
---R     3445253714938429  3028580677414111   1514292664959975      4652505839
---R    [----------------,------------------,------------------,------------------],
---R     2251799813685248 288230376151711744 144115188075855872 288230376151711744
---R
---R      6935543426150563   2996932982112653    2996928606240811
---R     [----------------, ------------------, ------------------,
---R      4503599627370496  288230376151711744  288230376151711744
---R            2187935921
---R      - ------------------]
---R        144115188075855872
---R     ,
---R     1745144855606067  1482801170112481   5931207232970871      2552520947
---R    [----------------,------------------,------------------,------------------],
---R     1125899906842624 144115188075855872 576460752303423488 576460752303423488
---R
---R      7025615418697973   2934617574788653    5869213749282865
---R     [----------------, ------------------, ------------------,
---R      4503599627370496  288230376151711744  576460752303423488
---R            21400294441
---R      - ------------------]
---R        576460752303423488
---R     ,
---R     3535325707485839  5807842079456991   2903934931443255      27783429519
---R    [----------------,------------------,------------------,------------------],
---R     2251799813685248 576460752303423488 288230376151711744 576460752303423488
---R     7115687411245383  5747140762239441   5747168747966983      13992863771
---R    [----------------,------------------,------------------,------------------],
---R     4503599627370496 576460752303423488 576460752303423488 288230376151711744
---R     447545212969943  2843565598962327   5687103650656567        27547268087
---R    [---------------,------------------,------------------,- ------------------]
---R     281474976710656 288230376151711744 576460752303423488   576460752303423488
---R     ,
---R     7205759403792793  5627640448286941   1406916972068415      27439986719
---R    [----------------,------------------,------------------,------------------],
---R     4503599627370496 576460752303423488 144115188075855872 576460752303423488
---R     3625397700033249  696105181443999   2784427424284931      6698508935
---R    [----------------,-----------------,------------------,------------------],
---R     2251799813685248 72057594037927936 288230376151711744 288230376151711744
---R     7295831396340203  172208642551393   5510657988985053        18572659523
---R    [----------------,-----------------,------------------,- ------------------]
---R     4503599627370496 18014398509481984 576460752303423488   576460752303423488
---R     ,
---R     1835216848153477  681636016561183   1363267708977597        4324144769
---R    [----------------,-----------------,------------------,- ------------------]
---R     1125899906842624 72057594037927936 144115188075855872   144115188075855872
---R     ,
---R     7385903388887613  42156845031927   2698043491979555      5409936227
---R    [----------------,----------------,------------------,------------------],
---R     4503599627370496 4503599627370496 288230376151711744 288230376151711744
---R     3715469692580659  5339698302511381   2669850047622553      1792733725
---R    [----------------,------------------,------------------,------------------],
---R     2251799813685248 576460752303423488 288230376151711744 576460752303423488
---R     7475975381435023  2641948450844205   2641951949334563      1749245179
---R    [----------------,------------------,------------------,------------------],
---R     4503599627370496 288230376151711744 288230376151711744 144115188075855872
---R     940126422213591  2614335980808871   2614346094606287      1264224677
---R    [---------------,------------------,------------------,-----------------],
---R     562949953421312 288230376151711744 288230376151711744 36028797018963968
---R
---R      7566047373982433   5174081128374607    5174058827238795
---R     [----------------, ------------------, ------------------,
---R      4503599627370496  576460752303423488  576460752303423488
---R            5575283953
---R      - ------------------]
---R        144115188075855872
---R     ,
---R
---R      3805541685128069   2560004554904273    5119997737801787
---R     [----------------, ------------------, ------------------,
---R      2251799813685248  288230376151711744  576460752303423488
---R            11372006759
---R      - ------------------]
---R        576460752303423488
---R     ,
---R     7656119366529843  5066513551994789   2473878374005        10642032549
---R    [----------------,------------------,---------------,- ------------------],
---R     4503599627370496 576460752303423488 281474976710656   576460752303423488
---R
---R      1925288840700887   2506797227466667    1253392099027709
---R     [----------------, ------------------, ------------------,
---R      1125899906842624  288230376151711744  144115188075855872
---R            13029411249
---R      - ------------------]
---R        288230376151711744
---R     ,
---R
---R      7746191359077253   4961194172548953    2480594155649371
---R     [----------------, ------------------, ------------------,
---R      4503599627370496  576460752303423488  288230376151711744
---R            5861250211
---R      - ------------------]
---R        576460752303423488
---R     ,
---R
---R      3895613677675479   4909370350916875    4909356832575193
---R     [----------------, ------------------, ------------------,
---R      2251799813685248  576460752303423488  576460752303423488
---R            6759170841
---R      - ------------------]
---R        288230376151711744
---R     ,
---R     7836263351624663  4858065343961871   4858068198332111      44599535
---R    [----------------,------------------,------------------,----------------],
---R     4503599627370496 576460752303423488 576460752303423488 9007199254740992
---R     7  4807336797759169   4807316707655685        5022525871
---R    [-,------------------,------------------,- ------------------],
---R     4 576460752303423488 576460752303423488   144115188075855872
---R     990791918021509  4757069420158311   4757096719684817      13649763253
---R    [---------------,------------------,------------------,------------------],
---R     562949953421312 576460752303423488 576460752303423488 288230376151711744
---R     7971371340445777  1176844625827439   2353701326488195      12074833317
---R    [----------------,------------------,------------------,------------------],
---R     4503599627370496 144115188075855872 288230376151711744 288230376151711744
---R     4008203668359741  2329103200569137   1164557246219315      11291869493
---R    [----------------,------------------,------------------,------------------],
---R     2251799813685248 288230376151711744 144115188075855872 288230376151711744
---R     8061443332993187  4609553113643865   2304785125451461      17137259057
---R    [----------------,------------------,------------------,------------------],
---R     4503599627370496 576460752303423488 288230376151711744 576460752303423488
---R     2026619832316723  4561418640826529   4561421044122753       75103007
---R    [----------------,------------------,------------------,-----------------],
---R     1125899906842624 576460752303423488 576460752303423488 18014398509481984
---R     8151515325540597  2256901491343133   2256888007275893        1685508405
---R    [----------------,------------------,------------------,- -----------------]
---R     4503599627370496 288230376151711744 288230376151711744   36028797018963968
---R     ,
---R
---R      4098275660907151    8933296986295693     8933259737097879
---R     [----------------, -------------------, -------------------,
---R      2251799813685248  1152921504606846976  1152921504606846976
---R            18624598907
---R      - ------------------]
---R        576460752303423488
---R     ,
---R     8241587318088007  4419955172211269   4419977368221621      1387250647
---R    [----------------,------------------,------------------,-----------------],
---R     4503599627370496 576460752303423488 576460752303423488 36028797018963968
---R
---R      517913957147607   4373838312026995     8747626661673305
---R     [---------------, ------------------, -------------------,
---R      281474976710656  576460752303423488  1152921504606846976
---R            49962380685
---R      - -------------------]
---R        1152921504606846976
---R     ,
---R
---R      8331659310635417    8656249948738667    4328132628237443
---R     [----------------, -------------------, ------------------,
---R      4503599627370496  1152921504606846976  576460752303423488
---R          15307736219
---R      -------------------]
---R      1152921504606846976
---R     ,
---R
---R      4188347653454561   4282930451388745     8565860372534681
---R     [----------------, ------------------, -------------------,
---R      2251799813685248  576460752303423488  1152921504606846976
---R             530242809
---R      - -------------------]
---R        1152921504606846976
---R     ,
---R
---R      8421731303182827    8476394194019999    2119100492099549
---R     [----------------, -------------------, ------------------,
---R      4503599627370496  1152921504606846976  288230376151711744
---R           7774378197
---R      -------------------]
---R      1152921504606846976
---R     ,
---R
---R      2116691824864133    8387849822466193     8387880108340803
---R     [----------------, -------------------, -------------------,
---R      1125899906842624  1152921504606846976  1152921504606846976
---R          15142937305
---R      ------------------]
---R      576460752303423488
---R     ,
---R
---R      8511803295730237    8300227788116073     8300284961250733
---R     [----------------, -------------------, -------------------,
---R      4503599627370496  1152921504606846976  1152921504606846976
---R          14293283665
---R      ------------------]
---R      288230376151711744
---R     ,
---R
---R      4278419646001971    8213643383120099    4106803399761973
---R     [----------------, -------------------, ------------------,
---R      2251799813685248  1152921504606846976  576460752303423488
---R            36583596153
---R      - -------------------]
---R        1152921504606846976
---R     ,
---R
---R      8601875288277647    8127866023177349    4063917998985349
---R     [----------------, -------------------, ------------------,
---R      4503599627370496  1152921504606846976  576460752303423488
---R            30025206651
---R      - -------------------]
---R        1152921504606846976
---R     ,
---R
---R      1080863910568919    8043011000438285    502685189545857
---R     [----------------, -------------------, -----------------,
---R       562949953421312  1152921504606846976  72057594037927936
---R            47967704573
---R      - -------------------]
---R        1152921504606846976
---R     ,
---R     8691947280825057  3979481511376223   1989744620054455      7728732687
---R    [----------------,------------------,------------------,------------------],
---R     4503599627370496 576460752303423488 288230376151711744 576460752303423488
---R
---R      4368491638549381    7875837382270293    3937936508015475
---R     [----------------, -------------------, ------------------,
---R      2251799813685248  1152921504606846976  576460752303423488
---R          35633760657
---R      -------------------]
---R      1152921504606846976
---R     ,
---R     8782019273372467  487102129936989   3896818706968169      1667472257
---R    [----------------,-----------------,------------------,------------------],
---R     4503599627370496 72057594037927936 576460752303423488 576460752303423488
---R
---R      2206763817411543    7712237820766581     964032818101981
---R     [----------------, -------------------, ------------------,
---R      1125899906842624  1152921504606846976  144115188075855872
---R          24724049267
---R      -------------------]
---R      1152921504606846976
---R     ,
---R
---R      8872091265919877    7631763899745023    3815869687822149
---R     [----------------, -------------------, ------------------,
---R      4503599627370496  1152921504606846976  576460752303423488
---R            24524100725
---R      - -------------------]
---R        1152921504606846976
---R     ,
---R
---R      4458563631096791   3776048511888345    3776029484237317
---R     [----------------, ------------------, ------------------,
---R      2251799813685248  576460752303423488  576460752303423488
---R            4756912757
---R      - ------------------]
---R        144115188075855872
---R     ,
---R     8962163258467287  3736618596430791   467075779964617        12356713855
---R    [----------------,------------------,-----------------,- ------------------]
---R     4503599627370496 576460752303423488 72057594037927936   576460752303423488
---R     ,
---R        3697592203499849   1848797789432423      3375364997
---R    [2,------------------,------------------,------------------]]
---R       576460752303423488 288230376151711744 576460752303423488
---R                                          Type: List(List(Fraction(Integer)))
---E 7
-
-)spool
-)lisp (bye)
-
-\end{chunk}
-
-The actual table values from above are:
-\begin{verbatim}
- [1.0E-2,                 5.2079E-2, 
-                          5.2078954179335148E-2, 
-                         -4.5820664852647131E-8]
- [2.0E-2,                 5.1532099999999997E-2, 
-                          5.1532149651352818E-2, 
-                          4.9651352820867523E-8]
- [2.9999999999999999E-2,  5.0991099999999998E-2, 
-                          5.0991103854550281E-2, 
-                          3.8545502831222045E-9]
- [4.0000000000000001E-2,  5.0455800000000002E-2, 
-                          5.0455755932602576E-2, 
-                         -4.4067397425573418E-8]
- [5.0000000000000003E-2,  4.9925999999999998E-2, 
-                          4.9926045674777729E-2, 
-                          4.5674777730819738E-8]
- [5.9999999999999998E-2,  4.9401899999999999E-2, 
-                          4.9401913509057829E-2, 
-                          1.3509057830707327E-8]
- [7.0000000000000007E-2,  4.8883299999999998E-2, 
-                          4.8883300495333924E-2, 
-                          4.9533392665335185E-10]
- [8.0000000000000002E-2,  4.8370200000000002E-2, 
-                          4.83701483186737E-2, 
-                         -5.1681326301844521E-8]
- [8.9999999999999997E-2,  4.7862399999999999E-2, 
-                          4.786239928266129E-2, 
-                         -7.1733870926626864E-10]
- [0.10000000000000001,    4.7359999999999999E-2, 
-                          4.7359996302808287E-2, 
-                         -3.6971917125039333E-9]
- [0.11,                   4.6862899999999999E-2, 
-                          4.6862882900035485E-2, 
-                         -1.7099964513822563E-8]
- [0.12,                   4.6371000000000002E-2, 
-                          4.6371003194224242E-2, 
-                          3.1942242392779541E-9]
- [0.13,                   4.5884300000000003E-2, 
-                          4.5884301897836918E-2, 
-                          1.8978369153987984E-9]
- [0.14000000000000001,    4.5402699999999997E-2, 
-                          4.5402724309605645E-2, 
-                          2.430960564792084E-8]
- [0.14999999999999999,    4.4926199999999999E-2, 
-                          4.4926216308288566E-2, 
-                          1.6308288566801998E-8]
- [0.16,                   4.44547E-2, 
-                          4.4454724346493016E-2, 
-                          2.4346493016080828E-8]
- [0.17000000000000001,    4.3988199999999998E-2, 
-                          4.398819544456465E-2, 
-                         -4.5554353483856502E-9]
- [0.17999999999999999,    4.3526599999999999E-2, 
-                          4.3526577184542115E-2, 
-                         -2.2815457884073354E-8]
- [0.19,                   4.3069799999999998E-2, 
-                          4.3069817704176359E-2, 
-                          1.7704176361044155E-8]
- [0.20000000000000001,    4.26179E-2, 
-                          4.2617865691013848E-2, 
-                         -3.4308986152087328E-8]
- [0.20999999999999999,    4.2170699999999998E-2, 
-                          4.2170670376543248E-2, 
-                         -2.962345675011635E-8]
- [0.22,                   4.17282E-2, 
-                          4.1728181530404598E-2, 
-                          -1.8469595401693351E-8]
- [0.23000000000000001,    4.1290300000000002E-2, 
-                          4.1290349454660515E-2, 
-                          4.9454660512593396E-8]
- [0.23999999999999999,    4.08571E-2, 
-                          4.0857124978128601E-2, 
-                          2.4978128600194882E-8]
- [0.25,                   4.0428499999999999E-2, 
-                          4.0428459450774591E-2, 
-                         -4.0549225407970901E-8]
- [0.26000000000000001,    4.00043E-2, 
-                          4.0004304738165339E-2, 
-                          4.7381653392464251E-9]
- [0.27000000000000002,    3.9584599999999998E-2, 
-                          3.9584613215981258E-2, 
-                          1.3215981260750187E-8]
- [0.28000000000000003,    3.9169299999999997E-2, 
-                          3.916933776458735E-2, 
-                          3.7764587353106283E-8]
- [0.28999999999999998,    3.8758399999999998E-2, 
-                          3.8758431763662324E-2, 
-                          3.1763662325379194E-8]
- [0.29999999999999999,    3.8351799999999998E-2, 
-                          3.8351849086885194E-2, 
-                          4.908688519544846E-8]
- [0.31,                   3.7949499999999997E-2, 
-                          3.7949544096678632E-2, 
-                          4.4096678634975017E-8]
- [0.32000000000000001,    3.7551500000000002E-2, 
-                          3.7551471639008578E-2, 
-                         -2.8360991423392878E-8]
- [0.33000000000000002,    3.7157599999999999E-2, 
-                          3.7157587038239355E-2, 
-                         -1.2961760643970255E-8]
- [0.34000000000000002,    3.6767800000000003E-2, 
-                          3.6767846092043928E-2, 
-                          4.6092043924639281E-8]
- [0.34999999999999998,    3.6382200000000003E-2, 
-                          3.6382205066368474E-2, 
-                          5.0663684705853917E-9]
- [0.35999999999999999,    3.6000600000000001E-2, 
-                          3.6000620690450777E-2, 
-                          2.0690450776295055E-8]
- [0.37,                   3.5623099999999998E-2, 
-                          3.5623050151891968E-2, 
-                         -4.9848108030214888E-8]
- [0.38,                   3.5249500000000003E-2, 
-                          3.5249451091780772E-2, 
-                         -4.8908219231480476E-8]
- [0.39000000000000001,    3.4879800000000002E-2, 
-                          3.4879781599870076E-2, 
-                         -1.8400129926654518E-8]
- [0.40000000000000002,    3.4514000000000003E-2, 
-                          3.4514000209804857E-2, 
-                          2.0980485404553662E-10]
- [0.40999999999999998,    3.4152099999999998E-2, 
-                          3.4152065894401229E-2, 
-                         -3.410559876876329E-8]
- [0.41999999999999998,    3.3793900000000002E-2, 
-                          3.3793938060975852E-2, 
-                          3.8060975850184864E-8]
- [0.42999999999999999,    3.34396E-2, 
-                          3.3439576546725337E-2, 
-                         -2.3453274662632584E-8]
- [0.44,                   3.3088899999999997E-2, 
-                          3.308894161415496E-2, 
-                          4.1614154962232863E-8]
- [0.45000000000000001,    3.2742E-2, 
-                          3.2741993946556171E-2, 
-                         -6.0534438295345439E-9]
- [0.46000000000000002,    3.2398700000000002E-2, 
-                          3.2398694643532566E-2, 
-                         -5.3564674362682752E-9]
- [0.46999999999999997,    3.2058999999999997E-2, 
-                          3.2059005216573518E-2, 
-                          5.216573520372414E-9]
- [0.47999999999999998,    3.1722899999999998E-2, 
-                          3.1722887584675112E-2, 
-                         -1.2415324886216883E-8]
- [0.48999999999999999,    3.1390300000000003E-2, 
-                          3.1390304070007917E-2, 
-                          4.070007914025453E-9]
- [0.5,                    3.1061200000000001E-2, 
-                          3.1061217393630984E-2, 
-                          1.7393630983436603E-8]
- [0.51000000000000001,    3.0735599999999998E-2, 
-                          3.0735590671251607E-2, 
-                         -9.3287483918236269E-9]
- [0.52000000000000002,    3.04134E-2, 
-                          3.0413387409030435E-2, 
-                         -1.2590969565573484E-8]
- [0.53000000000000003,    3.0094599999999999E-2, 
-                          3.009457149943125E-2, 
-                         -2.8500568748784927E-8]
- [0.54000000000000004,    2.9779099999999999E-2, 
-                          2.9779107217115259E-2, 
-                          7.217115259583462E-9]
- [0.55000000000000004,    2.9467E-2, 
-                          2.9466959214879015E-2, 
-                         -4.0785120985348255E-8]
- [0.56000000000000005,    2.9158099999999999E-2, 
-                          2.9158092519635862E-2, 
-                         -7.4803641371412599E-9]
- [0.56999999999999995,    2.88525E-2, 
-                          2.8852472528440212E-2, 
-                         -2.7471559787412003E-8]
- [0.57999999999999996,    2.8550099999999998E-2, 
-                          2.8550065004554304E-2, 
-                         -3.4995445694074867E-8]
- [0.58999999999999997,    2.82508E-2, 
-                          2.8250836073556898E-2, 
-                          3.6073556898552628E-8]
- [0.59999999999999998,    2.7954799999999998E-2, 
-                          2.7954752219493562E-2, 
-                         -4.7780506436806425E-8]
- [0.60999999999999999,    2.76618E-2, 
-                          2.7661780281068072E-2, 
-                         -1.9718931928286443E-8]
- [0.62,                   2.7371900000000001E-2, 
-                          2.7371887447874325E-2, 
-                         -1.2552125675663328E-8]
- [0.63,                   2.7085000000000001E-2, 
-                          2.7085041256668666E-2, 
-                          4.1256668664724216E-8]
- [0.64000000000000001,    2.6801200000000001E-2, 
-                          2.6801209587681844E-2, 
-                          9.5876818428930477E-9]
- [0.65000000000000002,    2.65204E-2, 
-                          2.6520360660970379E-2, 
-                         -3.9339029620638621E-8]
- [0.66000000000000003,    2.6242499999999998E-2, 
-                          2.6242463032806879E-2, 
-                         -3.6967193119130659E-8]
- [0.67000000000000004,    2.5967500000000001E-2, 
-                          2.5967485592108871E-2, 
-                         -1.4407891130163719E-8]
- [0.68000000000000005,    2.56954E-2, 
-                          2.5695397556905687E-2, 
-                         -2.4430943136588557E-9]
- [0.68999999999999995,    2.5426199999999999E-2, 
-                          2.5426168470843124E-2, 
-                         -3.1529156875598208E-8]
- [0.69999999999999996,    2.51598E-2, 
-                          2.5159768199725301E-2, 
-                         -3.1800274698234876E-8]
- [0.70999999999999996,    2.48962E-2, 
-                          2.489616692809353E-2, 
-                         -3.3071906470338863E-8]
- [0.71999999999999997,    2.4635299999999999E-2, 
-                          2.4635335155841546E-2, 
-                          3.5155841546924416E-8]
- [0.72999999999999998,    2.4377200000000002E-2, 
-                          2.4377243694866949E-2, 
-                          4.3694866946886179E-8]
- [0.73999999999999999,    2.4121900000000002E-2, 
-                          2.4121863665758296E-2, 
-                         -3.6334241705626713E-8]
- [0.75,                   2.38692E-2, 
-                          2.386916649451758E-2, 
-                         -3.3505482419787791E-8]
- [0.76000000000000001,    2.3619100000000001E-2, 
-                          2.3619123909317606E-2, 
-                          2.3909317605624869E-8]
- [0.77000000000000002,    2.3371699999999999E-2, 
-                          2.3371707937294008E-2, 
-                          7.9372940095523425E-9]
- [0.78000000000000003,    2.3126899999999999E-2, 
-                          2.3126890901371419E-2, 
-                         -9.0986285797289845E-9]
- [0.79000000000000004,    2.2884600000000001E-2, 
-                          2.2884645417123543E-2, 
-                          4.5417123541169335E-8]
- [0.80000000000000004,    2.2644899999999999E-2, 
-                          2.2644944389666643E-2, 
-                          4.4389666643829262E-8]
- [0.81000000000000005,    2.2407799999999999E-2, 
-                          2.2407761010586214E-2, 
-                         -3.8989413784357163E-8]
- [0.81999999999999995,    2.2173100000000001E-2, 
-                          2.2173068754896382E-2, 
-                         -3.124510361898758E-8]
- [0.82999999999999996,    2.19408E-2, 
-                          2.1940841378031716E-2, 
-                          4.1378031716277075E-8]
- [0.83999999999999997,    2.1711100000000001E-2, 
-                          2.1711052912871148E-2, 
-                         -4.708712885229116E-8]
- [0.84999999999999998,    2.1483700000000001E-2, 
-                          2.1483677666793578E-2, 
-                         -2.2333206423086338E-8]
- [0.85999999999999999,    2.1258699999999998E-2, 
-                          2.1258690218764878E-2, 
-                         -9.7812351204651371E-9]
- [0.87,                   2.1036099999999999E-2, 
-                          2.1036065416455953E-2, 
-                         -3.4583544045868608E-8]
- [0.88,                   2.0815799999999999E-2, 
-                          2.0815778373391495E-2, 
-                         -2.162660850402176E-8]
- [0.89000000000000001,    2.0597799999999999E-2, 
-                          2.0597804466129153E-2, 
-                          4.4661291540015746E-9]
- [0.90000000000000002,    2.03821E-2, 
-                          2.0382119331468756E-2, 
-                          1.9331468755628967E-8]
- [0.91000000000000003,    2.0168700000000001E-2, 
-                          2.0168698863691235E-2, 
-                         -1.136308765831151E-9]
- [0.92000000000000004,    1.99575E-2, 
-                          1.9957519211827056E-2, 
-                          1.9211827056303532E-8]
- [0.93000000000000005,    1.9748600000000002E-2, 
-                          1.9748556776953658E-2, 
-                         -4.3223046343465743E-8]
- [0.93999999999999995,    1.9541800000000002E-2, 
-                          1.9541788209521748E-2, 
-                         -1.1790478253448367E-8]
- [0.94999999999999996,    1.9337199999999999E-2, 
-                          1.9337190406710072E-2, 
-                         -9.5932899263351246E-9]
- [0.95999999999999996,    1.9134700000000001E-2, 
-                          1.9134740509808349E-2, 
-                          4.0509808348077048E-8]
- [0.96999999999999997,    1.8934400000000001E-2, 
-                          1.8934415901628112E-2, 
-                          1.5901628111492094E-8]
- [0.97999999999999998,    1.8736200000000001E-2, 
-                          1.8736194203941098E-2, 
-                         -5.7960589036620824E-9]
- [0.98999999999999999,    1.85401E-2, 
-                          1.8540053274944939E-2, 
-                         -4.6725055061203058E-8]
- [1.,                     1.8346000000000001E-2, 
-                          1.8345971206755872E-2, 
-                         -2.8793244129243778E-8]
- [1.01,                   1.8153900000000001E-2, 
-                          1.8153926322928098E-2, 
-                          2.6322928097649578E-8]
- [1.02,                   1.7963900000000001E-2, 
-                          1.7963897175999596E-2, 
-                         -2.8240004050494871E-9]
- [1.03,                   1.7775900000000001E-2, 
-                          1.7775862545064098E-2, 
-                         -3.745493590279203E-8]
- [1.04,                   1.7589799999999999E-2, 
-                          1.7589801433368843E-2, 
-                          1.433368843756222E-9]
- [1.05,                   1.74057E-2, 
-                          1.7405693065937998E-2, 
-                         -6.9340620016677956E-9]
- [1.0600000000000001,     1.7223499999999999E-2, 
-                          1.7223516887221315E-2, 
-                          1.6887221315764478E-8]
- [1.0700000000000001,     1.7043300000000001E-2, 
-                          1.7043252558767878E-2, 
-                         -4.744123212330198E-8]
- [1.0800000000000001,     1.6864899999999999E-2, 
-                          1.6864879956924574E-2, 
-                         -2.0043075425052459E-8]
- [1.0900000000000001,     1.6688399999999999E-2, 
-                          1.6688379170559084E-2, 
-                         -2.082944091513772E-8]
- [1.1000000000000001,     1.6513699999999999E-2, 
-                          1.6513730498807128E-2, 
-                          3.0498807129103467E-8]
- [1.1100000000000001,     1.6340899999999998E-2, 
-                          1.6340914448843669E-2, 
-                          1.4448843670133993E-8]
- [1.1200000000000001,     1.6169900000000001E-2, 
-                          1.6169911733677846E-2, 
-                          1.1733677845321422E-8]
- [1.1299999999999999,     1.60007E-2, 
-                          1.6000703269971401E-2, 
-                          3.269971401292926E-9]
- [1.1399999999999999,     1.5833300000000002E-2, 
-                          1.5833270175880269E-2, 
-                         -2.9824119732874133E-8]
- [1.1499999999999999,     1.56676E-2, 
-                          1.566759376891921E-2, 
-                         -6.2310807902310472E-9]
- [1.1599999999999999,     1.55037E-2, 
-                          1.5503655563849129E-2, 
-                         -4.4436150871754454E-8]
- [1.1699999999999999,     1.53414E-2, 
-                          1.5341437270586872E-2, 
-                          3.7270586871959721E-8]
- [1.1799999999999999,     1.5180900000000001E-2, 
-                          1.5180920792137275E-2, 
-                          2.079213727405882E-8]
- [1.1899999999999999,     1.50221E-2, 
-                          1.5022088222547223E-2, 
-                         -1.1777452776917663E-8]
- [1.2,                    1.48649E-2, 
-                          1.4864921844881475E-2, 
-                          2.1844881474900046E-8]
- [1.21,                   1.4709399999999999E-2, 
-                          1.4709404129220015E-2, 
-                          4.129220016260704E-9]
- [1.22,                   1.4555500000000001E-2, 
-                          1.4555517730676726E-2, 
-                          1.7730676725447037E-8]
- [1.23,                   1.44032E-2, 
-                          1.4403245487439129E-2, 
-                          4.5487439129590634E-8]
- [1.24,                   1.4252600000000001E-2, 
-                          1.4252570418828979E-2, 
-                         -2.9581171021378361E-8]
- [1.25,                   1.41035E-2, 
-                          1.4103475723383493E-2, 
-                         -2.427661650698798E-8]
- [1.26,                   1.39559E-2, 
-                          1.395594477695699E-2, 
-                          4.4776956989456274E-8]
- [1.27,                   1.3809999999999999E-2, 
-                          1.3809961130842716E-2, 
-                         -3.8869157283419331E-8]
- [1.28,                   1.3665500000000001E-2, 
-                          1.3665508509914652E-2, 
-                          8.5099146514278079E-9]
- [1.29,                   1.3522599999999999E-2, 
-                          1.3522570810789076E-2, 
-                         -2.9189210923319386E-8]
- [1.3,                    1.33811E-2, 
-                          1.338113210000569E-2, 
-                          3.2100005689997269E-8]
- [1.3100000000000001,     1.32412E-2, 
-                          1.3241176612228069E-2, 
-                         -2.3387771930921675E-8]
- [1.3200000000000001,     1.31027E-2, 
-                          1.3102688748463267E-2, 
-                         -1.125153673356416E-8]
- [1.3300000000000001,     1.29657E-2, 
-                          1.2965653074300341E-2, 
-                         -4.6925699659361442E-8]
- [1.3400000000000001,     1.2830100000000001E-2, 
-                          1.2830054318167606E-2, 
-                         -4.5681832394964261E-8]
- [1.3500000000000001,     1.26959E-2, 
-                          1.2695877369608423E-2, 
-                         -2.263039157630875E-8]
- [1.3600000000000001,     1.2563100000000001E-2, 
-                          1.2563107277575319E-2, 
-                          7.2775753184178837E-9]
- [1.3700000000000001,     1.24317E-2, 
-                          1.2431729248742227E-2, 
-                          2.9248742226817281E-8]
- [1.3799999999999999,     1.23017E-2, 
-                          1.2301728645834703E-2, 
-                          2.8645834702564765E-8]
- [1.3899999999999999,     1.2173099999999999E-2, 
-                          1.2173090985977835E-2, 
-                         -9.0140221641055174E-9]
- [1.3999999999999999,     1.2045800000000001E-2, 
-                          1.2045801939061785E-2, 
-                          1.9390617844033953E-9]
- [1.4099999999999999,     1.1919799999999999E-2, 
-                          1.1919847326124635E-2, 
-                          4.7326124635524436E-8]
- [1.4199999999999999,     1.17952E-2, 
-                          1.1795213117752473E-2, 
-                          1.3117752472799338E-8]
- [1.4299999999999999,     1.1671900000000001E-2, 
-                          1.1671885432496448E-2, 
-                         -1.4567503552401218E-8]
- [1.4399999999999999,     1.15499E-2, 
-                          1.1549850535306669E-2, 
-                         -4.9464693330919518E-8]
- [1.45,                   1.1429099999999999E-2, 
-                          1.1429094835982728E-2, 
-                         -5.1640172710892829E-9]
- [1.46,                   1.13096E-2, 
-                          1.1309604887640717E-2, 
-                          4.8876407175019176E-9]
- [1.47,                   1.1191400000000001E-2, 
-                          1.1191367385196493E-2, 
-                         -3.2614803507219348E-8]
- [1.48,                   1.10744E-2, 
-                          1.1074369163865097E-2, 
-                         -3.0836134902456624E-8]
- [1.49,                   1.0958600000000001E-2, 
-                          1.0958597197676098E-2, 
-                         -2.8023239024427271E-9]
- [1.5,                    1.0843999999999999E-2, 
-                          1.0844038598004712E-2, 
-                          3.8598004712536715E-8]
- [1.51,                   1.0730699999999999E-2, 
-                          1.0730680612118525E-2, 
-                         -1.9387881473875712E-8]
- [1.52,                   1.0618499999999999E-2, 
-                          1.0618510621739656E-2, 
-                          1.062173965622748E-8]
- [1.53,                   1.0507499999999999E-2, 
-                          1.05075161416222E-2, 
-                          1.6141622200330219E-8]
- [1.54,                   1.0397699999999999E-2, 
-                          1.0397684818144773E-2, 
-                         -1.5181855226101271E-8]
- [1.55,                   1.0289E-2, 
-                          1.0289004427918007E-2, 
-                          4.4279180079487279E-9]
- [1.5600000000000001,     1.01815E-2, 
-                          1.0181462876406836E-2, 
-                         -3.7123593163088109E-8]
- [1.5700000000000001,     1.0075000000000001E-2, 
-                          1.0075048196567427E-2, 
-                          4.8196567426286863E-8]
- [1.5800000000000001,     9.9696999999999997E-3, 
-                          9.9697485474985574E-3, 
-                          4.8547498557663382E-8]
- [1.5900000000000001,     9.8656000000000004E-3, 
-                          9.8655522131073474E-3, 
-                         -4.7786892653015056E-8]
- [1.6000000000000001,     9.7623999999999992E-3, 
-                          9.7624476007891394E-3, 
-                          4.7600789140206379E-8]
- [1.6100000000000001,     9.6603999999999995E-3, 
-                          9.660423240121405E-3, 
-                          2.3240121405435077E-8]
- [1.6200000000000001,     9.5595000000000003E-3, 
-                          9.5594677815715092E-3, 
-                         -3.2218428491076478E-8]
- [1.6299999999999999,     9.4596000000000003E-3, 
-                          9.4595699952182213E-3, 
-                         -3.0004781778961154E-8]
- [1.6399999999999999,     9.3606999999999996E-3, 
-                          9.3607187694867526E-3, 
-                          1.8769486753028586E-8]
- [1.6499999999999999,     9.2628999999999993E-3, 
-                          9.2629031098972782E-3, 
-                          3.1098972789328494E-9]
- [1.6599999999999999,     9.1660999999999999E-3, 
-                          9.1661121378267089E-3, 
-                          1.2137826709002209E-8]
- [1.6699999999999999,     9.0702999999999999E-3, 
-                          9.0703350892836175E-3, 
-                          3.5089283617617539E-8]
- [1.6799999999999999,     8.9756000000000002E-3, 
-                          8.9755613136961645E-3, 
-                         -3.8686303835758218E-8]
- [1.6899999999999999,     8.8818000000000005E-3, 
-                          8.8817802727129049E-3, 
-                         -1.9727287095538948E-8]
- [1.7,                    8.7889999999999999E-3, 
-                          8.7889815390163051E-3, 
-                         -1.8460983694859601E-8]
- [1.71,                   8.6972000000000004E-3, 
-                          8.6971547951488551E-3, 
-                         -4.5204851145327907E-8]
- [1.72,                   8.6063000000000008E-3, 
-                          8.6062898323516594E-3, 
-                         -1.0167648341330437E-8]
- [1.73,                   8.5164000000000004E-3, 
-                          8.5163765494153266E-3, 
-                         -2.345058467377592E-8]
- [1.74,                   8.4273999999999998E-3, 
-                          8.4274049515430643E-3, 
-                          4.9515430644575531E-9]
- [1.75,                   8.3394000000000003E-3, 
-                          8.3393651492258501E-3, 
-                         -3.4850774150232966E-8]
- [1.76,                   8.2521999999999995E-3, 
-                          8.2522473571295107E-3, 
-                          4.7357129511274576E-8]
- [1.77,                   8.1659999999999996E-3, 
-                          8.1660418929936432E-3, 
-                          4.1892993643544152E-8]
- [1.78,                   8.0806999999999997E-3, 
-                          8.0807391765421923E-3, 
-                          3.9176542192612129E-8]
- [1.79,                   7.9962999999999996E-3, 
-                          7.9963297284055979E-3, 
-                          2.9728405598339336E-8]
- [1.8,                    7.9127999999999993E-3, 
-                          7.9128041690543771E-3, 
-                          4.1690543777644917E-9]
- [1.8100000000000001,     7.8302000000000007E-3, 
-                          7.8301532177440097E-3, 
-                         -4.6782255990959754E-8]
- [1.8200000000000001,     7.7483999999999999E-3, 
-                          7.7483676914710427E-3, 
-                         -3.2308528957226967E-8]
- [1.8300000000000001,     7.6674000000000004E-3, 
-                          7.6674385039402267E-3, 
-                          3.8503940226301825E-8]
- [1.8400000000000001,     7.5874000000000002E-3, 
-                          7.5873566645426526E-3, 
-                         -4.3335457347581929E-8]
- [1.8500000000000001,     7.5081000000000002E-3, 
-                          7.50811327734469E-3, 
-                          1.327734468984515E-8]
- [1.8600000000000001,     7.4297E-3, 
-                          7.429699540087673E-3, 
-                         -4.5991232697217832E-10]
- [1.8700000000000001,     7.3521000000000003E-3, 
-                          7.3521067431981824E-3, 
-                          6.743198182126986E-9]
- [1.8799999999999999,     7.2753000000000002E-3, 
-                          7.2753262688088375E-3, 
-                          2.6268808837361102E-8]
- [1.8899999999999999,     7.1992999999999996E-3, 
-                          7.1993495897894446E-3, 
-                          4.9589789444942634E-8]
- [1.8999999999999999,     7.1241999999999998E-3, 
-                          7.1241682687884587E-3, 
-                         -3.1731211541131954E-8]
- [1.9099999999999999,     7.0498000000000002E-3, 
-                          7.049773957284575E-3, 
-                         -2.6042715425139695E-8]
- [1.9199999999999999,     6.9762000000000001E-3, 
-                          6.9761583946483935E-3, 
-                         -4.1605351606618934E-8]
- [1.9299999999999999,     6.9033000000000002E-3, 
-                          6.9033134072140311E-3, 
-                          1.3407214030820847E-8]
- [1.9399999999999999,     6.8311999999999999E-3, 
-                          6.8312309073605745E-3, 
-                          3.0907360574518317E-8]
- [1.95,                   6.7599000000000001E-3, 
-                          6.759902892603269E-3, 
-                          2.8926032688905701E-9]
- [1.96,                   6.6892999999999996E-3, 
-                          6.6893214446943419E-3, 
-                          2.1444694342336035E-8]
- [1.97,                   6.6195000000000004E-3, 
-                          6.6194787287333721E-3, 
-                         -2.1271266628306029E-8]
- [1.98,                   6.5503999999999996E-3, 
-                          6.5503669922870687E-3, 
-                         -3.3007712930965827E-8]
- [1.99,                   6.4819999999999999E-3, 
-                          6.4819785645183897E-3, 
-                         -2.1435481610196372E-8]
- [2.,                     6.4143000000000004E-3, 
-                          6.4143058553248998E-3, 
-                          5.8553248994189233E-9]
-\end{verbatim}
-
-)spool 
-)lisp (bye)
  
 \eject
 \begin{thebibliography}{99}
diff --git a/src/input/grpthry.input.pamphlet b/src/input/grpthry.input.pamphlet
index 5e1684e..9602723 100644
--- a/src/input/grpthry.input.pamphlet
+++ b/src/input/grpthry.input.pamphlet
@@ -16,6 +16,7 @@
 \end{chunk}
 \begin{chunk}{*}
 )set break resume
+)sys rm -f grpthry.output
 )spool grpthry.output
 )set message test on
 )set message auto off
@@ -1508,7 +1509,7 @@ meatAxe r28.2
 --R                                      Type: List(List(Matrix(PrimeField(2))))
 --E 19
 
---S 20 of 55 random generation, FAILURE OK.
+--S 20 of 55 random generation, failure ok.
 isAbsolutelyIrreducible? r28.2
 --R 
 --R   Random element in generated algebra does
@@ -1569,7 +1570,7 @@ ma := meatAxe r28.1
 --R                                      Type: List(List(Matrix(PrimeField(2))))
 --E 21
 
---S 22 of 55 random generation, FAILURE OK.
+--S 22 of 55 random generation, failure ok.
 isAbsolutelyIrreducible? ma.1
 --R 
 --R   Random element in generated algebra does
@@ -1588,7 +1589,7 @@ isAbsolutelyIrreducible? ma.1
 --R                                                                Type: Boolean
 --E 22
 
---S 23 of 55
+--S 23 of 55 random generation, failure ok
 isAbsolutelyIrreducible? ma.2
 --R 
 --R   Random element in generated algebra has
@@ -1802,7 +1803,7 @@ sp1 := meatAxe sp0.1
 --R                                      Type: List(List(Matrix(PrimeField(2))))
 --E 38
 
---S 39 of 55 random generation, FAILURE OK.
+--S 39 of 55 random generation, failure ok.
 isAbsolutelyIrreducible? sp1.2
 --R 
 --R   Random element in generated algebra has
@@ -1863,7 +1864,7 @@ d2211m2 := (d2211::(List Matrix PF 2)); sp2 := meatAxe d2211m2
 --R                                      Type: List(List(Matrix(PrimeField(2))))
 --E 41
 
---S 42 of 55 random generation, FAILURE OK.
+--S 42 of 55 random generation, failure ok.
 isAbsolutelyIrreducible? sp2.1
 --R 
 --R   Random element in generated algebra has
@@ -1878,7 +1879,7 @@ isAbsolutelyIrreducible? sp2.1
 --R                                                                Type: Boolean
 --E 42
 
---S 43 of 55 random generation, FAILURE OK.
+--S 43 of 55 random generation, failure ok.
 areEquivalent? (sp2.1, sp1.2)
 --R 
 --R   Random element in generated algebra does
@@ -2150,7 +2151,7 @@ sp3 := meatAxe (dA6d16 :: (List Matrix FF(2,2)))
 --R                                   Type: List(List(Matrix(FiniteField(2,2))))
 --E 46
 
---S 47 of 55 random generation, FAILURE OK.
+--S 47 of 55 random generation, failure ok.
 isAbsolutelyIrreducible? sp3.1
 --R 
 --R   Random element in generated algebra does
@@ -2179,7 +2180,7 @@ isAbsolutelyIrreducible? sp3.1
 --R                                                                Type: Boolean
 --E 47
 
---S 48 of 55 random generation, FAILURE OK.
+--S 48 of 55 random generation, failure ok.
 isAbsolutelyIrreducible? sp3.2
 --R 
 --R   Random element in generated algebra does
@@ -2200,7 +2201,7 @@ isAbsolutelyIrreducible? sp3.2
 --R                                                                Type: Boolean
 --E 48
 
---S 49 of 55 random generation, FAILURE OK.
+--S 49 of 55 random generation, failure ok.
 areEquivalent? (sp3.1,sp3.2)
 --R 
 --R   Random element in generated algebra does
diff --git a/src/input/guess.input.pamphlet b/src/input/guess.input.pamphlet
index 199a619..7a67beb 100644
--- a/src/input/guess.input.pamphlet
+++ b/src/input/guess.input.pamphlet
@@ -12,6 +12,7 @@
 \eject
 \begin{chunk}{*}
 )set break resume
+)sys rm -f guess.output
 )spool guess.output
 )set message auto off
 )clear all
@@ -20,7 +21,7 @@
 coeff:=FRAC(UP('k,Integer))
 --R 
 --R
---R   (1)  Fraction UnivariatePolynomial(k,Integer)
+--R   (1)  Fraction(UnivariatePolynomial(k,Integer))
 --R                                                                 Type: Domain
 --E 1
 
@@ -28,7 +29,7 @@ coeff:=FRAC(UP('k,Integer))
 Uts:=UnivariateTaylorSeries(coeff,'x,0)
 --R 
 --R
---R   (2)  UnivariateTaylorSeries(Fraction UnivariatePolynomial(k,Integer),x,0)
+--R   (2)  UnivariateTaylorSeries(Fraction(UnivariatePolynomial(k,Integer)),x,0)
 --R                                                                 Type: Domain
 --E 2
 
@@ -37,8 +38,8 @@ Ets:=EllipticFunctionsUnivariateTaylorSeries(coeff,Uts)
 --R 
 --R
 --R   (3)
---R  EllipticFunctionsUnivariateTaylorSeries(Fraction UnivariatePolynomial(k,Integ
---R  er),UnivariateTaylorSeries(Fraction UnivariatePolynomial(k,Integer),x,0))
+--R  EllipticFunctionsUnivariateTaylorSeries(Fraction(UnivariatePolynomial(k,Integ
+--R  er)),UnivariateTaylorSeries(Fraction(UnivariatePolynomial(k,Integer)),x,0))
 --R                                                                 Type: Domain
 --E 3
 
@@ -56,7 +57,7 @@ snk:=sn(x::Uts,k::coeff)$Ets
 --R     k  + 1228k  + 5478k  + 1228k  + 1  9      11
 --R     --------------------------------- x  + O(x  )
 --R                   362880
---R   Type: UnivariateTaylorSeries(Fraction UnivariatePolynomial(k,Integer),x,0)
+--R  Type: UnivariateTaylorSeries(Fraction(UnivariatePolynomial(k,Integer)),x,0)
 --E 4
 
 --S 5 of 102
@@ -142,172 +143,189 @@ ll:=entries(complete(first(coefficients(snk),25)))
 --R       25852016738884976640000
 --R     ,
 --R    0]
---R                          Type: List Fraction UnivariatePolynomial(k,Integer)
+--R                        Type: List(Fraction(UnivariatePolynomial(k,Integer)))
 --E 5
 
 --S 6 of 102
 r1:=guessADE(ll,maxDegree==0,safety==5)
 --R 
+--R 
+--R   >> Error detected within library code:
+--R   GuessOption: displayAsGF not set
+--R
+--R   Continuing to read the file...
 --R
---R   (6)
---R   [
---R     [
---R       function =
---R         BRACKET
---R              n
---R            [x ]f(x):
---R               ,,        2    3     2                          ,
---R              f  (x) - 2k f(x)  + (k  + 1)f(x)= 0,f(0)= 0(0)!,f (0)= 1(1)!
---R
---R       ,
---R      order= 0]
---R     ]
---R    Type: List Record(function: Expression Integer,order: NonNegativeInteger)
 --E 6
 
 )clear all
+ 
 
 --S 7 of 102
 t1:=[0,1,0,1,1,0,0,0,0,0,0,0,0,0,0]
 --R 
 --R
 --R   (1)  [0,1,0,1,1,0,0,0,0,0,0,0,0,0,0]
---R                                                Type: List NonNegativeInteger
+--R                                               Type: List(NonNegativeInteger)
 --E 7
 
 --S 8 of 102
 t2:=first guessADE first(t1,10)
 --R 
+--R 
+--R   >> Error detected within library code:
+--R   GuessOption: displayAsGF not set
+--R
+--R   Continuing to read the file...
 --R
---R                      n               4    3
---R   (2)  [function= [[x ]f(x): f(x) - x  - x  - x= 0],order= 0]
---R         Type: Record(function: Expression Integer,order: NonNegativeInteger)
 --E 8
 
 )clear all
+ 
 
 --S 9 of 102
 t1:=guessRat [0,1,4]
 --R 
+--R 
+--R   >> Error detected within library code:
+--R   GuessOption: displayAsGF not set
+--R
+--R   Continuing to read the file...
 --R
---R   (1)  []
---R    Type: List Record(function: Expression Integer,order: NonNegativeInteger)
 --E 9
 
 --S 10 of 102
 t2:=guessRat [0]
 --R 
+--R 
+--R   >> Error detected within library code:
+--R   GuessOption: displayAsGF not set
+--R
+--R   Continuing to read the file...
 --R
---R   (2)  []
---R    Type: List Record(function: Expression Integer,order: NonNegativeInteger)
 --E 10
 
 --S 11 of 102
 t3:=guessRat [1,1]
 --R 
+--R 
+--R   >> Error detected within library code:
+--R   GuessOption: displayAsGF not set
+--R
+--R   Continuing to read the file...
 --R
---R   (3)  [[function= 1,order= 0]]
---R    Type: List Record(function: Expression Integer,order: NonNegativeInteger)
 --E 11
 
 --S 12 of 102
 t4:=guessRat [0,0]
 --R 
+--R 
+--R   >> Error detected within library code:
+--R   GuessOption: displayAsGF not set
+--R
+--R   Continuing to read the file...
 --R
---R   (4)  [[function= 0,order= 0]]
---R    Type: List Record(function: Expression Integer,order: NonNegativeInteger)
 --E 12
 
 --S 13 of 102
 t5:=guessRat([0,1,2], allDegrees==false)$GUESSAN
 --R 
+--R 
+--R   >> Error detected within library code:
+--R   GuessOption: displayAsGF not set
+--R
+--R   Continuing to read the file...
 --R
---R   (5)  [[function= n,order= 0]]
---R    Type: List Record(function: Expression Integer,order: NonNegativeInteger)
 --E 13
 
 --S 14 of 102
 t6:=guessRat([1,2,3], allDegrees==false)
 --R 
+--R 
+--R   >> Error detected within library code:
+--R   GuessOption: displayAsGF not set
+--R
+--R   Continuing to read the file...
 --R
---R   (6)  [[function= n + 1,order= 0]]
---R    Type: List Record(function: Expression Integer,order: NonNegativeInteger)
 --E 14
 
 --S 15 of 102
 t7:=guessRat([1,1/2,1/3], allDegrees==false)$GUESSAN
 --R 
+--R 
+--R   >> Error detected within library code:
+--R   GuessOption: displayAsGF not set
+--R
+--R   Continuing to read the file...
 --R
---R                      1
---R   (7)  [[function= -----,order= 0]]
---R                    n + 1
---R    Type: List Record(function: Expression Integer,order: NonNegativeInteger)
 --E 15
 
 --S 16 of 102
 t8:=guessRat([0,1,4,9])$GUESSAN
 --R 
+--R 
+--R   >> Error detected within library code:
+--R   GuessOption: displayAsGF not set
+--R
+--R   Continuing to read the file...
 --R
---R                     2
---R   (8)  [[function= n ,order= 0]]
---R    Type: List Record(function: Expression Integer,order: NonNegativeInteger)
 --E 16
 
 --S 17 of 102
 t9:=guessRat([0,1/2,2/3,3/4], allDegrees==false)$GUESSAN
 --R 
+--R 
+--R   >> Error detected within library code:
+--R   GuessOption: displayAsGF not set
+--R
+--R   Continuing to read the file...
 --R
---R                      n
---R   (9)  [[function= -----,order= 0]]
---R                    n + 1
---R    Type: List Record(function: Expression Integer,order: NonNegativeInteger)
 --E 17
 
 --S 18 of 102
 t10:=guessRat([1/2,2/3,3/4,4/5], allDegrees==false)
 --R 
+--R 
+--R   >> Error detected within library code:
+--R   GuessOption: displayAsGF not set
+--R
+--R   Continuing to read the file...
 --R
---R                     n + 1
---R   (10)  [[function= -----,order= 0]]
---R                     n + 2
---R    Type: List Record(function: Expression Integer,order: NonNegativeInteger)
 --E 18
 
 --S 19 of 102
 t11:=guessRat([0,1,4,9,16], safety==2)
 --R 
+--R 
+--R   >> Error detected within library code:
+--R   GuessOption: displayAsGF not set
+--R
+--R   Continuing to read the file...
 --R
---R                      2
---R   (11)  [[function= n ,order= 0]]
---R    Type: List Record(function: Expression Integer,order: NonNegativeInteger)
 --E 19
 
 )clear all
+ 
 
 --S 20 of 102
 t1:=guessRat(q)([1,q,q^2], [])
 --R 
+--R 
+--R   >> Error detected within library code:
+--R   (1 . arbitrary) cannot be coerced to mode (NonNegativeInteger)
+--R
+--R   Continuing to read the file...
 --R
---R                     n
---R   (1)  [[function= q ,order= 0]]
---R    Type: List Record(function: Expression Integer,order: NonNegativeInteger)
 --E 20
 
 --S 21 of 102
 t2:=guessRat(q)([i^3*q^i + q^(2*i) for i in 0..6], maxMixedDegree==2)
 --R 
---R   There are no library operations named maxMixedDegree 
---R      Use HyperDoc Browse or issue
---R                           )what op maxMixedDegree
---R      to learn if there is any operation containing " maxMixedDegree " 
---R      in its name.
 --R 
---R   Cannot find a definition or applicable library operation named 
---R      maxMixedDegree with argument type(s) 
---R                               PositiveInteger
---R      
---R      Perhaps you should use "@" to indicate the required return type, 
---R      or "$" to specify which version of the function you need.
+--R   >> Error detected within library code:
+--R   (1 . arbitrary) cannot be coerced to mode (NonNegativeInteger)
+--R
+--R   Continuing to read the file...
+--R
 --E 21
 
 --S 22 of 102
@@ -323,20 +341,24 @@ t3:=guessRat([(i+1)*z for i in 0..5]::List POLY PF 5)
 --R 
 --R   Cannot find a definition or applicable library operation named 
 --R      guessRat with argument type(s) 
---R                        List Polynomial PrimeField 5
+--R                       List(Polynomial(PrimeField(5)))
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
 --E 22
 
 )clear all
+ 
 
 --S 23 of 102
 t1:=guessRat([1,0,1])$GUESSF(PF 2)
 --R 
+--R 
+--R   >> Error detected within library code:
+--R   GuessOption: displayAsGF not set
+--R
+--R   Continuing to read the file...
 --R
---R   (1)  [[function= - n - 1,order= 0]]
---R    Type: List Record(function: Expression Integer,order: NonNegativeInteger)
 --E 23
 
 --S 24 of 102
@@ -344,7 +366,7 @@ t2:=guessRat([1,0,1,0])$GUESSF(PF 2)
 --R 
 --R 
 --R   >> Error detected within library code:
---R   not invertible
+--R   GuessOption: displayAsGF not set
 --R
 --R   Continuing to read the file...
 --R
@@ -355,7 +377,7 @@ t3:=guessRat([1,0,1,1], one==false)$GUESSF(PF 2)
 --R 
 --R 
 --R   >> Error detected within library code:
---R   not invertible
+--R   GuessOption: displayAsGF not set
 --R
 --R   Continuing to read the file...
 --R
@@ -366,7 +388,7 @@ t4:=guessRat([binomial(2*n, n) for n in 0..6])$GUESSF(PF 3)
 --R 
 --R 
 --R   >> Error detected within library code:
---R   not invertible
+--R   GuessOption: displayAsGF not set
 --R
 --R   Continuing to read the file...
 --R
@@ -375,9 +397,12 @@ t4:=guessRat([binomial(2*n, n) for n in 0..6])$GUESSF(PF 3)
 --S 27 of 102
 t5:=guessRat([1,0,1,0,1,0,1])$GUESSF(PF 7)
 --R 
+--R 
+--R   >> Error detected within library code:
+--R   GuessOption: displayAsGF not set
+--R
+--R   Continuing to read the file...
 --R
---R   (2)  []
---R    Type: List Record(function: Expression Integer,order: NonNegativeInteger)
 --E 27
 
 --S 28 of 102
@@ -390,26 +415,28 @@ f := operator 'f;
 --S 29 of 102
 t6:=guessPade([1,1,1])
 --R 
+--R 
+--R   >> Error detected within library code:
+--R   GuessOption: displayAsGF not set
+--R
+--R   Continuing to read the file...
 --R
---R                       n
---R   (4)  [[function= [[x ]f(x): (x - 1)f(x) + 1= 0],order= 0]]
---R    Type: List Record(function: Expression Integer,order: NonNegativeInteger)
 --E 29
 
 --S 30 of 102
 t7:=getEq first t6
 --R 
---R   There are 1 exposed and 0 unexposed library operations named getEq 
+--R   There are 3 exposed and 3 unexposed library operations named first 
 --R      having 1 argument(s) but none was determined to be applicable. 
 --R      Use HyperDoc Browse, or issue
---R                              )display op getEq
+--R                              )display op first
 --R      to learn more about the available operations. Perhaps 
 --R      package-calling the operation or using coercions on the arguments
 --R      will allow you to apply the operation.
 --R 
---R   Cannot find a definition or applicable library operation named getEq
+--R   Cannot find a definition or applicable library operation named first
 --R      with argument type(s) 
---R       Record(function: Expression Integer,order: NonNegativeInteger)
+--R                                Variable(t6)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
@@ -418,40 +445,46 @@ t7:=getEq first t6
 --S 31 of 102
 t8:=guessPade([1,1,2,3], allDegrees==false)
 --R 
+--R 
+--R   >> Error detected within library code:
+--R   GuessOption: displayAsGF not set
+--R
+--R   Continuing to read the file...
 --R
---R   (5)  []
---R    Type: List Record(function: Expression Integer,order: NonNegativeInteger)
 --E 31
 
 --S 32 of 102
 t9:=guessPade([1,1,2,3], allDegrees==true)
 --R 
+--R 
+--R   >> Error detected within library code:
+--R   GuessOption: displayAsGF not set
+--R
+--R   Continuing to read the file...
 --R
---R                       n         2
---R   (6)  [[function= [[x ]f(x): (x  + x - 1)f(x) + 1= 0],order= 0]]
---R    Type: List Record(function: Expression Integer,order: NonNegativeInteger)
 --E 32
 
 --S 33 of 102
 t10:=getEq first t9
 --R 
---R   There are 1 exposed and 0 unexposed library operations named getEq 
+--R   There are 3 exposed and 3 unexposed library operations named first 
 --R      having 1 argument(s) but none was determined to be applicable. 
 --R      Use HyperDoc Browse, or issue
---R                              )display op getEq
+--R                              )display op first
 --R      to learn more about the available operations. Perhaps 
 --R      package-calling the operation or using coercions on the arguments
 --R      will allow you to apply the operation.
 --R 
---R   Cannot find a definition or applicable library operation named getEq
+--R   Cannot find a definition or applicable library operation named first
 --R      with argument type(s) 
---R       Record(function: Expression Integer,order: NonNegativeInteger)
+--R                                Variable(t9)
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
 --R      or "$" to specify which version of the function you need.
 --E 33
 
 )clear all
+ 
 
 --S 34 of 102
 g 0 == 0; 
@@ -482,17 +515,16 @@ guessPade([g i for i in 0..6])$GUESSAN
 --R 
 --R   Compiling function g with type Integer -> AlgebraicNumber 
 --R   Compiling function g as a recurrence relation.
+--R 
+--R   >> Error detected within library code:
+--R   GuessOption: displayAsGF not set
+--R
+--R   Continuing to read the file...
 --R
---R   (5)
---R   [
---R                   n          +-+    3     2             2 +-+    2
---R     [function= [[x ]f(x): (x\|2  + x  + 3x  - 1)f(x) - x \|2  + x  + x= 0],
---R      order= 0]
---R     ]
---R    Type: List Record(function: Expression Integer,order: NonNegativeInteger)
 --E 38
 
 )clear all
+ 
 
 --S 39 of 102
 g 0 == z; 
@@ -521,8 +553,8 @@ g n == sqrt 2*g(n-1)+3*g(n-2)+g(n-3);
 --S 43 of 102
 guessPade [g i for i in 0..6]
 --R 
---R   Compiling function g with type Integer -> Polynomial AlgebraicNumber
---R      
+--R   Compiling function g with type Integer -> Polynomial(AlgebraicNumber
+--R      ) 
 --R   Compiling function g as a recurrence relation.
 --R
 --R   (5)
@@ -550,106 +582,99 @@ guessPade [g i for i in 0..6]
 --E 43
 
 )clear all
+ 
 
 --S 44 of 102
 guessAlg([1/(2*n+1)*binomial(2*n+1, n) for n in 0..3], allDegrees==true)
 --R 
+--R 
+--R   >> Error detected within library code:
+--R   GuessOption: displayAsGF not set
+--R
+--R   Continuing to read the file...
 --R
---R   (1)
---R   [
---R     [
---R       function =
---R         BRACKET
---R              n
---R            [x ]f(x):
---R                      2                            ,            ,,
---R                x f(x)  - f(x) + 1= 0,f(0)= 1(0)!,f (0)= 1(1)!,f  (0)= 2(2)!
---R
---R             ,
---R                 ,,,
---R                f   (0)= 5(3)!
---R
---R       ,
---R      order= 0]
---R     ]
---R    Type: List Record(function: Expression Integer,order: NonNegativeInteger)
 --E 44
 
 )clear all
+ 
 
 --S 45 of 102
 guessAlg [1/(2*n+1)*binomial(2*n+1, n) for n in 0..5]
 --R 
+--R 
+--R   >> Error detected within library code:
+--R   GuessOption: displayAsGF not set
+--R
+--R   Continuing to read the file...
 --R
---R   (1)
---R   [
---R     [
---R       function =
---R         BRACKET
---R              n
---R            [x ]f(x):
---R                      2                            ,            ,,
---R                x f(x)  - f(x) + 1= 0,f(0)= 1(0)!,f (0)= 1(1)!,f  (0)= 2(2)!
---R
---R             ,
---R                 ,,,            (iv)
---R                f   (0)= 5(3)!,f    (0)= 14(4)!
---R
---R       ,
---R      order= 0]
---R     ]
---R    Type: List Record(function: Expression Integer,order: NonNegativeInteger)
 --E 45
 
 )clear all
+ 
 
 --S 46 of 102
 guessPRec([1,2,6,20,70])
 --R 
+--R 
+--R   >> Error detected within library code:
+--R   (1 . arbitrary) cannot be coerced to mode (NonNegativeInteger)
+--R
+--R   Continuing to read the file...
 --R
---R   (1)  []
---R    Type: List Record(function: Expression Integer,order: NonNegativeInteger)
 --E 46
 
 )clear all
+ 
 
 --S 47 of 102
 guessPRec([1,2,6,20], homogeneous==true, allDegrees==true)
 --R 
+--R 
+--R   >> Error detected within library code:
+--R   (1 . arbitrary) cannot be coerced to mode (NonNegativeInteger)
+--R
+--R   Continuing to read the file...
 --R
---R   (1)  []
---R    Type: List Record(function: Expression Integer,order: NonNegativeInteger)
 --E 47
 
 --S 48 of 102
 guessPRec([1,2,6,20,70], homogeneous==true)
 --R 
+--R 
+--R   >> Error detected within library code:
+--R   (1 . arbitrary) cannot be coerced to mode (NonNegativeInteger)
+--R
+--R   Continuing to read the file...
 --R
---R   (2)
---R   [[function= [f(n): (n + 1)f(n + 1) + (- 4n - 2)f(n)= 0,f(0)= 1],order= 0]]
---R    Type: List Record(function: Expression Integer,order: NonNegativeInteger)
 --E 48
 
 --S 49 of 102
 guessPRec([1,2,6,20,70], allDegrees==true)
 --R 
+--R 
+--R   >> Error detected within library code:
+--R   (1 . arbitrary) cannot be coerced to mode (NonNegativeInteger)
+--R
+--R   Continuing to read the file...
 --R
---R   (3)
---R   [[function= [f(n): (n + 1)f(n + 1) + (- 4n - 2)f(n)= 0,f(0)= 1],order= 0]]
---R    Type: List Record(function: Expression Integer,order: NonNegativeInteger)
 --E 49
 
 )clear all
+ 
 
 --S 50 of 102
 guessPRec [0,0,0,1,2,3,4,5]
 --R 
+--R 
+--R   >> Error detected within library code:
+--R   (1 . arbitrary) cannot be coerced to mode (NonNegativeInteger)
+--R
+--R   Continuing to read the file...
 --R
---R   (1)  [[function= n - 2,order= 2]]
---R    Type: List Record(function: Expression Integer,order: NonNegativeInteger)
 --E 50
 
 )clear all
+ 
 
 --S 51 of 102
 r: INT -> POLY INT
@@ -679,25 +704,22 @@ r(n)==q^(n-1)*r(n-1)+(n-2)*r(n-2)
 guessPRec(q)([r m for m in 0..7], maxMixedDegree==1, maxDegree==1, _
              homogeneous==true)
 --R 
---R   Compiling function r with type Integer -> Polynomial Integer 
+--R   Compiling function r with type Integer -> Polynomial(Integer) 
 --R   Compiling function r as a recurrence relation.
---R   There are no library operations named maxMixedDegree 
---R      Use HyperDoc Browse or issue
---R                           )what op maxMixedDegree
---R      to learn if there is any operation containing " maxMixedDegree " 
---R      in its name.
 --R 
---R   Cannot find a definition or applicable library operation named 
---R      maxMixedDegree with argument type(s) 
---R                               PositiveInteger
---R      
---R      Perhaps you should use "@" to indicate the required return type, 
---R      or "$" to specify which version of the function you need.
+--R   >> Error detected within library code:
+--R   (1 . arbitrary) cannot be coerced to mode (NonNegativeInteger)
+--R
+--R   Continuing to read the file...
+--R
 --E 55
 
 )clear all
+ 
 
 )set function cache all r
+ 
+   In general, interpreter functions will cache all values.
 
 --S 56 of 102
 r: INT -> POLY INT
@@ -744,64 +766,67 @@ r n == reduce(+, [r(n-i)::POLY INT for i in 1..4])
 --S 63 of 102
 guessPRec [r i for i in 0..11]
 --R 
---R   Compiling function r with type Integer -> Polynomial Integer 
---R   r will cache all previously computed values.
---R
---R   (8)
---R   [
---R     [
---R       function =
---R         BRACKET
---R            f(n):
---R                f(n + 5) - f(n + 4) - f(n + 3) - f(n + 2) - f(n + 1)= 0
---R             ,
---R                f(0)= a00,f(1)= a01,f(2)= a02,f(3)= a03
---R       ,
---R      order= 0]
---R     ]
---R    Type: List Record(function: Expression Integer,order: NonNegativeInteger)
+--R   Compiling function r with type Integer -> Polynomial(Integer) 
+--R 
+--R   >> Error detected within library code:
+--R   (1 . arbitrary) cannot be coerced to mode (NonNegativeInteger)
+--R
+--R   Continuing to read the file...
+--R
 --E 63
 
 )clear all
+ 
 
 --S 64 of 102
 guessPRec([1,0,0,0,0,0,0,0], homogeneous==true)
 --R 
+--R 
+--R   >> Error detected within library code:
+--R   (1 . arbitrary) cannot be coerced to mode (NonNegativeInteger)
+--R
+--R   Continuing to read the file...
 --R
---R   (1)  []
---R    Type: List Record(function: Expression Integer,order: NonNegativeInteger)
 --E 64
 
 --S 65 of 102
 guessPRec([0,1,0,0,0,0,0,0], homogeneous==true)
 --R 
+--R 
+--R   >> Error detected within library code:
+--R   (1 . arbitrary) cannot be coerced to mode (NonNegativeInteger)
+--R
+--R   Continuing to read the file...
 --R
---R   (2)  []
---R    Type: List Record(function: Expression Integer,order: NonNegativeInteger)
 --E 65
 
 --S 66 of 102
 guessPRec([0,0,1,0,0,0,0,0], homogeneous==true)
 --R 
+--R 
+--R   >> Error detected within library code:
+--R   (1 . arbitrary) cannot be coerced to mode (NonNegativeInteger)
+--R
+--R   Continuing to read the file...
 --R
---R   (3)  []
---R    Type: List Record(function: Expression Integer,order: NonNegativeInteger)
 --E 66
 
 )clear all
+ 
 
 --S 67 of 102
 guessADE([n^n/factorial n for n in 0..6], allDegrees==true)
 --R 
+--R 
+--R   >> Error detected within library code:
+--R   GuessOption: displayAsGF not set
 --R
---R   (1)
---R                  n         ,          3       2
---R   [[function= [[x ]f(x): xf (x) - f(x)  + f(x) = 0,f(0)= 1(0)!],order= 0]]
+--R   Continuing to read the file...
 --R
---R    Type: List Record(function: Expression Integer,order: NonNegativeInteger)
 --E 67
 
 )clear all
+ 
 
 --S 68 of 102
 t1 := [1, 1, q+1, q^3+q^2+2*q+1, q^6+q^5+2*q^4+3*q^3+3*q^2+3*q+1, _
@@ -813,19 +838,22 @@ t1 := [1, 1, q+1, q^3+q^2+2*q+1, q^6+q^5+2*q^4+3*q^3+3*q^2+3*q+1, _
 --R   [1, 1, q + 1, q  + q  + 2q + 1, q  + q  + 2q  + 3q  + 3q  + 3q + 1,
 --R     10    9     8     7     6     5     4     3     2
 --R    q   + q  + 2q  + 3q  + 5q  + 5q  + 7q  + 7q  + 6q  + 4q + 1]
---R                                                Type: List Polynomial Integer
+--R                                              Type: List(Polynomial(Integer))
 --E 68
 
 --S 69 of 102
 guessADE(q)(t1, maxPower==2, allDegrees==true)
 --R 
+--R 
+--R   >> Error detected within library code:
+--R   GuessOption: displayAsGF not set
+--R
+--R   Continuing to read the file...
 --R
---R                       n
---R   (2)  [[function= [[x ]f(x): x f(x)f(q x) - f(x) + 1= 0],order= 0]]
---R    Type: List Record(function: Expression Integer,order: NonNegativeInteger)
 --E 69
 
 )clear all
+ 
 
 --S 70 of 102
 guessADE(q)(first(t1, 4), maxPower==2, allDegrees==true)
@@ -840,7 +868,7 @@ guessADE(q)(first(t1, 4), maxPower==2, allDegrees==true)
 --R 
 --R   Cannot find a definition or applicable library operation named first
 --R      with argument type(s) 
---R                                 Variable t1
+--R                                Variable(t1)
 --R                               PositiveInteger
 --R      
 --R      Perhaps you should use "@" to indicate the required return type, 
@@ -848,6 +876,7 @@ guessADE(q)(first(t1, 4), maxPower==2, allDegrees==true)
 --E 70
 
 )clear all
+ 
 
 --S 71 of 102
 s: INT -> INT
@@ -890,51 +919,41 @@ guessRec([s m for m in 0..18], maxPower==2)
 --R 
 --R   Compiling function s with type Integer -> Integer 
 --R   Compiling function s as a recurrence relation.
+--R 
+--R   >> Error detected within library code:
+--R   (1 . arbitrary) cannot be coerced to mode (NonNegativeInteger)
+--R
+--R   Continuing to read the file...
 --R
---R   (7)
---R   [
---R     [
---R       function =
---R         BRACKET
---R            f(n):
---R                                                          2
---R                f(n)f(n + 4) - f(n + 1)f(n + 3) - f(n + 2) = 0,f(0)= 1,f(1)= 1
---R             ,
---R                f(2)= 1,f(3)= 1
---R       ,
---R      order= 0]
---R     ]
---R    Type: List Record(function: Expression Integer,order: NonNegativeInteger)
 --E 77
 
 --S 78 of 102
 guessRec([s m for m in 0..12], maxPower==2, homogeneous==true)
 --R 
+--R 
+--R   >> Error detected within library code:
+--R   (1 . arbitrary) cannot be coerced to mode (NonNegativeInteger)
+--R
+--R   Continuing to read the file...
 --R
---R   (8)  []
---R    Type: List Record(function: Expression Integer,order: NonNegativeInteger)
 --E 78
 
 --S 79 of 102
 guessRec([s m for m in 0..6], Somos==4, homogeneous==2)
 --R 
---R   There are no library operations named Somos 
---R      Use HyperDoc Browse or issue
---R                               )what op Somos
---R      to learn if there is any operation containing " Somos " in its 
---R      name.
 --R 
---R   Cannot find a definition or applicable library operation named Somos
---R      with argument type(s) 
---R                               PositiveInteger
---R      
---R      Perhaps you should use "@" to indicate the required return type, 
---R      or "$" to specify which version of the function you need.
+--R   >> Error detected within library code:
+--R   (1 . arbitrary) cannot be coerced to mode (NonNegativeInteger)
+--R
+--R   Continuing to read the file...
+--R
 --E 79
 
 )clear all
+ 
 
 )clear values s
+ 
 
 --S 80 of 102
 s n == reduce(*,[reduce(*,[factorial i for i in 0..j-1],1) for j in 0..n-1],1)
@@ -946,97 +965,53 @@ s n == reduce(*,[reduce(*,[factorial i for i in 0..j-1],1) for j in 0..n-1],1)
 guess [s l for l in 0..6]
 --R 
 --R   Compiling function s with type NonNegativeInteger -> Integer 
---R   s will cache all previously computed values.
---R
---R   (2)
---R   [
---R     [
---R       function =
---R         PI2
---R            p = 0
---R             7
---R        ,
---R            n - 1
---R        ,
---R            PI2
---R               p = 0
---R                6
---R           ,
---R               p  - 1
---R                7
---R           ,
---R               BRACKET
---R                    p
---R                     6
---R                  [x  ]f(x):
---R                           2            2                          ,
---R                      3f(x)  - 8f(x) + x  + 2x + 5= 0,f(0)= 1(0)!,f (0)= 1(1)!
---R
---R                   ,
---R                       ,,            ,,,            (iv)
---R                      f  (0)= 2(2)!,f   (0)= 6(3)!,f    (0)= 24(4)!
---R
---R       ,
---R      order= 0]
---R     ]
---R    Type: List Record(function: Expression Integer,order: NonNegativeInteger)
+--R 
+--R   >> Error detected within library code:
+--R   GuessOption: displayAsGF not set
+--R
+--R   Continuing to read the file...
+--R
 --E 81
 
 --S 82 of 102
 guessRec([s l for l in 0..8], Somos==6, homogeneous==4)
 --R 
---R   There are no library operations named Somos 
---R      Use HyperDoc Browse or issue
---R                               )what op Somos
---R      to learn if there is any operation containing " Somos " in its 
---R      name.
 --R 
---R   Cannot find a definition or applicable library operation named Somos
---R      with argument type(s) 
---R                               PositiveInteger
---R      
---R      Perhaps you should use "@" to indicate the required return type, 
---R      or "$" to specify which version of the function you need.
+--R   >> Error detected within library code:
+--R   (1 . arbitrary) cannot be coerced to mode (NonNegativeInteger)
+--R
+--R   Continuing to read the file...
+--R
 --E 82
 
 --S 83 of 102
 guessRec([s l for l in 0..8], Somos==true, homogeneous==4, maxShift==3)
 --R 
---R   There are no library operations named Somos 
---R      Use HyperDoc Browse or issue
---R                               )what op Somos
---R      to learn if there is any operation containing " Somos " in its 
---R      name.
 --R 
---R   Cannot find a definition or applicable library operation named Somos
---R      with argument type(s) 
---R                                   Boolean
---R      
---R      Perhaps you should use "@" to indicate the required return type, 
---R      or "$" to specify which version of the function you need.
+--R   >> Error detected within library code:
+--R   (1 . arbitrary) cannot be coerced to mode (PositiveInteger)
+--R
+--R   Continuing to read the file...
+--R
 --E 83
 
 --S 84 of 102
 guessRec([s l for l in 0..8], Somos==true, homogeneous==true, _
          maxPower==4, maxShift==3)
 --R 
---R   There are no library operations named Somos 
---R      Use HyperDoc Browse or issue
---R                               )what op Somos
---R      to learn if there is any operation containing " Somos " in its 
---R      name.
 --R 
---R   Cannot find a definition or applicable library operation named Somos
---R      with argument type(s) 
---R                                   Boolean
---R      
---R      Perhaps you should use "@" to indicate the required return type, 
---R      or "$" to specify which version of the function you need.
+--R   >> Error detected within library code:
+--R   GuessOption: displayAsGF not set
+--R
+--R   Continuing to read the file...
+--R
 --E 84
 
 )clear all
+ 
 
 )clear values s
+ 
 
 --S 85 of 102
 s 0 == 1
@@ -1061,93 +1036,51 @@ guessRec([s l for l in 0..5], Somos==true, maxShift==2, maxPower==3)
 --R 
 --R   Compiling function s with type Integer -> PositiveInteger 
 --R   Compiling function s as a recurrence relation.
---R   There are no library operations named Somos 
---R      Use HyperDoc Browse or issue
---R                               )what op Somos
---R      to learn if there is any operation containing " Somos " in its 
---R      name.
 --R 
---R   Cannot find a definition or applicable library operation named Somos
---R      with argument type(s) 
---R                                   Boolean
---R      
---R      Perhaps you should use "@" to indicate the required return type, 
---R      or "$" to specify which version of the function you need.
+--R   >> Error detected within library code:
+--R   GuessOption: displayAsGF not set
+--R
+--R   Continuing to read the file...
+--R
 --E 88
 
 --S 89 of 102
 guessRec([0, 1, 0, 0, 0, 2, 0, 7, 0, 0, 0, 15, 0, 0, 0], one==false)
 --R 
+--R 
+--R   >> Error detected within library code:
+--R   (1 . arbitrary) cannot be coerced to mode (NonNegativeInteger)
 --R
---R   (4)
---R   [
---R     [
---R       function =
---R         BRACKET
---R            f(n):
---R                                      4          3          2
---R                65f(n)f(n + 2) - 7f(n)  + 161f(n)  - 889f(n)  + 735f(n)= 0
---R             ,
---R                f(0)= 0,f(1)= 1
---R       ,
---R      order= 0]
---R     ,
---R
---R                             4                      2
---R     [function= [f(n): 20f(n)  + (- 941n + 5741)f(n)  + (647n - 5467)f(n)= 0],
---R      order= 0]
---R     ,
---R
---R     [
---R       function =
---R         BRACKET
---R            f(n):
---R                      2                                3           2
---R                  (79n  - 948n + 2133)f(n + 2) + 28f(n)  - 1008f(n)
---R                + 
---R                  (784n + 196)f(n)
---R                  =
---R                  0
---R             ,
---R                f(0)= 0,f(1)= 1
---R       ,
---R      order= 0]
---R     ,
+--R   Continuing to read the file...
 --R
---R                             3                    2
---R     [function= [f(n): 40f(n)  + (- 79n + 219)f(n)  + (93n - 273)f(n)= 0],
---R      order= 0]
---R     ,
---R                                    2         2
---R    [function= [f(n): (11n - 31)f(n)  + (- 20n  + 103n - 63)f(n)= 0],order= 0],
---R                             2       3       2
---R    [function= [f(n): 240f(n)  + (11n  - 233n  + 997n - 1015)f(n)= 0],order= 0]]
---R    Type: List Record(function: Expression Integer,order: NonNegativeInteger)
 --E 89
 
 )clear all
+ 
 
 --S 90 of 102
 guessExpRat([0,3,32,375,5184])
 --R 
+--R 
+--R   >> Error detected within library code:
+--R   (1 . arbitrary) cannot be coerced to mode (NonNegativeInteger)
+--R
+--R   Continuing to read the file...
 --R
---R                             n
---R   (1)  [[function= n (n + 2) ,order= 0]]
---R    Type: List Record(function: Expression Integer,order: NonNegativeInteger)
 --E 90
 
 )clear all
+ 
 
 --S 91 of 102
 guessBinRat([1,1,k+1,(3*k*k+5*k+2)/2,(8*k^3+18*k*k+13*k+3)/3])
 --R 
+--R 
+--R   >> Error detected within library code:
+--R   (1 . arbitrary) cannot be coerced to mode (NonNegativeInteger)
+--R
+--R   Continuing to read the file...
 --R
---R                     (k + 1)n                        (k + 1)n + 1
---R                    (        )                      (            )
---R                        n                                 n
---R   (1)  [[function= ----------,order= 0],[function= --------------,order= 0]]
---R                      k n + 1                        (k + 1)n + 1
---R    Type: List Record(function: Expression Integer,order: NonNegativeInteger)
 --E 91
 
 --S 92 of 102
@@ -1155,190 +1088,133 @@ guessBinRat([binomial(3+7*k, k)/(k+3) for k in 0..6]::List PF 3001)
 --R 
 --R 
 --R   >> Error detected within library code:
---R   (1 . failed) cannot be coerced to mode (Integer)
+--R   (1 . arbitrary) cannot be coerced to mode (NonNegativeInteger)
 --R
 --R   Continuing to read the file...
 --R
 --E 92
 
 )clear all
+ 
 
 --S 93 of 102
 guess([1,1,2,7,42,429,7436,218348], [guessRat], [guessProduct])
 --R 
+--R 
+--R   >> Error detected within library code:
+--R   GuessOption: displayAsGF not set
+--R
+--R   Continuing to read the file...
 --R
---R                           p  - 1      2
---R                    n - 1   8      27p   + 54p  + 24
---R                    ++-++  ++-++      7       7
---R   (1)  [[function=  | |    | |    -----------------,order= 0]]
---R                     | |    | |        2
---R                    p = 0  p = 0   16p   + 32p  + 12
---R                     8      7         7       7
---R    Type: List Record(function: Expression Integer,order: NonNegativeInteger)
 --E 93
 
 --S 94 of 102
 guess([0,1,3,9,33], [guessRat], [guessSum, guessProduct])
 --R 
+--R 
+--R   >> Error detected within library code:
+--R   GuessOption: displayAsGF not set
+--R
+--R   Continuing to read the file...
 --R
---R                           s  - 1
---R                    n - 1   5
---R                     --+   ++-++
---R   (2)  [[function=  >      | |    p  + 2,order= 0]]
---R                     --+    | |     4
---R                    s = 0  p = 0
---R                     5      4
---R    Type: List Record(function: Expression Integer,order: NonNegativeInteger)
 --E 94
 
 --S 95 of 102
 guess([product(1+factorial k, k=0..n-1) for n in 0..6], _
       [guessPRec], [guessProduct])
 --R 
+--R 
+--R   >> Error detected within library code:
+--R   (1 . arbitrary) cannot be coerced to mode (NonNegativeInteger)
+--R
+--R   Continuing to read the file...
 --R
---R   (3)
---R   [
---R                n - 1
---R                ++-++
---R     [function=  | |   [f(p ): f(p  + 1) + (- p  - 1)f(p ) + p = 0,f(0)= 2],
---R                 | |       7      7            7        7     7
---R                p = 0
---R                 7
---R      order= 0]
---R     ]
---R    Type: List Record(function: Expression Integer,order: NonNegativeInteger)
 --E 95
 
 --S 96 of 102
 guessPRec([1,2,3,4,5], Somos==3)
 --R 
---R   There are no library operations named Somos 
---R      Use HyperDoc Browse or issue
---R                               )what op Somos
---R      to learn if there is any operation containing " Somos " in its 
---R      name.
 --R 
---R   Cannot find a definition or applicable library operation named Somos
---R      with argument type(s) 
---R                               PositiveInteger
---R      
---R      Perhaps you should use "@" to indicate the required return type, 
---R      or "$" to specify which version of the function you need.
+--R   >> Error detected within library code:
+--R   (1 . arbitrary) cannot be coerced to mode (NonNegativeInteger)
+--R
+--R   Continuing to read the file...
+--R
 --E 96
 
 --S 97 of 102
 guessPRec([1,2,3,4,5], Somos==true)
 --R 
---R   There are no library operations named Somos 
---R      Use HyperDoc Browse or issue
---R                               )what op Somos
---R      to learn if there is any operation containing " Somos " in its 
---R      name.
 --R 
---R   Cannot find a definition or applicable library operation named Somos
---R      with argument type(s) 
---R                                   Boolean
---R      
---R      Perhaps you should use "@" to indicate the required return type, 
---R      or "$" to specify which version of the function you need.
+--R   >> Error detected within library code:
+--R   (1 . arbitrary) cannot be coerced to mode (NonNegativeInteger)
+--R
+--R   Continuing to read the file...
+--R
 --E 97
 
 --S 98 of 102
 guessRec([1,2,3,4], Somos==true, maxShift==4, homogeneous==1)
 --R 
---R   There are no library operations named Somos 
---R      Use HyperDoc Browse or issue
---R                               )what op Somos
---R      to learn if there is any operation containing " Somos " in its 
---R      name.
 --R 
---R   Cannot find a definition or applicable library operation named Somos
---R      with argument type(s) 
---R                                   Boolean
---R      
---R      Perhaps you should use "@" to indicate the required return type, 
---R      or "$" to specify which version of the function you need.
+--R   >> Error detected within library code:
+--R   (1 . arbitrary) cannot be coerced to mode (PositiveInteger)
+--R
+--R   Continuing to read the file...
+--R
 --E 98
 
 --S 99 of 102
 guessRec([1,2,3,4], Somos==5, maxShift==4, homogeneous==1)
 --R 
---R   There are no library operations named Somos 
---R      Use HyperDoc Browse or issue
---R                               )what op Somos
---R      to learn if there is any operation containing " Somos " in its 
---R      name.
 --R 
---R   Cannot find a definition or applicable library operation named Somos
---R      with argument type(s) 
---R                               PositiveInteger
---R      
---R      Perhaps you should use "@" to indicate the required return type, 
---R      or "$" to specify which version of the function you need.
+--R   >> Error detected within library code:
+--R   (1 . arbitrary) cannot be coerced to mode (PositiveInteger)
+--R
+--R   Continuing to read the file...
+--R
 --E 99
 
 )clear all
+ 
 
 --S 100 of 102
 guessADE(append([n/1 for n in 0..6],[1]),homogeneous==4,maxDegree==2)
 --R 
---R   There are 2 exposed and 0 unexposed library operations named 
---R      homogeneous having 1 argument(s) but none was determined to be 
---R      applicable. Use HyperDoc Browse, or issue
---R                           )display op homogeneous
---R      to learn more about the available operations. Perhaps 
---R      package-calling the operation or using coercions on the arguments
---R      will allow you to apply the operation.
 --R 
---R   Cannot find a definition or applicable library operation named 
---R      homogeneous with argument type(s) 
---R                               PositiveInteger
---R      
---R      Perhaps you should use "@" to indicate the required return type, 
---R      or "$" to specify which version of the function you need.
+--R   >> Error detected within library code:
+--R   GuessOption: displayAsGF not set
+--R
+--R   Continuing to read the file...
+--R
 --E 100
 
 --S 101 of 102
 guessADE(append([n/1 for n in 0..6],[1]),homogeneous==4,maxDegree==2,_
          checkExtraValues==false)
 --R 
---R   There are 2 exposed and 0 unexposed library operations named 
---R      homogeneous having 1 argument(s) but none was determined to be 
---R      applicable. Use HyperDoc Browse, or issue
---R                           )display op homogeneous
---R      to learn more about the available operations. Perhaps 
---R      package-calling the operation or using coercions on the arguments
---R      will allow you to apply the operation.
 --R 
---R   Cannot find a definition or applicable library operation named 
---R      homogeneous with argument type(s) 
---R                               PositiveInteger
---R      
---R      Perhaps you should use "@" to indicate the required return type, 
---R      or "$" to specify which version of the function you need.
+--R   >> Error detected within library code:
+--R   GuessOption: displayAsGF not set
+--R
+--R   Continuing to read the file...
+--R
 --E 101
 
 --S 102 of 102
 guessADE(append([n/1 for n in 0..6],[1]),homogeneous==4,maxDegree==2, _
          check=='MonteCarlo)
 --R 
---R   There are 2 exposed and 0 unexposed library operations named 
---R      homogeneous having 1 argument(s) but none was determined to be 
---R      applicable. Use HyperDoc Browse, or issue
---R                           )display op homogeneous
---R      to learn more about the available operations. Perhaps 
---R      package-calling the operation or using coercions on the arguments
---R      will allow you to apply the operation.
 --R 
---R   Cannot find a definition or applicable library operation named 
---R      homogeneous with argument type(s) 
---R                               PositiveInteger
---R      
---R      Perhaps you should use "@" to indicate the required return type, 
---R      or "$" to specify which version of the function you need.
+--R   >> Error detected within library code:
+--R   GuessOption: displayAsGF not set
+--R
+--R   Continuing to read the file...
+--R
 --E 102
 
 )spool
+ 
 )lisp (bye)
  
 \end{chunk}
diff --git a/src/input/i2e.input.pamphlet b/src/input/i2e.input.pamphlet
index 1744446..7d28d68 100644
--- a/src/input/i2e.input.pamphlet
+++ b/src/input/i2e.input.pamphlet
@@ -16,6 +16,7 @@ This is a path to convert an Expression(Integer) to InputForm and back.
 \eject
 \begin{chunk}{*}
 )set break resume
+)sys rm -f i2e.output
 )spool i2e.output
 )set message test on
 )set message auto off
@@ -32,28 +33,28 @@ ex:=sin(cos(x+2)+3)+exp(x+2)+sqrt(x)
 --S 2 of 6
 exi:=ex::InputForm
 --R
---R   (2)  (+ (sin (+ (cos (+ x 2)) 3)) (+ (^ x (/ 1 2)) (exp (+ x 2))))
+--R   (2)  (+ (sin (+ (cos (+ x 2)) 3)) (+ (** x (/ 1 2)) (exp (+ x 2))))
 --R                                                              Type: InputForm
 --E 2
 
 --S 3 of 6
 d1:=destruct exi
 --R
---R   (3)  [+,(sin (+ (cos (+ x 2)) 3)),(+ (^ x (/ 1 2)) (exp (+ x 2)))]
+--R   (3)  [+,(sin (+ (cos (+ x 2)) 3)),(+ (** x (/ 1 2)) (exp (+ x 2)))]
 --R                                                        Type: List(InputForm)
 --E 3
 
 --S 4 of 6
 l2:=[first d1, first rest d1, first rest destruct first rest rest d1]
 --R
---R   (4)  [+,(sin (+ (cos (+ x 2)) 3)),(^ x (/ 1 2))]
+--R   (4)  [+,(sin (+ (cos (+ x 2)) 3)),(** x (/ 1 2))]
 --R                                                        Type: List(InputForm)
 --E 4
 
 --S 5 of 6
 inf:=convert l2
 --R
---R   (5)  (+ (sin (+ (cos (+ x 2)) 3)) (^ x (/ 1 2)))
+--R   (5)  (+ (sin (+ (cos (+ x 2)) 3)) (** x (/ 1 2)))
 --R                                                              Type: InputForm
 --E 5
 
diff --git a/src/input/liska.input.pamphlet b/src/input/liska.input.pamphlet
index 0b49b4d..f6bb9fe 100644
--- a/src/input/liska.input.pamphlet
+++ b/src/input/liska.input.pamphlet
@@ -1102,7 +1102,7 @@ intRules:=rule
 --S 86 of 94
 intRules int(a^2*b+a^b+3*a-5,a)
 --R 
---R   There are 9 exposed and 0 unexposed library operations named elt 
+--R   There are 10 exposed and 0 unexposed library operations named elt 
 --R      having 3 argument(s) but none was determined to be applicable. 
 --R      Use HyperDoc Browse, or issue
 --R                               )display op elt
diff --git a/src/input/numericgamma.input.pamphlet b/src/input/numericgamma.input.pamphlet
index 237e41d..9b487c6 100644
--- a/src/input/numericgamma.input.pamphlet
+++ b/src/input/numericgamma.input.pamphlet
@@ -30,7 +30,7 @@ Gam(a:Float,x:Float):Float ==
   FPMIN ==> 1.0e-1000  -- near the smallest representable number
                        -- (there is no smallest representable float)
 
-  EPS := (10.0^(-digits()$Float+1))$Float  -- Relative accuracy
+  EPS := (10.0**(-digits()$Float+1))$Float  -- Relative accuracy
 
   an: Float
   del: Float
@@ -53,7 +53,7 @@ Gam(a:Float,x:Float):Float ==
     if i > ITMAX or abs(del-1.0) < EPS then break
     i:=i+1
   if i > ITMAX then error("a too large, ITMAX too small")
-  exp(-x)*x^a*h        -- put factors in front
+  exp(-x)*x**a*h        -- put factors in front
 --R 
 --R   Function declaration Gam : (Float,Float) -> Float has been added to 
 --R      workspace.
@@ -229,7 +229,7 @@ SpecialFunctionExtended: Exports == Implementation where
     NGamma(a:DoubleFloat,x:DoubleFloat):DoubleFloat ==
       if x < 0 or a < 0 then error "Invalid arguments"
       if x = 0 then return Gamma(a)
-      EPS := (10.0::DoubleFloat^(-digits()$DoubleFloat))$DoubleFloat
+      EPS := (10.0::DoubleFloat**(-digits()$DoubleFloat))$DoubleFloat
       b:DoubleFloat:=x+1-a     -- Set up for evaluating continued fractions
       c:DoubleFloat:=1/FPMIN   -- by modified Lentz's method
       d:DoubleFloat:=1/b       -- with b_0 = 0
@@ -393,7 +393,7 @@ ccfe(a,x) == convergents cfe(a,x)
 --E 31
 
 --S 32 of 36
-gamcfe(a,x) == exp(-x)*x^a*(ccfe(a,x).j)::Float
+gamcfe(a,x) == exp(-x)*x**a*(ccfe(a,x).j)::Float
 --R 
 --R                                                                   Type: Void
 --E 32
diff --git a/src/input/overload.input.pamphlet b/src/input/overload.input.pamphlet
index 22178bf..90c1757 100644
--- a/src/input/overload.input.pamphlet
+++ b/src/input/overload.input.pamphlet
@@ -13,6 +13,7 @@ Type conversion and overload problems
 \eject
 \begin{chunk}{*}
 )set break resume
+)sys rm -f overload.output
 )spool overload.output
 )set message test on
 )set message auto off
@@ -110,18 +111,14 @@ cos((2/3)$Float)
 --E 7
 
 --S 8 of 51
-cos(2/3@Float)
---R 
---R
---R   (8)  0.7858872607 7694800072
---R                                                                  Type: Float
+--cos(2/3@Float)
 --E 8
 
 --S 9 of 51
 cos((2/3)@Float)
 --R 
 --R
---R   (9)  0.7858872607 7694800072
+--R   (8)  0.7858872607 7694800072
 --R                                                                  Type: Float
 --E 9
 
@@ -177,7 +174,7 @@ cosf(2/3)
 --R      Integer) 
 --R
 --R             1
---R   (11)  cos(-) + 1
+--R   (10)  cos(-) + 1
 --R             3
 --R                                                    Type: Expression(Integer)
 --E 12
@@ -228,7 +225,7 @@ we get
 cos(2/3)+1.2323
 --R 
 --R
---R   (12)  2.0181872607 769480007
+--R   (11)  2.0181872607 769480007
 --R                                                      Type: Expression(Float)
 --E 15
 
@@ -244,7 +241,7 @@ kind of Integer evaluation of type Pi
 --R 
 --R
 --R         4%pi + 3
---R   (13)  --------
+--R   (12)  --------
 --R             4
 --R                                                                     Type: Pi
 --E 16
@@ -260,7 +257,7 @@ Define the type $Q$ of Hamiltonian biquaternions
 C:=Complex Expression Integer
 --R 
 --R
---R   (14)  Complex(Expression(Integer))
+--R   (13)  Complex(Expression(Integer))
 --R                                                                 Type: Domain
 --E 17
 
@@ -268,7 +265,7 @@ C:=Complex Expression Integer
 Q:=Quaternion C
 --R 
 --R
---R   (15)  Quaternion(Complex(Expression(Integer)))
+--R   (14)  Quaternion(Complex(Expression(Integer)))
 --R                                                                 Type: Domain
 --E 18
 
@@ -300,7 +297,7 @@ x:=15/6
 --R      Quaternion(Complex(Expression(Integer))) 
 --R
 --R         5
---R   (17)  -
+--R   (16)  -
 --R         2
 --R                               Type: Quaternion(Complex(Expression(Integer)))
 --E 20
@@ -316,7 +313,7 @@ cos(x)
 --R 
 --R
 --R             5
---R   (18)  cos(-)
+--R   (17)  cos(-)
 --R             2
 --R                                                    Type: Expression(Integer)
 --E 21
@@ -329,7 +326,7 @@ Of course, we still get a correct answer with
 cos(1.237)
 --R 
 --R
---R   (19)  0.3276321705 9891498386
+--R   (18)  0.3276321705 9891498386
 --R                                                                  Type: Float
 --E 22
 
@@ -372,7 +369,7 @@ c(1.237)
 --R 
 --R   Compiling function c with type Float -> Float 
 --R
---R   (21)  0.3276321705 9891498386
+--R   (20)  0.3276321705 9891498386
 --R                                                                  Type: Float
 --E 25
 
@@ -385,7 +382,7 @@ biquat variable value generated from the above.
 c(x)
 --R 
 --R
---R   (22)  - 0.8011436155 4693371483
+--R   (21)  - 0.8011436155 4693371483
 --R                                                                  Type: Float
 --E 26
 
@@ -420,7 +417,7 @@ cos(2/3::Float)
 --R 
 --R
 --R             2
---R   (23)  cos(-)
+--R   (22)  cos(-)
 --R             3
 --R                                                    Type: Expression(Integer)
 --E 28
@@ -429,7 +426,7 @@ cos(2/3::Float)
 cos((2/3)::Float)
 --R 
 --R
---R   (24)  0.7858872607 7694800072
+--R   (23)  0.7858872607 7694800072
 --R                                                                  Type: Float
 --E 29
 
@@ -438,7 +435,7 @@ cos(2/3$Float)
 --R 
 --R
 --R             2
---R   (25)  cos(-)
+--R   (24)  cos(-)
 --R             3
 --R                                                    Type: Expression(Integer)
 --E 30
@@ -447,18 +444,12 @@ cos(2/3$Float)
 cos((2/3)$Float)
 --R 
 --R
---R   (26)  0.7858872607 7694800072
+--R   (25)  0.7858872607 7694800072
 --R                                                                  Type: Float
 --E 31
 
 --S 32 of 51
-cos(2/3@Float)
---R 
---R
---R             2
---R   (27)  cos(-)
---R             3
---R                                                    Type: Expression(Integer)
+--cos(2/3@Float)
 --E 32
 
 --S 33 of 51
@@ -480,7 +471,7 @@ luck now
 c(2/3::Float)
 --R 
 --R
---R   (28)  0.7858872607 7694800072
+--R   (26)  0.7858872607 7694800072
 --R                                                                  Type: Float
 --E 34
 
@@ -488,7 +479,7 @@ c(2/3::Float)
 c((2/3)::Float)
 --R 
 --R
---R   (29)  0.7858872607 7694800072
+--R   (27)  0.7858872607 7694800072
 --R                                                                  Type: Float
 --E 35
 
@@ -496,7 +487,7 @@ c((2/3)::Float)
 c(2/3$Float)
 --R 
 --R
---R   (30)  0.7858872607 7694800072
+--R   (28)  0.7858872607 7694800072
 --R                                                                  Type: Float
 --E 36
 
@@ -504,16 +495,12 @@ c(2/3$Float)
 c((2/3)$Float)
 --R 
 --R
---R   (31)  0.7858872607 7694800072
+--R   (29)  0.7858872607 7694800072
 --R                                                                  Type: Float
 --E 37
 
 --S 38 of 51
-c(2/3@Float)
---R 
---R
---R   (32)  0.7858872607 7694800072
---R                                                                  Type: Float
+--c(2/3@Float)
 --E 38
 
 --S 39 of 51
@@ -543,7 +530,7 @@ c2(1.237)
 --R 
 --R   Compiling function c2 with type Float -> Float 
 --R
---R   (34)  0.3276321705 9891498386
+--R   (31)  0.3276321705 9891498386
 --R                                                                  Type: Float
 --E 41
 
@@ -566,7 +553,7 @@ c2(x)
 --R   AXIOM will attempt to step through and interpret the code.
 --R
 --R             5
---R   (35)  cos(-)
+--R   (32)  cos(-)
 --R             2
 --R                                                    Type: Expression(Integer)
 --E 42
@@ -598,7 +585,7 @@ c2(2/3::Float)
 --R 
 --R
 --R             2
---R   (36)  cos(-)
+--R   (33)  cos(-)
 --R             3
 --R                                                    Type: Expression(Integer)
 --E 44
@@ -607,7 +594,7 @@ c2(2/3::Float)
 c2((2/3)::Float)
 --R 
 --R
---R   (37)  0.7858872607 7694800072
+--R   (34)  0.7858872607 7694800072
 --R                                                                  Type: Float
 --E 45
 
@@ -616,7 +603,7 @@ c2(2/3$Float)
 --R 
 --R
 --R             2
---R   (38)  cos(-)
+--R   (35)  cos(-)
 --R             3
 --R                                                    Type: Expression(Integer)
 --E 46
@@ -625,18 +612,12 @@ c2(2/3$Float)
 c2((2/3)$Float)
 --R 
 --R
---R   (39)  0.7858872607 7694800072
+--R   (36)  0.7858872607 7694800072
 --R                                                                  Type: Float
 --E 47
 
 --S 48 of 51
-c2(2/3@Float)
---R 
---R
---R             2
---R   (40)  cos(-)
---R             3
---R                                                    Type: Expression(Integer)
+--c2(2/3@Float)
 --E 48
 
 --S 49 of 51
diff --git a/src/input/setcmd.input.pamphlet b/src/input/setcmd.input.pamphlet
index 32537f2..b1c199b 100644
--- a/src/input/setcmd.input.pamphlet
+++ b/src/input/setcmd.input.pamphlet
@@ -12,6 +12,7 @@
 \eject
 \begin{chunk}{*}
 )set break resume
+)sys rm -f setcmd.output
 )spool setcmd.output
 )set message test on
 )set message auto off
@@ -1250,8 +1251,8 @@
 --R
 --R The quit option may be followed by any one of the following:
 --R
---R -> protected 
---R    unprotected
+--R    protected
+--R -> unprotected 
 --R
 --R The current setting is indicated.
 --R
diff --git a/src/input/test.input.pamphlet b/src/input/test.input.pamphlet
index 1053d8b..65fba33 100644
--- a/src/input/test.input.pamphlet
+++ b/src/input/test.input.pamphlet
@@ -16,6 +16,7 @@ File of recently fixed interpreter bugs
 --Copyright The Numerical Algorithms Group Limited 1991.
 \end{chunk}
 \begin{chunk}{*}
+)sys rm -f test.output
 )spool test.output
 )set message test on
 )set message auto off
@@ -957,6 +958,7 @@ t := MPOLY([x,y], INT)
 --R isExpt : % -> Union(Record(var: OrderedVariableList([x,y]),exponent: NonNegativeInteger),"failed")
 --R isPlus : % -> Union(List(%),"failed")
 --R isTimes : % -> Union(List(%),"failed")
+--R lcmCoef : (%,%) -> Record(llcmres: %,coeff1: %,coeff2: %)
 --R mainVariable : % -> Union(OrderedVariableList([x,y]),"failed")
 --R map : ((Integer -> Integer),%) -> %
 --R mapExponents : ((IndexedExponents(OrderedVariableList([x,y])) -> IndexedExponents(OrderedVariableList([x,y]))),%) -> %
diff --git a/src/input/unittest1.input.pamphlet b/src/input/unittest1.input.pamphlet
index 7630505..41b349f 100644
--- a/src/input/unittest1.input.pamphlet
+++ b/src/input/unittest1.input.pamphlet
@@ -19,8 +19,7 @@ Unit test the user level commands
 )clear all
 
 --S 1 of 97
-)with API
---R   )library cannot find the file API.
+--)with API
 --E 1
 
 --S 2 of 97 this command generates random output, ok
@@ -35,8 +34,8 @@ Unit test the user level commands
 --RCategories with names matching patterns:
 --R     set 
 --R
---R CACHSET  CachableSet                  FSAGG    FiniteSetAggregate
---R MSETAGG  MultisetAggregate
+--R ATPOSET  PartiallyOrderedSetAttribute CACHSET  CachableSet
+--R FSAGG    FiniteSetAggregate           MSETAGG  MultisetAggregate
 --R NTSCAT   NormalizedTriangularSetCategory
 --R OMSAGG   OrderedMultisetAggregate     ORDSET   OrderedSet
 --R PSETCAT  PolynomialSetCategory        RSETCAT  RegularTriangularSetCategory
@@ -1083,6 +1082,8 @@ Unit test the user level commands
 --R
 --RExamples of rotatex from DenavitHartenbergMatrix
 --R
+--Rrotatex(30)
+--R
 --E 60
 
 --S 61 of 97
diff --git a/src/input/unittest2.input.pamphlet b/src/input/unittest2.input.pamphlet
index 3a4e616..ccf09e2 100644
--- a/src/input/unittest2.input.pamphlet
+++ b/src/input/unittest2.input.pamphlet
@@ -277,10 +277,8 @@ Unit test the user level commands
 --RValue = 120
 --E 43
 
---S 44 of 235
-)lisp (identity |$historyFileType|)
---R 
---RValue = |axh|
+--S 44 of 235 removed
+--)lisp (identity |$historyFileType|)
 --E 44
 
 --S 45 of 235
@@ -478,7 +476,7 @@ Unit test the user level commands
 --S 77 of 235
 )lisp (identity |$quitCommandType|)
 --R 
---RValue = |protected|
+--RValue = |unprotected|
 --E 77
 
 --S 78 of 235
@@ -909,9 +907,7 @@ This generates non-printing characters
 --E 146
 
 --S 147 of 235
-)lisp (identity |$fn|)
---R 
---IValue = "/tmp/u.input"
+--)lisp (identity |$fn|)
 --E 147
 
 --S 148 of 235
@@ -1310,7 +1306,7 @@ This generates non-printing characters
 --S 211 of 235
 )lisp (identity |$setOptions|)
 --R 
---RValue = ((|breakmode| "execute break processing on error" |interpreter| LITERALS |$BreakMode| (|nobreak| |break| |query| |resume| |fastlinks| |quit|) |nobreak|) (|compiler| "Library compiler options" |interpreter| TREE |novar| ((|output| "library in which to place compiled code" |interpreter| FUNCTION |setOutputLibrary| NIL |htSetOutputLibrary|) (|input| "controls libraries from which to load compiled code" |interpreter| FUNCTION |setInputLibrary| NIL |htSetInputLibrary|))) (|debug| "debug options" |interpreter| TREE |novar| ((|lambdatype| "show type information for #1 syntax" |interpreter| LITERALS $LAMBDATYPE (|on| |off|) |off|) (|dalymode| "Interpret leading open paren as lisp" |interpreter| LITERALS $DALYMODE (|on| |off|) |off|))) (|expose| "control interpreter constructor exposure" |interpreter| FUNCTION |setExpose| NIL |htSetExpose|) (|functions| "some interpreter function options" |interpreter| TREE |novar| ((|cache| "number of function results to cache" |interpreter| FUNCTION |setFunctionsCache| NIL |htSetCache|) (|compile| "compile, don't just define function bodies" |interpreter| LITERALS |$compileDontDefineFunctions| (|on| |off|) |on|) (|recurrence| "specially compile recurrence relations" |interpreter| LITERALS |$compileRecurrence| (|on| |off|) |on|))) (|fortran| "view and set options for FORTRAN output" |interpreter| TREE |novar| ((|ints2floats| "where sensible, coerce integers to reals" |interpreter| LITERALS |$fortInts2Floats| (|on| |off|) |on|) (|fortindent| "the number of characters indented" |interpreter| INTEGER |$fortIndent| (0 NIL) 6) (|fortlength| "the number of characters on a line" |interpreter| INTEGER |$fortLength| (1 NIL) 72) (|typedecs| "print type and dimension lines" |interpreter| LITERALS |$printFortranDecs| (|on| |off|) |on|) (|defaulttype| "default generic type for FORTRAN object" |interpreter| LITERALS |$defaultFortranType| (REAL INTEGER COMPLEX LOGICAL CHARACTER) REAL) (|precision| "precision of generated FORTRAN objects" |interpreter| LITERALS |$fortranPrecision| (|single| |double|) |double|) (|intrinsic| "whether to use INTRINSIC FORTRAN functions" |interpreter| LITERALS |$useIntrinsicFunctions| (|on| |off|) |off|) (|explength| "character limit for FORTRAN expressions" |interpreter| INTEGER |$maximumFortranExpressionLength| (0 NIL) 1320) (|segment| "split long FORTRAN expressions" |interpreter| LITERALS |$fortranSegment| (|on| |off|) |on|) (|optlevel| "FORTRAN optimisation level" |interpreter| INTEGER |$fortranOptimizationLevel| (0 2) 0) (|startindex| "starting index for FORTRAN arrays" |interpreter| INTEGER |$fortranArrayStartingIndex| (0 1) 1) (|calling| "options for external FORTRAN calls" |interpreter| TREE |novar| ((|tempfile| "set location of temporary data files" |interpreter| FUNCTION |setFortTmpDir| (("enter directory name for which you have write-permission" DIRECTORY |$fortranTmpDir| |chkDirectory| "/tmp/")) NIL) (|directory| "set location of generated FORTRAN files" |interpreter| FUNCTION |setFortDir| (("enter directory name for which you have write-permission" DIRECTORY |$fortranDirectory| |chkDirectory| "./")) NIL) (|linker| "linker arguments (e.g. libraries to search)" |interpreter| FUNCTION |setLinkerArgs| (("enter linker arguments " STRING |$fortranLibraries| |chkDirectory| "-lxlf")) NIL))))) (|hyperdoc| "options in using HyperDoc" |interpreter| TREE |novar| ((|fullscreen| "use full screen for this facility" |interpreter| LITERALS |$fullScreenSysVars| (|on| |off|) |off|) (|mathwidth| "screen width for history output" |interpreter| INTEGER |$historyDisplayWidth| (0 NIL) 120))) (|help| "view and set some help options" |interpreter| TREE |novar| ((|fullscreen| "use fullscreen facility, if possible" |interpreter| LITERALS |$useFullScreenHelp| (|on| |off|) |on|))) (|history| "save workspace values in a history file" |interpreter| LITERALS |$HiFiAccess| (|on| |off|) |on|) (|messages| "show messages for various system features" |interpreter| TREE |novar| ((|any| "print the internal type of objects of domain Any" |interpreter| LITERALS |$printAnyIfTrue| (|on| |off|) |on|) (|autoload| "print file auto-load messages" |interpreter| LITERALS |$printLoadMsgs| (|on| |off|) |on|) (|bottomup| "display bottom up modemap selection" |development| LITERALS |$reportBottomUpFlag| (|on| |off|) |off|) (|coercion| "display datatype coercion messages" |development| LITERALS |$reportCoerceIfTrue| (|on| |off|) |off|) (|dropmap| "display old map defn when replaced" |interpreter| LITERALS |$displayDroppedMap| (|on| |off|) |off|) (|expose| "warning for unexposed functions" |interpreter| LITERALS |$giveExposureWarning| (|on| |off|) |off|) (|file| "print msgs also to SPADMSG LISTING" |development| LITERALS |$printMsgsToFile| (|on| |off|) |off|) (|frame| "display messages about frames" |interpreter| LITERALS |$frameMessages| (|on| |off|) |off|) (|highlighting| "use highlighting in system messages" |interpreter| LITERALS |$highlightAllowed| (|on| |off|) |off|) (|instant| "present instantiation summary" |development| LITERALS |$reportInstantiations| (|on| |off|) |off|) (|insteach| "present instantiation info" |development| LITERALS |$reportEachInstantiation| (|on| |off|) |off|) (|interponly| "say when function code is interpreted" |interpreter| LITERALS |$reportInterpOnly| (|on| |off|) |on|) (|naglink| "show NAGLink messages" |interpreter| LITERALS |$nagMessages| (|on| |off|) |on|) (|number| "display message number with message" |interpreter| LITERALS |$displayMsgNumber| (|on| |off|) |off|) (|prompt| "set type of input prompt to display" |interpreter| LITERALS |$inputPromptType| (|none| |frame| |plain| |step| |verbose|) |step|) (|selection| "display function selection msgs" |interpreter| LITERALS |$reportBottomUpFlag| (|on| |off|) |off|) (|set| "show )set setting after assignment" |interpreter| LITERALS |$displaySetValue| (|on| |off|) |off|) (|startup| "display messages on start-up" |interpreter| LITERALS |$displayStartMsgs| (|on| |off|) |on|) (|summary| "print statistics after computation" |interpreter| LITERALS |$printStatisticsSummaryIfTrue| (|on| |off|) |off|) (|testing| "print system testing header" |development| LITERALS |$testingSystem| (|on| |off|) |off|) (|time| "print timings after computation" |interpreter| LITERALS |$printTimeIfTrue| (|on| |off| |long|) |off|) (|type| "print type after computation" |interpreter| LITERALS |$printTypeIfTrue| (|on| |off|) |on|) (|void| "print Void value when it occurs" |interpreter| LITERALS |$printVoidIfTrue| (|on| |off|) |off|))) (|naglink| "options for NAGLink" |interpreter| TREE |novar| ((|host| "internet address of host for NAGLink" |interpreter| FUNCTION |setNagHost| (("enter host name" DIRECTORY |$nagHost| |chkDirectory| "localhost")) NIL) (|persistence| "number of (fortran) functions to remember" |interpreter| FUNCTION |setFortPers| (("Requested remote storage (for asps):" INTEGER |$fortPersistence| (0 NIL) 10)) NIL) (|messages| "show NAGLink messages" |interpreter| LITERALS |$nagMessages| (|on| |off|) |on|) (|double| "enforce DOUBLE PRECISION ASPs" |interpreter| LITERALS |$nagEnforceDouble| (|on| |off|) |on|))) (|output| "view and set some output options" |interpreter| TREE |novar| ((|abbreviate| "abbreviate type names" |interpreter| LITERALS |$abbreviateTypes| (|on| |off|) |off|) (|algebra| "display output in algebraic form" |interpreter| FUNCTION |setOutputAlgebra| (("display output in algebraic form" LITERALS |$algebraFormat| (|off| |on|) |on|) (BREAK $ALGEBRAFORMAT) ("where algebra printing goes (enter {em console} or a pathname)?" FILENAME |$algebraOutputFile| |chkOutputFileName| "console")) NIL) (|characters| "choose special output character set" |interpreter| FUNCTION |setOutputCharacters| NIL |htSetOutputCharacters|) (|fortran| "create output in FORTRAN format" |interpreter| FUNCTION |setOutputFortran| (("create output in FORTRAN format" LITERALS |$fortranFormat| (|off| |on|) |off|) (|break| |$fortranFormat|) ("where FORTRAN output goes (enter {em console} or a a pathname)" FILENAME |$fortranOutputFile| |chkOutputFileName| "console")) NIL) (|fraction| "how fractions are formatted" |interpreter| LITERALS |$fractionDisplayType| (|vertical| |horizontal|) |vertical|) (|html| "create output in HTML style" |interpreter| FUNCTION |setOutputHtml| (("create output in HTML format" LITERALS |$htmlFormat| (|off| |on|) |off|) (|break| |$htmlFormat|) ("where HTML output goes (enter {em console} or a pathname)" FILENAME |$htmlOutputFile| |chkOutputFileName| "console")) NIL) (|length| "line length of output displays" |interpreter| INTEGER $LINELENGTH (10 245) 77) (|mathml| "create output in MathML style" |interpreter| FUNCTION |setOutputMathml| (("create output in MathML format" LITERALS |$mathmlFormat| (|off| |on|) |off|) (|break| |$mathmlFormat|) ("where MathML output goes (enter {em console} or a pathname)" FILENAME |$mathmlOutputFile| |chkOutputFileName| "console")) NIL) (|openmath| "create output in OpenMath style" |interpreter| FUNCTION |setOutputOpenMath| (("create output in OpenMath format" LITERALS |$openMathFormat| (|off| |on|) |off|) (|break| |$openMathFormat|) ("where TeX output goes (enter {em console} or a pathname)" FILENAME |$openMathOutputFile| |chkOutputFileName| "console")) NIL) (|script| "display output in SCRIPT formula format" |interpreter| FUNCTION |setOutputFormula| (("display output in SCRIPT format" LITERALS |$formulaFormat| (|off| |on|) |off|) (|break| |$formulaFormat|) ("where script output goes (enter {em console} or a a pathname)" FILENAME |$formulaOutputFile| |chkOutputFileName| "console")) NIL) (|scripts| "show subscripts,... linearly" |interpreter| LITERALS |$linearFormatScripts| (|on| |off|) |off|) (|showeditor| "view output of )show in editor" |interpreter| LITERALS |$useEditorForShowOutput| (|on| |off|) |off|) (|tex| "create output in TeX style" |interpreter| FUNCTION |setOutputTex| (("create output in TeX format" LITERALS |$texFormat| (|off| |on|) |off|) (|break| |$texFormat|) ("where TeX output goes (enter {em console} or a pathname)" FILENAME |$texOutputFile| |chkOutputFileName| "console")) NIL))) (|quit| "protected or unprotected quit" |interpreter| LITERALS |$quitCommandType| (|protected| |unprotected|) |protected|) (|streams| "set some options for working with streams" |interpreter| TREE |novar| ((|calculate| "specify number of elements to calculate" |interpreter| FUNCTION |setStreamsCalculate| (("number of initial stream elements you want calculated" INTEGER |$streamCount| (0 NIL) 10)) NIL) (|showall| "display all stream elements computed" |interpreter| LITERALS |$streamsShowAll| (|on| |off|) |off|))) (|system| "set some system development variables" |development| TREE |novar| ((|functioncode| "show gen. LISP for functions when compiled" |development| LITERALS |$reportCompilation| (|on| |off|) |off|) (|optimization| "show optimized LISP code" |development| LITERALS |$reportOptimization| (|on| |off|) |off|) (|prettyprint| "prettyprint BOOT func's as they compile" |development| LITERALS $PRETTYPRINT (|on| |off|) |on|))) (|userlevel| "operation access level of system user" |interpreter| LITERALS |$UserLevel| (|interpreter| |compiler| |development|) |development|))
+--RValue = ((|breakmode| "execute break processing on error" |interpreter| LITERALS |$BreakMode| (|nobreak| |break| |query| |resume| |fastlinks| |quit|) |nobreak|) (|compiler| "Library compiler options" |interpreter| TREE |novar| ((|output| "library in which to place compiled code" |interpreter| FUNCTION |setOutputLibrary| NIL |htSetOutputLibrary|) (|input| "controls libraries from which to load compiled code" |interpreter| FUNCTION |setInputLibrary| NIL |htSetInputLibrary|))) (|debug| "debug options" |interpreter| TREE |novar| ((|lambdatype| "show type information for #1 syntax" |interpreter| LITERALS $LAMBDATYPE (|on| |off|) |off|) (|dalymode| "Interpret leading open paren as lisp" |interpreter| LITERALS $DALYMODE (|on| |off|) |off|))) (|expose| "control interpreter constructor exposure" |interpreter| FUNCTION |setExpose| NIL |htSetExpose|) (|functions| "some interpreter function options" |interpreter| TREE |novar| ((|cache| "number of function results to cache" |interpreter| FUNCTION |setFunctionsCache| NIL |htSetCache|) (|compile| "compile, don't just define function bodies" |interpreter| LITERALS |$compileDontDefineFunctions| (|on| |off|) |on|) (|recurrence| "specially compile recurrence relations" |interpreter| LITERALS |$compileRecurrence| (|on| |off|) |on|))) (|fortran| "view and set options for FORTRAN output" |interpreter| TREE |novar| ((|ints2floats| "where sensible, coerce integers to reals" |interpreter| LITERALS |$fortInts2Floats| (|on| |off|) |on|) (|fortindent| "the number of characters indented" |interpreter| INTEGER |$fortIndent| (0 NIL) 6) (|fortlength| "the number of characters on a line" |interpreter| INTEGER |$fortLength| (1 NIL) 72) (|typedecs| "print type and dimension lines" |interpreter| LITERALS |$printFortranDecs| (|on| |off|) |on|) (|defaulttype| "default generic type for FORTRAN object" |interpreter| LITERALS |$defaultFortranType| (REAL INTEGER COMPLEX LOGICAL CHARACTER) REAL) (|precision| "precision of generated FORTRAN objects" |interpreter| LITERALS |$fortranPrecision| (|single| |double|) |double|) (|intrinsic| "whether to use INTRINSIC FORTRAN functions" |interpreter| LITERALS |$useIntrinsicFunctions| (|on| |off|) |off|) (|explength| "character limit for FORTRAN expressions" |interpreter| INTEGER |$maximumFortranExpressionLength| (0 NIL) 1320) (|segment| "split long FORTRAN expressions" |interpreter| LITERALS |$fortranSegment| (|on| |off|) |on|) (|optlevel| "FORTRAN optimisation level" |interpreter| INTEGER |$fortranOptimizationLevel| (0 2) 0) (|startindex| "starting index for FORTRAN arrays" |interpreter| INTEGER |$fortranArrayStartingIndex| (0 1) 1) (|calling| "options for external FORTRAN calls" |interpreter| TREE |novar| ((|tempfile| "set location of temporary data files" |interpreter| FUNCTION |setFortTmpDir| (("enter directory name for which you have write-permission" DIRECTORY |$fortranTmpDir| |chkDirectory| "/tmp/")) NIL) (|directory| "set location of generated FORTRAN files" |interpreter| FUNCTION |setFortDir| (("enter directory name for which you have write-permission" DIRECTORY |$fortranDirectory| |chkDirectory| "./")) NIL) (|linker| "linker arguments (e.g. libraries to search)" |interpreter| FUNCTION |setLinkerArgs| (("enter linker arguments " STRING |$fortranLibraries| |chkDirectory| "-lxlf")) NIL))))) (|hyperdoc| "options in using HyperDoc" |interpreter| TREE |novar| ((|fullscreen| "use full screen for this facility" |interpreter| LITERALS |$fullScreenSysVars| (|on| |off|) |off|) (|mathwidth| "screen width for history output" |interpreter| INTEGER |$historyDisplayWidth| (0 NIL) 120))) (|help| "view and set some help options" |interpreter| TREE |novar| ((|fullscreen| "use fullscreen facility, if possible" |interpreter| LITERALS |$useFullScreenHelp| (|on| |off|) |on|))) (|history| "save workspace values in a history file" |interpreter| LITERALS |$HiFiAccess| (|on| |off|) |on|) (|messages| "show messages for various system features" |interpreter| TREE |novar| ((|any| "print the internal type of objects of domain Any" |interpreter| LITERALS |$printAnyIfTrue| (|on| |off|) |on|) (|autoload| "print file auto-load messages" |interpreter| LITERALS |$printLoadMsgs| (|on| |off|) |on|) (|bottomup| "display bottom up modemap selection" |development| LITERALS |$reportBottomUpFlag| (|on| |off|) |off|) (|coercion| "display datatype coercion messages" |development| LITERALS |$reportCoerceIfTrue| (|on| |off|) |off|) (|dropmap| "display old map defn when replaced" |interpreter| LITERALS |$displayDroppedMap| (|on| |off|) |off|) (|expose| "warning for unexposed functions" |interpreter| LITERALS |$giveExposureWarning| (|on| |off|) |off|) (|file| "print msgs also to SPADMSG LISTING" |development| LITERALS |$printMsgsToFile| (|on| |off|) |off|) (|frame| "display messages about frames" |interpreter| LITERALS |$frameMessages| (|on| |off|) |off|) (|highlighting| "use highlighting in system messages" |interpreter| LITERALS |$highlightAllowed| (|on| |off|) |off|) (|instant| "present instantiation summary" |development| LITERALS |$reportInstantiations| (|on| |off|) |off|) (|insteach| "present instantiation info" |development| LITERALS |$reportEachInstantiation| (|on| |off|) |off|) (|interponly| "say when function code is interpreted" |interpreter| LITERALS |$reportInterpOnly| (|on| |off|) |on|) (|naglink| "show NAGLink messages" |interpreter| LITERALS |$nagMessages| (|on| |off|) |on|) (|number| "display message number with message" |interpreter| LITERALS |$displayMsgNumber| (|on| |off|) |off|) (|prompt| "set type of input prompt to display" |interpreter| LITERALS |$inputPromptType| (|none| |frame| |plain| |step| |verbose|) |step|) (|selection| "display function selection msgs" |interpreter| LITERALS |$reportBottomUpFlag| (|on| |off|) |off|) (|set| "show )set setting after assignment" |interpreter| LITERALS |$displaySetValue| (|on| |off|) |off|) (|startup| "display messages on start-up" |interpreter| LITERALS |$displayStartMsgs| (|on| |off|) |on|) (|summary| "print statistics after computation" |interpreter| LITERALS |$printStatisticsSummaryIfTrue| (|on| |off|) |off|) (|testing| "print system testing header" |development| LITERALS |$testingSystem| (|on| |off|) |off|) (|time| "print timings after computation" |interpreter| LITERALS |$printTimeIfTrue| (|on| |off| |long|) |off|) (|type| "print type after computation" |interpreter| LITERALS |$printTypeIfTrue| (|on| |off|) |on|) (|void| "print Void value when it occurs" |interpreter| LITERALS |$printVoidIfTrue| (|on| |off|) |off|))) (|naglink| "options for NAGLink" |interpreter| TREE |novar| ((|host| "internet address of host for NAGLink" |interpreter| FUNCTION |setNagHost| (("enter host name" DIRECTORY |$nagHost| |chkDirectory| "localhost")) NIL) (|persistence| "number of (fortran) functions to remember" |interpreter| FUNCTION |setFortPers| (("Requested remote storage (for asps):" INTEGER |$fortPersistence| (0 NIL) 10)) NIL) (|messages| "show NAGLink messages" |interpreter| LITERALS |$nagMessages| (|on| |off|) |on|) (|double| "enforce DOUBLE PRECISION ASPs" |interpreter| LITERALS |$nagEnforceDouble| (|on| |off|) |on|))) (|output| "view and set some output options" |interpreter| TREE |novar| ((|abbreviate| "abbreviate type names" |interpreter| LITERALS |$abbreviateTypes| (|on| |off|) |off|) (|algebra| "display output in algebraic form" |interpreter| FUNCTION |setOutputAlgebra| (("display output in algebraic form" LITERALS |$algebraFormat| (|off| |on|) |on|) (BREAK $ALGEBRAFORMAT) ("where algebra printing goes (enter {em console} or a pathname)?" FILENAME |$algebraOutputFile| |chkOutputFileName| "console")) NIL) (|characters| "choose special output character set" |interpreter| FUNCTION |setOutputCharacters| NIL |htSetOutputCharacters|) (|fortran| "create output in FORTRAN format" |interpreter| FUNCTION |setOutputFortran| (("create output in FORTRAN format" LITERALS |$fortranFormat| (|off| |on|) |off|) (|break| |$fortranFormat|) ("where FORTRAN output goes (enter {em console} or a a pathname)" FILENAME |$fortranOutputFile| |chkOutputFileName| "console")) NIL) (|fraction| "how fractions are formatted" |interpreter| LITERALS |$fractionDisplayType| (|vertical| |horizontal|) |vertical|) (|html| "create output in HTML style" |interpreter| FUNCTION |setOutputHtml| (("create output in HTML format" LITERALS |$htmlFormat| (|off| |on|) |off|) (|break| |$htmlFormat|) ("where HTML output goes (enter {em console} or a pathname)" FILENAME |$htmlOutputFile| |chkOutputFileName| "console")) NIL) (|length| "line length of output displays" |interpreter| INTEGER $LINELENGTH (10 245) 77) (|mathml| "create output in MathML style" |interpreter| FUNCTION |setOutputMathml| (("create output in MathML format" LITERALS |$mathmlFormat| (|off| |on|) |off|) (|break| |$mathmlFormat|) ("where MathML output goes (enter {em console} or a pathname)" FILENAME |$mathmlOutputFile| |chkOutputFileName| "console")) NIL) (|openmath| "create output in OpenMath style" |interpreter| FUNCTION |setOutputOpenMath| (("create output in OpenMath format" LITERALS |$openMathFormat| (|off| |on|) |off|) (|break| |$openMathFormat|) ("where TeX output goes (enter {em console} or a pathname)" FILENAME |$openMathOutputFile| |chkOutputFileName| "console")) NIL) (|script| "display output in SCRIPT formula format" |interpreter| FUNCTION |setOutputFormula| (("display output in SCRIPT format" LITERALS |$formulaFormat| (|off| |on|) |off|) (|break| |$formulaFormat|) ("where script output goes (enter {em console} or a a pathname)" FILENAME |$formulaOutputFile| |chkOutputFileName| "console")) NIL) (|scripts| "show subscripts,... linearly" |interpreter| LITERALS |$linearFormatScripts| (|on| |off|) |off|) (|showeditor| "view output of )show in editor" |interpreter| LITERALS |$useEditorForShowOutput| (|on| |off|) |off|) (|tex| "create output in TeX style" |interpreter| FUNCTION |setOutputTex| (("create output in TeX format" LITERALS |$texFormat| (|off| |on|) |off|) (|break| |$texFormat|) ("where TeX output goes (enter {em console} or a pathname)" FILENAME |$texOutputFile| |chkOutputFileName| "console")) NIL))) (|quit| "protected or unprotected quit" |interpreter| LITERALS |$quitCommandType| (|protected| |unprotected|) |unprotected|) (|streams| "set some options for working with streams" |interpreter| TREE |novar| ((|calculate| "specify number of elements to calculate" |interpreter| FUNCTION |setStreamsCalculate| (("number of initial stream elements you want calculated" INTEGER |$streamCount| (0 NIL) 10)) NIL) (|showall| "display all stream elements computed" |interpreter| LITERALS |$streamsShowAll| (|on| |off|) |off|))) (|system| "set some system development variables" |development| TREE |novar| ((|functioncode| "show gen. LISP for functions when compiled" |development| LITERALS |$reportCompilation| (|on| |off|) |off|) (|optimization| "show optimized LISP code" |development| LITERALS |$reportOptimization| (|on| |off|) |off|) (|prettyprint| "prettyprint BOOT func's as they compile" |development| LITERALS $PRETTYPRINT (|on| |off|) |on|))) (|userlevel| "operation access level of system user" |interpreter| LITERALS |$UserLevel| (|interpreter| |compiler| |development|) |development|))
 --E 211
 
 --S 212 of 235 obsolete |$shoeReadLineFunction|
@@ -1414,10 +1410,8 @@ This generates non-printing characters
 --RValue = NIL
 --E 227
 
---S 228 of 235
-)lisp (identity |$undoFlag|)
---R 
---RValue = T
+--S 228 of 235 removed
+--)lisp (identity |$undoFlag|)
 --E 228
 
 --S 229 of 235
-- 
1.7.5.4

